#include "init.c"
#include "getargs.c"
#include "getargsfast.c"
#include "int_ops.c"
#include "float_ops.c"
#include "str_ops.c"
#include "bytes_ops.c"
#include "list_ops.c"
#include "dict_ops.c"
#include "set_ops.c"
#include "tuple_ops.c"
#include "exc_ops.c"
#include "misc_ops.c"
#include "generic_ops.c"
#include "__native.h"
#include "__native_internal.h"

PyMemberDef RequestContextException_members[] = {
    {"__dict__", T_OBJECT_EX, sizeof(PyBaseExceptionObject), 0, NULL},
    {"__weakref__", T_OBJECT_EX, sizeof(PyBaseExceptionObject) + sizeof(PyObject *), 0, NULL},
    {0}
};

static PyGetSetDef RequestContextException_getseters[] = {
    {NULL}  /* Sentinel */
};

static PyMethodDef RequestContextException_methods[] = {
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_RequestContextException_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "RequestContextException",
    .tp_getset = RequestContextException_getseters,
    .tp_methods = RequestContextException_methods,
    .tp_members = RequestContextException_members,
    .tp_basicsize = sizeof(PyBaseExceptionObject) + 2*sizeof(PyObject *),
    .tp_dictoffset = sizeof(PyBaseExceptionObject),
    .tp_weaklistoffset = sizeof(PyBaseExceptionObject) + sizeof(PyObject *),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE,
};
static PyTypeObject *CPyType_RequestContextException_template = &CPyType_RequestContextException_template_;


PyMemberDef HeaderValidationException_members[] = {
    {"__dict__", T_OBJECT_EX, sizeof(PyBaseExceptionObject), 0, NULL},
    {"__weakref__", T_OBJECT_EX, sizeof(PyBaseExceptionObject) + sizeof(PyObject *), 0, NULL},
    {0}
};

static PyGetSetDef HeaderValidationException_getseters[] = {
    {NULL}  /* Sentinel */
};

static PyMethodDef HeaderValidationException_methods[] = {
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_HeaderValidationException_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "HeaderValidationException",
    .tp_getset = HeaderValidationException_getseters,
    .tp_methods = HeaderValidationException_methods,
    .tp_members = HeaderValidationException_members,
    .tp_basicsize = sizeof(PyBaseExceptionObject) + 2*sizeof(PyObject *),
    .tp_dictoffset = sizeof(PyBaseExceptionObject),
    .tp_weaklistoffset = sizeof(PyBaseExceptionObject) + sizeof(PyObject *),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE,
};
static PyTypeObject *CPyType_HeaderValidationException_template = &CPyType_HeaderValidationException_template_;


static int
Context_init(PyObject *self, PyObject *args, PyObject *kwds)
{
    return 0;
}
PyMemberDef Context_members[] = {
    {"__dict__", T_OBJECT_EX, sizeof(asgi_context___ContextObject), 0, NULL},
    {"__weakref__", T_OBJECT_EX, sizeof(asgi_context___ContextObject) + sizeof(PyObject *), 0, NULL},
    {0}
};
static PyObject *Context_setup(PyTypeObject *type);
PyObject *CPyDef_Context(void);

static PyObject *
Context_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType_Context) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    PyObject *self = Context_setup(type);
    if (self == NULL)
        return NULL;
    PyObject *ret = CPyPy_Context_____init__(self, args, kwds);
    if (ret == NULL)
        return NULL;
    return self;
}

static int
Context_traverse(asgi_context___ContextObject *self, visitproc visit, void *arg)
{
    Py_VISIT(*((PyObject **)((char *)self + sizeof(asgi_context___ContextObject))));
    Py_VISIT(*((PyObject **)((char *)self + sizeof(PyObject *) + sizeof(asgi_context___ContextObject))));
    return 0;
}

static int
Context_clear(asgi_context___ContextObject *self)
{
    Py_CLEAR(*((PyObject **)((char *)self + sizeof(asgi_context___ContextObject))));
    Py_CLEAR(*((PyObject **)((char *)self + sizeof(PyObject *) + sizeof(asgi_context___ContextObject))));
    return 0;
}

static void
Context_dealloc(asgi_context___ContextObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, Context_dealloc)
    Context_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem Context_vtable[2];
static bool
CPyDef_Context_trait_vtable_setup(void)
{
    CPyVTableItem Context_vtable_scratch[] = {
        (CPyVTableItem)CPyDef_Context_____init__,
        (CPyVTableItem)CPyDef_Context___data,
    };
    memcpy(Context_vtable, Context_vtable_scratch, sizeof(Context_vtable));
    return 1;
}

static PyObject *
Context_get_data(asgi_context___ContextObject *self, void *closure);

static PyGetSetDef Context_getseters[] = {
    {"data",
     (getter)Context_get_data,
    NULL, NULL, NULL},
    {NULL}  /* Sentinel */
};

static PyMethodDef Context_methods[] = {
    {"__init__",
     (PyCFunction)CPyPy_Context_____init__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_Context_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "Context",
    .tp_new = Context_new,
    .tp_dealloc = (destructor)Context_dealloc,
    .tp_traverse = (traverseproc)Context_traverse,
    .tp_clear = (inquiry)Context_clear,
    .tp_getset = Context_getseters,
    .tp_methods = Context_methods,
    .tp_init = Context_init,
    .tp_members = Context_members,
    .tp_basicsize = sizeof(asgi_context___ContextObject) + 2*sizeof(PyObject *),
    .tp_dictoffset = sizeof(asgi_context___ContextObject),
    .tp_weaklistoffset = sizeof(asgi_context___ContextObject) + sizeof(PyObject *),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType_Context_template = &CPyType_Context_template_;

static PyObject *
Context_setup(PyTypeObject *type)
{
    asgi_context___ContextObject *self;
    self = (asgi_context___ContextObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = Context_vtable;
    return (PyObject *)self;
}

PyObject *CPyDef_Context(void)
{
    PyObject *self = Context_setup(CPyType_Context);
    if (self == NULL)
        return NULL;
    char res = CPyDef_Context_____init__(self);
    if (res == 2) {
        Py_DECREF(self);
        return NULL;
    }
    return self;
}


static PyObject *
Context_get_data(asgi_context___ContextObject *self, void *closure)
{
    return CPyDef_Context___data((PyObject *) self);
}

static int
ContextMiddleware_init(PyObject *self, PyObject *args, PyObject *kwds)
{
    return 0;
}
static PyObject *ContextMiddleware_setup(PyTypeObject *type);
PyObject *CPyDef_ContextMiddleware(PyObject *cpy_r_app);

static PyObject *
ContextMiddleware_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType_ContextMiddleware) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    PyObject *self = ContextMiddleware_setup(type);
    if (self == NULL)
        return NULL;
    PyObject *ret = CPyPy_ContextMiddleware_____init__(self, args, kwds);
    if (ret == NULL)
        return NULL;
    return self;
}

static int
ContextMiddleware_traverse(asgi_context___ContextMiddlewareObject *self, visitproc visit, void *arg)
{
    Py_VISIT(self->_app);
    return 0;
}

static int
ContextMiddleware_clear(asgi_context___ContextMiddlewareObject *self)
{
    Py_CLEAR(self->_app);
    return 0;
}

static void
ContextMiddleware_dealloc(asgi_context___ContextMiddlewareObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, ContextMiddleware_dealloc)
    ContextMiddleware_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem ContextMiddleware_vtable[2];
static bool
CPyDef_ContextMiddleware_trait_vtable_setup(void)
{
    CPyVTableItem ContextMiddleware_vtable_scratch[] = {
        (CPyVTableItem)CPyDef_ContextMiddleware_____init__,
        (CPyVTableItem)CPyDef_ContextMiddleware_____call__,
    };
    memcpy(ContextMiddleware_vtable, ContextMiddleware_vtable_scratch, sizeof(ContextMiddleware_vtable));
    return 1;
}

static PyObject *
ContextMiddleware_get_app(asgi_context___ContextMiddlewareObject *self, void *closure);
static int
ContextMiddleware_set_app(asgi_context___ContextMiddlewareObject *self, PyObject *value, void *closure);

static PyGetSetDef ContextMiddleware_getseters[] = {
    {"app",
     (getter)ContextMiddleware_get_app, (setter)ContextMiddleware_set_app,
     NULL, NULL},
    {NULL}  /* Sentinel */
};

static PyMethodDef ContextMiddleware_methods[] = {
    {"__init__",
     (PyCFunction)CPyPy_ContextMiddleware_____init__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__call__",
     (PyCFunction)CPyPy_ContextMiddleware_____call__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_ContextMiddleware_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "ContextMiddleware",
    .tp_new = ContextMiddleware_new,
    .tp_dealloc = (destructor)ContextMiddleware_dealloc,
    .tp_traverse = (traverseproc)ContextMiddleware_traverse,
    .tp_clear = (inquiry)ContextMiddleware_clear,
    .tp_getset = ContextMiddleware_getseters,
    .tp_methods = ContextMiddleware_methods,
    .tp_call = PyVectorcall_Call,
    .tp_init = ContextMiddleware_init,
    .tp_basicsize = sizeof(asgi_context___ContextMiddlewareObject),
    .tp_vectorcall_offset = offsetof(asgi_context___ContextMiddlewareObject, vectorcall),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC | _Py_TPFLAGS_HAVE_VECTORCALL,
};
static PyTypeObject *CPyType_ContextMiddleware_template = &CPyType_ContextMiddleware_template_;

static PyObject *
ContextMiddleware_setup(PyTypeObject *type)
{
    asgi_context___ContextMiddlewareObject *self;
    self = (asgi_context___ContextMiddlewareObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = ContextMiddleware_vtable;
    self->vectorcall = CPyPy_ContextMiddleware_____call__;
    self->_app = NULL;
    return (PyObject *)self;
}

PyObject *CPyDef_ContextMiddleware(PyObject *cpy_r_app)
{
    PyObject *self = ContextMiddleware_setup(CPyType_ContextMiddleware);
    if (self == NULL)
        return NULL;
    char res = CPyDef_ContextMiddleware_____init__(self, cpy_r_app);
    if (res == 2) {
        Py_DECREF(self);
        return NULL;
    }
    return self;
}

static PyObject *
ContextMiddleware_get_app(asgi_context___ContextMiddlewareObject *self, void *closure)
{
    if (unlikely(self->_app == NULL)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute 'app' of 'ContextMiddleware' undefined");
        return NULL;
    }
    CPy_INCREF(self->_app);
    PyObject *retval = self->_app;
    return retval;
}

static int
ContextMiddleware_set_app(asgi_context___ContextMiddlewareObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'ContextMiddleware' object attribute 'app' cannot be deleted");
        return -1;
    }
    if (self->_app != NULL) {
        CPy_DECREF(self->_app);
    }
    PyObject *tmp = value;
    CPy_INCREF(tmp);
    self->_app = tmp;
    return 0;
}

static int
AbstractHeadersExtractorMiddleware_init(PyObject *self, PyObject *args, PyObject *kwds)
{
    return 0;
}
PyMemberDef AbstractHeadersExtractorMiddleware_members[] = {
    {"__dict__", T_OBJECT_EX, sizeof(asgi_context___AbstractHeadersExtractorMiddlewareObject), 0, NULL},
    {"__weakref__", T_OBJECT_EX, sizeof(asgi_context___AbstractHeadersExtractorMiddlewareObject) + sizeof(PyObject *), 0, NULL},
    {0}
};
static PyObject *AbstractHeadersExtractorMiddleware_setup(PyTypeObject *type);
PyObject *CPyDef_AbstractHeadersExtractorMiddleware(PyObject *cpy_r_app);

static PyObject *
AbstractHeadersExtractorMiddleware_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType_AbstractHeadersExtractorMiddleware) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    PyObject *self = AbstractHeadersExtractorMiddleware_setup(type);
    if (self == NULL)
        return NULL;
    PyObject *ret = CPyPy_AbstractHeadersExtractorMiddleware_____init__(self, args, kwds);
    if (ret == NULL)
        return NULL;
    return self;
}

static int
AbstractHeadersExtractorMiddleware_traverse(asgi_context___AbstractHeadersExtractorMiddlewareObject *self, visitproc visit, void *arg)
{
    Py_VISIT(self->_app);
    Py_VISIT(*((PyObject **)((char *)self + sizeof(asgi_context___AbstractHeadersExtractorMiddlewareObject))));
    Py_VISIT(*((PyObject **)((char *)self + sizeof(PyObject *) + sizeof(asgi_context___AbstractHeadersExtractorMiddlewareObject))));
    return 0;
}

static int
AbstractHeadersExtractorMiddleware_clear(asgi_context___AbstractHeadersExtractorMiddlewareObject *self)
{
    Py_CLEAR(self->_app);
    Py_CLEAR(*((PyObject **)((char *)self + sizeof(asgi_context___AbstractHeadersExtractorMiddlewareObject))));
    Py_CLEAR(*((PyObject **)((char *)self + sizeof(PyObject *) + sizeof(asgi_context___AbstractHeadersExtractorMiddlewareObject))));
    return 0;
}

static void
AbstractHeadersExtractorMiddleware_dealloc(asgi_context___AbstractHeadersExtractorMiddlewareObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, AbstractHeadersExtractorMiddleware_dealloc)
    AbstractHeadersExtractorMiddleware_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem AbstractHeadersExtractorMiddleware_vtable[4];
static bool
CPyDef_AbstractHeadersExtractorMiddleware_trait_vtable_setup(void)
{
    CPyVTableItem AbstractHeadersExtractorMiddleware_vtable_scratch[] = {
        (CPyVTableItem)CPyDef_AbstractHeadersExtractorMiddleware_____init__,
        (CPyVTableItem)CPyDef_AbstractHeadersExtractorMiddleware___header_names,
        (CPyVTableItem)CPyDef_AbstractHeadersExtractorMiddleware___validators,
        (CPyVTableItem)CPyDef_AbstractHeadersExtractorMiddleware_____call__,
    };
    memcpy(AbstractHeadersExtractorMiddleware_vtable, AbstractHeadersExtractorMiddleware_vtable_scratch, sizeof(AbstractHeadersExtractorMiddleware_vtable));
    return 1;
}

static PyObject *
AbstractHeadersExtractorMiddleware_get_app(asgi_context___AbstractHeadersExtractorMiddlewareObject *self, void *closure);
static int
AbstractHeadersExtractorMiddleware_set_app(asgi_context___AbstractHeadersExtractorMiddlewareObject *self, PyObject *value, void *closure);
static PyObject *
AbstractHeadersExtractorMiddleware_get_header_names(asgi_context___AbstractHeadersExtractorMiddlewareObject *self, void *closure);
static PyObject *
AbstractHeadersExtractorMiddleware_get_validators(asgi_context___AbstractHeadersExtractorMiddlewareObject *self, void *closure);

static PyGetSetDef AbstractHeadersExtractorMiddleware_getseters[] = {
    {"app",
     (getter)AbstractHeadersExtractorMiddleware_get_app, (setter)AbstractHeadersExtractorMiddleware_set_app,
     NULL, NULL},
    {"header_names",
     (getter)AbstractHeadersExtractorMiddleware_get_header_names,
    NULL, NULL, NULL},
    {"validators",
     (getter)AbstractHeadersExtractorMiddleware_get_validators,
    NULL, NULL, NULL},
    {NULL}  /* Sentinel */
};

static PyMethodDef AbstractHeadersExtractorMiddleware_methods[] = {
    {"__init__",
     (PyCFunction)CPyPy_AbstractHeadersExtractorMiddleware_____init__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__call__",
     (PyCFunction)CPyPy_AbstractHeadersExtractorMiddleware_____call__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_AbstractHeadersExtractorMiddleware_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "AbstractHeadersExtractorMiddleware",
    .tp_new = AbstractHeadersExtractorMiddleware_new,
    .tp_dealloc = (destructor)AbstractHeadersExtractorMiddleware_dealloc,
    .tp_traverse = (traverseproc)AbstractHeadersExtractorMiddleware_traverse,
    .tp_clear = (inquiry)AbstractHeadersExtractorMiddleware_clear,
    .tp_getset = AbstractHeadersExtractorMiddleware_getseters,
    .tp_methods = AbstractHeadersExtractorMiddleware_methods,
    .tp_call = PyVectorcall_Call,
    .tp_init = AbstractHeadersExtractorMiddleware_init,
    .tp_members = AbstractHeadersExtractorMiddleware_members,
    .tp_basicsize = sizeof(asgi_context___AbstractHeadersExtractorMiddlewareObject) + 2*sizeof(PyObject *),
    .tp_dictoffset = sizeof(asgi_context___AbstractHeadersExtractorMiddlewareObject),
    .tp_weaklistoffset = sizeof(asgi_context___AbstractHeadersExtractorMiddlewareObject) + sizeof(PyObject *),
    .tp_vectorcall_offset = offsetof(asgi_context___AbstractHeadersExtractorMiddlewareObject, vectorcall),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC | _Py_TPFLAGS_HAVE_VECTORCALL,
};
static PyTypeObject *CPyType_AbstractHeadersExtractorMiddleware_template = &CPyType_AbstractHeadersExtractorMiddleware_template_;

static PyObject *
AbstractHeadersExtractorMiddleware_setup(PyTypeObject *type)
{
    asgi_context___AbstractHeadersExtractorMiddlewareObject *self;
    self = (asgi_context___AbstractHeadersExtractorMiddlewareObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = AbstractHeadersExtractorMiddleware_vtable;
    self->vectorcall = CPyPy_AbstractHeadersExtractorMiddleware_____call__;
    self->_app = NULL;
    return (PyObject *)self;
}

PyObject *CPyDef_AbstractHeadersExtractorMiddleware(PyObject *cpy_r_app)
{
    PyObject *self = AbstractHeadersExtractorMiddleware_setup(CPyType_AbstractHeadersExtractorMiddleware);
    if (self == NULL)
        return NULL;
    char res = CPyDef_AbstractHeadersExtractorMiddleware_____init__(self, cpy_r_app);
    if (res == 2) {
        Py_DECREF(self);
        return NULL;
    }
    return self;
}

static PyObject *
AbstractHeadersExtractorMiddleware_get_app(asgi_context___AbstractHeadersExtractorMiddlewareObject *self, void *closure)
{
    if (unlikely(self->_app == NULL)) {
        PyErr_SetString(PyExc_AttributeError,
            "attribute 'app' of 'AbstractHeadersExtractorMiddleware' undefined");
        return NULL;
    }
    CPy_INCREF(self->_app);
    PyObject *retval = self->_app;
    return retval;
}

static int
AbstractHeadersExtractorMiddleware_set_app(asgi_context___AbstractHeadersExtractorMiddlewareObject *self, PyObject *value, void *closure)
{
    if (value == NULL) {
        PyErr_SetString(PyExc_AttributeError,
            "'AbstractHeadersExtractorMiddleware' object attribute 'app' cannot be deleted");
        return -1;
    }
    if (self->_app != NULL) {
        CPy_DECREF(self->_app);
    }
    PyObject *tmp = value;
    CPy_INCREF(tmp);
    self->_app = tmp;
    return 0;
}

static PyObject *
AbstractHeadersExtractorMiddleware_get_header_names(asgi_context___AbstractHeadersExtractorMiddlewareObject *self, void *closure)
{
    return CPyDef_AbstractHeadersExtractorMiddleware___header_names((PyObject *) self);
}

static PyObject *
AbstractHeadersExtractorMiddleware_get_validators(asgi_context___AbstractHeadersExtractorMiddlewareObject *self, void *closure)
{
    return CPyDef_AbstractHeadersExtractorMiddleware___validators((PyObject *) self);
}

static PyObject *HeadersExtractorMiddlewareFactory_setup(PyTypeObject *type);
PyObject *CPyDef_HeadersExtractorMiddlewareFactory(void);

static PyObject *
HeadersExtractorMiddlewareFactory_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType_HeadersExtractorMiddlewareFactory) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    return HeadersExtractorMiddlewareFactory_setup(type);
}

static int
HeadersExtractorMiddlewareFactory_traverse(asgi_context___HeadersExtractorMiddlewareFactoryObject *self, visitproc visit, void *arg)
{
    return 0;
}

static int
HeadersExtractorMiddlewareFactory_clear(asgi_context___HeadersExtractorMiddlewareFactoryObject *self)
{
    return 0;
}

static void
HeadersExtractorMiddlewareFactory_dealloc(asgi_context___HeadersExtractorMiddlewareFactoryObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, HeadersExtractorMiddlewareFactory_dealloc)
    HeadersExtractorMiddlewareFactory_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem HeadersExtractorMiddlewareFactory_vtable[1];
static bool
CPyDef_HeadersExtractorMiddlewareFactory_trait_vtable_setup(void)
{
    CPyVTableItem HeadersExtractorMiddlewareFactory_vtable_scratch[] = {
        (CPyVTableItem)CPyDef_HeadersExtractorMiddlewareFactory___build,
    };
    memcpy(HeadersExtractorMiddlewareFactory_vtable, HeadersExtractorMiddlewareFactory_vtable_scratch, sizeof(HeadersExtractorMiddlewareFactory_vtable));
    return 1;
}


static PyGetSetDef HeadersExtractorMiddlewareFactory_getseters[] = {
    {NULL}  /* Sentinel */
};

static PyMethodDef HeadersExtractorMiddlewareFactory_methods[] = {
    {"build",
     (PyCFunction)CPyPy_HeadersExtractorMiddlewareFactory___build,
     METH_FASTCALL | METH_KEYWORDS | METH_STATIC, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_HeadersExtractorMiddlewareFactory_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "HeadersExtractorMiddlewareFactory",
    .tp_new = HeadersExtractorMiddlewareFactory_new,
    .tp_dealloc = (destructor)HeadersExtractorMiddlewareFactory_dealloc,
    .tp_traverse = (traverseproc)HeadersExtractorMiddlewareFactory_traverse,
    .tp_clear = (inquiry)HeadersExtractorMiddlewareFactory_clear,
    .tp_getset = HeadersExtractorMiddlewareFactory_getseters,
    .tp_methods = HeadersExtractorMiddlewareFactory_methods,
    .tp_basicsize = sizeof(asgi_context___HeadersExtractorMiddlewareFactoryObject),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType_HeadersExtractorMiddlewareFactory_template = &CPyType_HeadersExtractorMiddlewareFactory_template_;

static PyObject *
HeadersExtractorMiddlewareFactory_setup(PyTypeObject *type)
{
    asgi_context___HeadersExtractorMiddlewareFactoryObject *self;
    self = (asgi_context___HeadersExtractorMiddlewareFactoryObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = HeadersExtractorMiddlewareFactory_vtable;
    return (PyObject *)self;
}

PyObject *CPyDef_HeadersExtractorMiddlewareFactory(void)
{
    PyObject *self = HeadersExtractorMiddlewareFactory_setup(CPyType_HeadersExtractorMiddlewareFactory);
    if (self == NULL)
        return NULL;
    return self;
}


static PyObject *new_context_env_setup(PyTypeObject *type);
PyObject *CPyDef_new_context_env(void);

static PyObject *
new_context_env_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType_new_context_env) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    return new_context_env_setup(type);
}

static int
new_context_env_traverse(asgi_context___new_context_envObject *self, visitproc visit, void *arg)
{
    Py_VISIT(self->___mypyc_self__);
    Py_VISIT(self->_type);
    Py_VISIT(self->_value);
    Py_VISIT(self->_traceback);
    Py_VISIT(self->_arg);
    if (CPyTagged_CheckLong(self->___mypyc_next_label__)) {
        Py_VISIT(CPyTagged_LongAsObject(self->___mypyc_next_label__));
    }
    Py_VISIT(self->_token);
    return 0;
}

static int
new_context_env_clear(asgi_context___new_context_envObject *self)
{
    Py_CLEAR(self->___mypyc_self__);
    Py_CLEAR(self->_type);
    Py_CLEAR(self->_value);
    Py_CLEAR(self->_traceback);
    Py_CLEAR(self->_arg);
    if (CPyTagged_CheckLong(self->___mypyc_next_label__)) {
        CPyTagged __tmp = self->___mypyc_next_label__;
        self->___mypyc_next_label__ = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    Py_CLEAR(self->_token);
    return 0;
}

static void
new_context_env_dealloc(asgi_context___new_context_envObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, new_context_env_dealloc)
    new_context_env_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem new_context_env_vtable[1];
static bool
CPyDef_new_context_env_trait_vtable_setup(void)
{
    CPyVTableItem new_context_env_vtable_scratch[] = {
        NULL
    };
    memcpy(new_context_env_vtable, new_context_env_vtable_scratch, sizeof(new_context_env_vtable));
    return 1;
}

static PyMethodDef new_context_env_methods[] = {
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_new_context_env_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "new_context_env",
    .tp_new = new_context_env_new,
    .tp_dealloc = (destructor)new_context_env_dealloc,
    .tp_traverse = (traverseproc)new_context_env_traverse,
    .tp_clear = (inquiry)new_context_env_clear,
    .tp_methods = new_context_env_methods,
    .tp_basicsize = sizeof(asgi_context___new_context_envObject),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType_new_context_env_template = &CPyType_new_context_env_template_;

static PyObject *
new_context_env_setup(PyTypeObject *type)
{
    asgi_context___new_context_envObject *self;
    self = (asgi_context___new_context_envObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = new_context_env_vtable;
    self->___mypyc_self__ = NULL;
    self->_type = NULL;
    self->_value = NULL;
    self->_traceback = NULL;
    self->_arg = NULL;
    self->___mypyc_next_label__ = CPY_INT_TAG;
    self->_token = NULL;
    return (PyObject *)self;
}

PyObject *CPyDef_new_context_env(void)
{
    PyObject *self = new_context_env_setup(CPyType_new_context_env);
    if (self == NULL)
        return NULL;
    return self;
}


static PyObject *new_context_gen_setup(PyTypeObject *type);
PyObject *CPyDef_new_context_gen(void);

static PyObject *
new_context_gen_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType_new_context_gen) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    return new_context_gen_setup(type);
}

static int
new_context_gen_traverse(asgi_context___new_context_genObject *self, visitproc visit, void *arg)
{
    Py_VISIT(self->___mypyc_env__);
    return 0;
}

static int
new_context_gen_clear(asgi_context___new_context_genObject *self)
{
    Py_CLEAR(self->___mypyc_env__);
    return 0;
}

static void
new_context_gen_dealloc(asgi_context___new_context_genObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, new_context_gen_dealloc)
    new_context_gen_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem new_context_gen_vtable[6];
static bool
CPyDef_new_context_gen_trait_vtable_setup(void)
{
    CPyVTableItem new_context_gen_vtable_scratch[] = {
        (CPyVTableItem)CPyDef_new_context_gen_____mypyc_generator_helper__,
        (CPyVTableItem)CPyDef_new_context_gen_____next__,
        (CPyVTableItem)CPyDef_new_context_gen___send,
        (CPyVTableItem)CPyDef_new_context_gen_____iter__,
        (CPyVTableItem)CPyDef_new_context_gen___throw,
        (CPyVTableItem)CPyDef_new_context_gen___close,
    };
    memcpy(new_context_gen_vtable, new_context_gen_vtable_scratch, sizeof(new_context_gen_vtable));
    return 1;
}

static PyMethodDef new_context_gen_methods[] = {
    {"__mypyc_generator_helper__",
     (PyCFunction)CPyPy_new_context_gen_____mypyc_generator_helper__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__next__",
     (PyCFunction)CPyPy_new_context_gen_____next__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"send",
     (PyCFunction)CPyPy_new_context_gen___send,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__iter__",
     (PyCFunction)CPyPy_new_context_gen_____iter__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"throw",
     (PyCFunction)CPyPy_new_context_gen___throw,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"close",
     (PyCFunction)CPyPy_new_context_gen___close,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_new_context_gen_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "new_context_gen",
    .tp_new = new_context_gen_new,
    .tp_dealloc = (destructor)new_context_gen_dealloc,
    .tp_traverse = (traverseproc)new_context_gen_traverse,
    .tp_clear = (inquiry)new_context_gen_clear,
    .tp_methods = new_context_gen_methods,
    .tp_iter = CPyDef_new_context_gen_____iter__,
    .tp_iternext = CPyDef_new_context_gen_____next__,
    .tp_basicsize = sizeof(asgi_context___new_context_genObject),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType_new_context_gen_template = &CPyType_new_context_gen_template_;

static PyObject *
new_context_gen_setup(PyTypeObject *type)
{
    asgi_context___new_context_genObject *self;
    self = (asgi_context___new_context_genObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = new_context_gen_vtable;
    self->___mypyc_env__ = NULL;
    return (PyObject *)self;
}

PyObject *CPyDef_new_context_gen(void)
{
    PyObject *self = new_context_gen_setup(CPyType_new_context_gen);
    if (self == NULL)
        return NULL;
    return self;
}


static PyObject *__call___3_ContextMiddleware_env_setup(PyTypeObject *type);
PyObject *CPyDef___call___3_ContextMiddleware_env(void);

static PyObject *
__call___3_ContextMiddleware_env_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType___call___3_ContextMiddleware_env) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    return __call___3_ContextMiddleware_env_setup(type);
}

static int
__call___3_ContextMiddleware_env_traverse(asgi_context_____call___3_ContextMiddleware_envObject *self, visitproc visit, void *arg)
{
    Py_VISIT(self->___mypyc_self__);
    Py_VISIT(self->_self);
    Py_VISIT(self->_scope);
    Py_VISIT(self->_receive);
    Py_VISIT(self->_send);
    Py_VISIT(self->_type);
    Py_VISIT(self->_value);
    Py_VISIT(self->_traceback);
    Py_VISIT(self->_arg);
    if (CPyTagged_CheckLong(self->___mypyc_next_label__)) {
        Py_VISIT(CPyTagged_LongAsObject(self->___mypyc_next_label__));
    }
    Py_VISIT(self->___mypyc_temp__0);
    Py_VISIT(self->___mypyc_temp__1.f0);
    Py_VISIT(self->___mypyc_temp__1.f1);
    Py_VISIT(self->___mypyc_temp__1.f2);
    Py_VISIT(self->___mypyc_temp__2);
    Py_VISIT(self->___mypyc_temp__3);
    Py_VISIT(self->___mypyc_temp__5);
    Py_VISIT(self->___mypyc_temp__6.f0);
    Py_VISIT(self->___mypyc_temp__6.f1);
    Py_VISIT(self->___mypyc_temp__6.f2);
    Py_VISIT(self->___mypyc_temp__7.f0);
    Py_VISIT(self->___mypyc_temp__7.f1);
    Py_VISIT(self->___mypyc_temp__7.f2);
    return 0;
}

static int
__call___3_ContextMiddleware_env_clear(asgi_context_____call___3_ContextMiddleware_envObject *self)
{
    Py_CLEAR(self->___mypyc_self__);
    Py_CLEAR(self->_self);
    Py_CLEAR(self->_scope);
    Py_CLEAR(self->_receive);
    Py_CLEAR(self->_send);
    Py_CLEAR(self->_type);
    Py_CLEAR(self->_value);
    Py_CLEAR(self->_traceback);
    Py_CLEAR(self->_arg);
    if (CPyTagged_CheckLong(self->___mypyc_next_label__)) {
        CPyTagged __tmp = self->___mypyc_next_label__;
        self->___mypyc_next_label__ = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    Py_CLEAR(self->___mypyc_temp__0);
    Py_CLEAR(self->___mypyc_temp__1.f0);
    Py_CLEAR(self->___mypyc_temp__1.f1);
    Py_CLEAR(self->___mypyc_temp__1.f2);
    Py_CLEAR(self->___mypyc_temp__2);
    Py_CLEAR(self->___mypyc_temp__3);
    Py_CLEAR(self->___mypyc_temp__5);
    Py_CLEAR(self->___mypyc_temp__6.f0);
    Py_CLEAR(self->___mypyc_temp__6.f1);
    Py_CLEAR(self->___mypyc_temp__6.f2);
    Py_CLEAR(self->___mypyc_temp__7.f0);
    Py_CLEAR(self->___mypyc_temp__7.f1);
    Py_CLEAR(self->___mypyc_temp__7.f2);
    return 0;
}

static void
__call___3_ContextMiddleware_env_dealloc(asgi_context_____call___3_ContextMiddleware_envObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, __call___3_ContextMiddleware_env_dealloc)
    __call___3_ContextMiddleware_env_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem __call___3_ContextMiddleware_env_vtable[1];
static bool
CPyDef___call___3_ContextMiddleware_env_trait_vtable_setup(void)
{
    CPyVTableItem __call___3_ContextMiddleware_env_vtable_scratch[] = {
        NULL
    };
    memcpy(__call___3_ContextMiddleware_env_vtable, __call___3_ContextMiddleware_env_vtable_scratch, sizeof(__call___3_ContextMiddleware_env_vtable));
    return 1;
}

static PyMethodDef __call___3_ContextMiddleware_env_methods[] = {
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType___call___3_ContextMiddleware_env_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "__call___ContextMiddleware_env",
    .tp_new = __call___3_ContextMiddleware_env_new,
    .tp_dealloc = (destructor)__call___3_ContextMiddleware_env_dealloc,
    .tp_traverse = (traverseproc)__call___3_ContextMiddleware_env_traverse,
    .tp_clear = (inquiry)__call___3_ContextMiddleware_env_clear,
    .tp_methods = __call___3_ContextMiddleware_env_methods,
    .tp_basicsize = sizeof(asgi_context_____call___3_ContextMiddleware_envObject),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType___call___3_ContextMiddleware_env_template = &CPyType___call___3_ContextMiddleware_env_template_;

static PyObject *
__call___3_ContextMiddleware_env_setup(PyTypeObject *type)
{
    asgi_context_____call___3_ContextMiddleware_envObject *self;
    self = (asgi_context_____call___3_ContextMiddleware_envObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = __call___3_ContextMiddleware_env_vtable;
    self->___mypyc_self__ = NULL;
    self->_self = NULL;
    self->_scope = NULL;
    self->_receive = NULL;
    self->_send = NULL;
    self->_type = NULL;
    self->_value = NULL;
    self->_traceback = NULL;
    self->_arg = NULL;
    self->___mypyc_next_label__ = CPY_INT_TAG;
    self->___mypyc_temp__0 = NULL;
    self->___mypyc_temp__1 = tuple_undefined_T3OOO;
    self->___mypyc_temp__2 = NULL;
    self->___mypyc_temp__3 = NULL;
    self->___mypyc_temp__4 = 2;
    self->___mypyc_temp__5 = NULL;
    self->___mypyc_temp__6 = tuple_undefined_T3OOO;
    self->___mypyc_temp__7 = tuple_undefined_T3OOO;
    return (PyObject *)self;
}

PyObject *CPyDef___call___3_ContextMiddleware_env(void)
{
    PyObject *self = __call___3_ContextMiddleware_env_setup(CPyType___call___3_ContextMiddleware_env);
    if (self == NULL)
        return NULL;
    return self;
}


static PyAsyncMethods __call___3_ContextMiddleware_gen_as_async = {
    .am_await = CPyDef___call___3_ContextMiddleware_gen_____await__,
};
static PyObject *__call___3_ContextMiddleware_gen_setup(PyTypeObject *type);
PyObject *CPyDef___call___3_ContextMiddleware_gen(void);

static PyObject *
__call___3_ContextMiddleware_gen_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType___call___3_ContextMiddleware_gen) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    return __call___3_ContextMiddleware_gen_setup(type);
}

static int
__call___3_ContextMiddleware_gen_traverse(asgi_context_____call___3_ContextMiddleware_genObject *self, visitproc visit, void *arg)
{
    Py_VISIT(self->___mypyc_env__);
    return 0;
}

static int
__call___3_ContextMiddleware_gen_clear(asgi_context_____call___3_ContextMiddleware_genObject *self)
{
    Py_CLEAR(self->___mypyc_env__);
    return 0;
}

static void
__call___3_ContextMiddleware_gen_dealloc(asgi_context_____call___3_ContextMiddleware_genObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, __call___3_ContextMiddleware_gen_dealloc)
    __call___3_ContextMiddleware_gen_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem __call___3_ContextMiddleware_gen_vtable[7];
static bool
CPyDef___call___3_ContextMiddleware_gen_trait_vtable_setup(void)
{
    CPyVTableItem __call___3_ContextMiddleware_gen_vtable_scratch[] = {
        (CPyVTableItem)CPyDef___call___3_ContextMiddleware_gen_____mypyc_generator_helper__,
        (CPyVTableItem)CPyDef___call___3_ContextMiddleware_gen_____next__,
        (CPyVTableItem)CPyDef___call___3_ContextMiddleware_gen___send,
        (CPyVTableItem)CPyDef___call___3_ContextMiddleware_gen_____iter__,
        (CPyVTableItem)CPyDef___call___3_ContextMiddleware_gen___throw,
        (CPyVTableItem)CPyDef___call___3_ContextMiddleware_gen___close,
        (CPyVTableItem)CPyDef___call___3_ContextMiddleware_gen_____await__,
    };
    memcpy(__call___3_ContextMiddleware_gen_vtable, __call___3_ContextMiddleware_gen_vtable_scratch, sizeof(__call___3_ContextMiddleware_gen_vtable));
    return 1;
}

static PyMethodDef __call___3_ContextMiddleware_gen_methods[] = {
    {"__mypyc_generator_helper__",
     (PyCFunction)CPyPy___call___3_ContextMiddleware_gen_____mypyc_generator_helper__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__next__",
     (PyCFunction)CPyPy___call___3_ContextMiddleware_gen_____next__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"send",
     (PyCFunction)CPyPy___call___3_ContextMiddleware_gen___send,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__iter__",
     (PyCFunction)CPyPy___call___3_ContextMiddleware_gen_____iter__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"throw",
     (PyCFunction)CPyPy___call___3_ContextMiddleware_gen___throw,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"close",
     (PyCFunction)CPyPy___call___3_ContextMiddleware_gen___close,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__await__",
     (PyCFunction)CPyPy___call___3_ContextMiddleware_gen_____await__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType___call___3_ContextMiddleware_gen_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "__call___ContextMiddleware_gen",
    .tp_new = __call___3_ContextMiddleware_gen_new,
    .tp_dealloc = (destructor)__call___3_ContextMiddleware_gen_dealloc,
    .tp_traverse = (traverseproc)__call___3_ContextMiddleware_gen_traverse,
    .tp_clear = (inquiry)__call___3_ContextMiddleware_gen_clear,
    .tp_methods = __call___3_ContextMiddleware_gen_methods,
    .tp_iter = CPyDef___call___3_ContextMiddleware_gen_____iter__,
    .tp_iternext = CPyDef___call___3_ContextMiddleware_gen_____next__,
    .tp_as_async = &__call___3_ContextMiddleware_gen_as_async,
    .tp_basicsize = sizeof(asgi_context_____call___3_ContextMiddleware_genObject),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType___call___3_ContextMiddleware_gen_template = &CPyType___call___3_ContextMiddleware_gen_template_;

static PyObject *
__call___3_ContextMiddleware_gen_setup(PyTypeObject *type)
{
    asgi_context_____call___3_ContextMiddleware_genObject *self;
    self = (asgi_context_____call___3_ContextMiddleware_genObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = __call___3_ContextMiddleware_gen_vtable;
    self->___mypyc_env__ = NULL;
    return (PyObject *)self;
}

PyObject *CPyDef___call___3_ContextMiddleware_gen(void)
{
    PyObject *self = __call___3_ContextMiddleware_gen_setup(CPyType___call___3_ContextMiddleware_gen);
    if (self == NULL)
        return NULL;
    return self;
}


static PyObject *__call___3_AbstractHeadersExtractorMiddleware_env_setup(PyTypeObject *type);
PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_env(void);

static PyObject *
__call___3_AbstractHeadersExtractorMiddleware_env_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType___call___3_AbstractHeadersExtractorMiddleware_env) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    return __call___3_AbstractHeadersExtractorMiddleware_env_setup(type);
}

static int
__call___3_AbstractHeadersExtractorMiddleware_env_traverse(asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *self, visitproc visit, void *arg)
{
    Py_VISIT(self->___mypyc_self__);
    Py_VISIT(self->_self);
    Py_VISIT(self->_scope);
    Py_VISIT(self->_receive);
    Py_VISIT(self->_send);
    Py_VISIT(self->_type);
    Py_VISIT(self->_value);
    Py_VISIT(self->_traceback);
    Py_VISIT(self->_arg);
    if (CPyTagged_CheckLong(self->___mypyc_next_label__)) {
        Py_VISIT(CPyTagged_LongAsObject(self->___mypyc_next_label__));
    }
    Py_VISIT(self->___mypyc_temp__8);
    Py_VISIT(self->___mypyc_temp__9.f0);
    Py_VISIT(self->___mypyc_temp__9.f1);
    Py_VISIT(self->___mypyc_temp__9.f2);
    Py_VISIT(self->___mypyc_temp__10);
    Py_VISIT(self->___mypyc_temp__11);
    Py_VISIT(self->___mypyc_temp__12);
    Py_VISIT(self->_name);
    Py_VISIT(self->_headers);
    Py_VISIT(self->___mypyc_temp__13);
    Py_VISIT(self->___mypyc_temp__14);
    Py_VISIT(self->_header_value);
    Py_VISIT(self->_validate);
    Py_VISIT(self->___mypyc_temp__15);
    Py_VISIT(self->___mypyc_temp__16.f0);
    Py_VISIT(self->___mypyc_temp__16.f1);
    Py_VISIT(self->___mypyc_temp__16.f2);
    return 0;
}

static int
__call___3_AbstractHeadersExtractorMiddleware_env_clear(asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *self)
{
    Py_CLEAR(self->___mypyc_self__);
    Py_CLEAR(self->_self);
    Py_CLEAR(self->_scope);
    Py_CLEAR(self->_receive);
    Py_CLEAR(self->_send);
    Py_CLEAR(self->_type);
    Py_CLEAR(self->_value);
    Py_CLEAR(self->_traceback);
    Py_CLEAR(self->_arg);
    if (CPyTagged_CheckLong(self->___mypyc_next_label__)) {
        CPyTagged __tmp = self->___mypyc_next_label__;
        self->___mypyc_next_label__ = CPY_INT_TAG;
        Py_XDECREF(CPyTagged_LongAsObject(__tmp));
    }
    Py_CLEAR(self->___mypyc_temp__8);
    Py_CLEAR(self->___mypyc_temp__9.f0);
    Py_CLEAR(self->___mypyc_temp__9.f1);
    Py_CLEAR(self->___mypyc_temp__9.f2);
    Py_CLEAR(self->___mypyc_temp__10);
    Py_CLEAR(self->___mypyc_temp__11);
    Py_CLEAR(self->___mypyc_temp__12);
    Py_CLEAR(self->_name);
    Py_CLEAR(self->_headers);
    Py_CLEAR(self->___mypyc_temp__13);
    Py_CLEAR(self->___mypyc_temp__14);
    Py_CLEAR(self->_header_value);
    Py_CLEAR(self->_validate);
    Py_CLEAR(self->___mypyc_temp__15);
    Py_CLEAR(self->___mypyc_temp__16.f0);
    Py_CLEAR(self->___mypyc_temp__16.f1);
    Py_CLEAR(self->___mypyc_temp__16.f2);
    return 0;
}

static void
__call___3_AbstractHeadersExtractorMiddleware_env_dealloc(asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, __call___3_AbstractHeadersExtractorMiddleware_env_dealloc)
    __call___3_AbstractHeadersExtractorMiddleware_env_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem __call___3_AbstractHeadersExtractorMiddleware_env_vtable[1];
static bool
CPyDef___call___3_AbstractHeadersExtractorMiddleware_env_trait_vtable_setup(void)
{
    CPyVTableItem __call___3_AbstractHeadersExtractorMiddleware_env_vtable_scratch[] = {
        NULL
    };
    memcpy(__call___3_AbstractHeadersExtractorMiddleware_env_vtable, __call___3_AbstractHeadersExtractorMiddleware_env_vtable_scratch, sizeof(__call___3_AbstractHeadersExtractorMiddleware_env_vtable));
    return 1;
}

static PyMethodDef __call___3_AbstractHeadersExtractorMiddleware_env_methods[] = {
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType___call___3_AbstractHeadersExtractorMiddleware_env_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "__call___AbstractHeadersExtractorMiddleware_env",
    .tp_new = __call___3_AbstractHeadersExtractorMiddleware_env_new,
    .tp_dealloc = (destructor)__call___3_AbstractHeadersExtractorMiddleware_env_dealloc,
    .tp_traverse = (traverseproc)__call___3_AbstractHeadersExtractorMiddleware_env_traverse,
    .tp_clear = (inquiry)__call___3_AbstractHeadersExtractorMiddleware_env_clear,
    .tp_methods = __call___3_AbstractHeadersExtractorMiddleware_env_methods,
    .tp_basicsize = sizeof(asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType___call___3_AbstractHeadersExtractorMiddleware_env_template = &CPyType___call___3_AbstractHeadersExtractorMiddleware_env_template_;

static PyObject *
__call___3_AbstractHeadersExtractorMiddleware_env_setup(PyTypeObject *type)
{
    asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *self;
    self = (asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = __call___3_AbstractHeadersExtractorMiddleware_env_vtable;
    self->___mypyc_self__ = NULL;
    self->_self = NULL;
    self->_scope = NULL;
    self->_receive = NULL;
    self->_send = NULL;
    self->_type = NULL;
    self->_value = NULL;
    self->_traceback = NULL;
    self->_arg = NULL;
    self->___mypyc_next_label__ = CPY_INT_TAG;
    self->___mypyc_temp__8 = NULL;
    self->___mypyc_temp__9 = tuple_undefined_T3OOO;
    self->___mypyc_temp__10 = NULL;
    self->___mypyc_temp__11 = NULL;
    self->___mypyc_temp__12 = NULL;
    self->_name = NULL;
    self->_headers = NULL;
    self->___mypyc_temp__13 = NULL;
    self->___mypyc_temp__14 = NULL;
    self->_header_value = NULL;
    self->_validate = NULL;
    self->___mypyc_temp__15 = NULL;
    self->___mypyc_temp__16 = tuple_undefined_T3OOO;
    return (PyObject *)self;
}

PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_env(void)
{
    PyObject *self = __call___3_AbstractHeadersExtractorMiddleware_env_setup(CPyType___call___3_AbstractHeadersExtractorMiddleware_env);
    if (self == NULL)
        return NULL;
    return self;
}


static PyAsyncMethods __call___3_AbstractHeadersExtractorMiddleware_gen_as_async = {
    .am_await = CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____await__,
};
static PyObject *__call___3_AbstractHeadersExtractorMiddleware_gen_setup(PyTypeObject *type);
PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen(void);

static PyObject *
__call___3_AbstractHeadersExtractorMiddleware_gen_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType___call___3_AbstractHeadersExtractorMiddleware_gen) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    return __call___3_AbstractHeadersExtractorMiddleware_gen_setup(type);
}

static int
__call___3_AbstractHeadersExtractorMiddleware_gen_traverse(asgi_context_____call___3_AbstractHeadersExtractorMiddleware_genObject *self, visitproc visit, void *arg)
{
    Py_VISIT(self->___mypyc_env__);
    return 0;
}

static int
__call___3_AbstractHeadersExtractorMiddleware_gen_clear(asgi_context_____call___3_AbstractHeadersExtractorMiddleware_genObject *self)
{
    Py_CLEAR(self->___mypyc_env__);
    return 0;
}

static void
__call___3_AbstractHeadersExtractorMiddleware_gen_dealloc(asgi_context_____call___3_AbstractHeadersExtractorMiddleware_genObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, __call___3_AbstractHeadersExtractorMiddleware_gen_dealloc)
    __call___3_AbstractHeadersExtractorMiddleware_gen_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem __call___3_AbstractHeadersExtractorMiddleware_gen_vtable[7];
static bool
CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_trait_vtable_setup(void)
{
    CPyVTableItem __call___3_AbstractHeadersExtractorMiddleware_gen_vtable_scratch[] = {
        (CPyVTableItem)CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____mypyc_generator_helper__,
        (CPyVTableItem)CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____next__,
        (CPyVTableItem)CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen___send,
        (CPyVTableItem)CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____iter__,
        (CPyVTableItem)CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen___throw,
        (CPyVTableItem)CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen___close,
        (CPyVTableItem)CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____await__,
    };
    memcpy(__call___3_AbstractHeadersExtractorMiddleware_gen_vtable, __call___3_AbstractHeadersExtractorMiddleware_gen_vtable_scratch, sizeof(__call___3_AbstractHeadersExtractorMiddleware_gen_vtable));
    return 1;
}

static PyMethodDef __call___3_AbstractHeadersExtractorMiddleware_gen_methods[] = {
    {"__mypyc_generator_helper__",
     (PyCFunction)CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen_____mypyc_generator_helper__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__next__",
     (PyCFunction)CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen_____next__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"send",
     (PyCFunction)CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen___send,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__iter__",
     (PyCFunction)CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen_____iter__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"throw",
     (PyCFunction)CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen___throw,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"close",
     (PyCFunction)CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen___close,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__await__",
     (PyCFunction)CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen_____await__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType___call___3_AbstractHeadersExtractorMiddleware_gen_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "__call___AbstractHeadersExtractorMiddleware_gen",
    .tp_new = __call___3_AbstractHeadersExtractorMiddleware_gen_new,
    .tp_dealloc = (destructor)__call___3_AbstractHeadersExtractorMiddleware_gen_dealloc,
    .tp_traverse = (traverseproc)__call___3_AbstractHeadersExtractorMiddleware_gen_traverse,
    .tp_clear = (inquiry)__call___3_AbstractHeadersExtractorMiddleware_gen_clear,
    .tp_methods = __call___3_AbstractHeadersExtractorMiddleware_gen_methods,
    .tp_iter = CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____iter__,
    .tp_iternext = CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____next__,
    .tp_as_async = &__call___3_AbstractHeadersExtractorMiddleware_gen_as_async,
    .tp_basicsize = sizeof(asgi_context_____call___3_AbstractHeadersExtractorMiddleware_genObject),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType___call___3_AbstractHeadersExtractorMiddleware_gen_template = &CPyType___call___3_AbstractHeadersExtractorMiddleware_gen_template_;

static PyObject *
__call___3_AbstractHeadersExtractorMiddleware_gen_setup(PyTypeObject *type)
{
    asgi_context_____call___3_AbstractHeadersExtractorMiddleware_genObject *self;
    self = (asgi_context_____call___3_AbstractHeadersExtractorMiddleware_genObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = __call___3_AbstractHeadersExtractorMiddleware_gen_vtable;
    self->___mypyc_env__ = NULL;
    return (PyObject *)self;
}

PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen(void)
{
    PyObject *self = __call___3_AbstractHeadersExtractorMiddleware_gen_setup(CPyType___call___3_AbstractHeadersExtractorMiddleware_gen);
    if (self == NULL)
        return NULL;
    return self;
}


static PyObject *build_HeadersExtractorMiddlewareFactory_env_setup(PyTypeObject *type);
PyObject *CPyDef_build_HeadersExtractorMiddlewareFactory_env(void);

static PyObject *
build_HeadersExtractorMiddlewareFactory_env_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType_build_HeadersExtractorMiddlewareFactory_env) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    return build_HeadersExtractorMiddlewareFactory_env_setup(type);
}

static int
build_HeadersExtractorMiddlewareFactory_env_traverse(asgi_context___build_HeadersExtractorMiddlewareFactory_envObject *self, visitproc visit, void *arg)
{
    Py_VISIT(self->___mypyc_self__);
    Py_VISIT(self->_header_names);
    Py_VISIT(self->_validators);
    Py_VISIT(self->_base_name);
    Py_VISIT(self->_name_parts);
    Py_VISIT(self->_name_part);
    Py_VISIT(self->_name);
    Py_VISIT(self->_header_names_property);
    return 0;
}

static int
build_HeadersExtractorMiddlewareFactory_env_clear(asgi_context___build_HeadersExtractorMiddlewareFactory_envObject *self)
{
    Py_CLEAR(self->___mypyc_self__);
    Py_CLEAR(self->_header_names);
    Py_CLEAR(self->_validators);
    Py_CLEAR(self->_base_name);
    Py_CLEAR(self->_name_parts);
    Py_CLEAR(self->_name_part);
    Py_CLEAR(self->_name);
    Py_CLEAR(self->_header_names_property);
    return 0;
}

static void
build_HeadersExtractorMiddlewareFactory_env_dealloc(asgi_context___build_HeadersExtractorMiddlewareFactory_envObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, build_HeadersExtractorMiddlewareFactory_env_dealloc)
    build_HeadersExtractorMiddlewareFactory_env_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem build_HeadersExtractorMiddlewareFactory_env_vtable[1];
static bool
CPyDef_build_HeadersExtractorMiddlewareFactory_env_trait_vtable_setup(void)
{
    CPyVTableItem build_HeadersExtractorMiddlewareFactory_env_vtable_scratch[] = {
        NULL
    };
    memcpy(build_HeadersExtractorMiddlewareFactory_env_vtable, build_HeadersExtractorMiddlewareFactory_env_vtable_scratch, sizeof(build_HeadersExtractorMiddlewareFactory_env_vtable));
    return 1;
}

static PyMethodDef build_HeadersExtractorMiddlewareFactory_env_methods[] = {
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType_build_HeadersExtractorMiddlewareFactory_env_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "build_HeadersExtractorMiddlewareFactory_env",
    .tp_new = build_HeadersExtractorMiddlewareFactory_env_new,
    .tp_dealloc = (destructor)build_HeadersExtractorMiddlewareFactory_env_dealloc,
    .tp_traverse = (traverseproc)build_HeadersExtractorMiddlewareFactory_env_traverse,
    .tp_clear = (inquiry)build_HeadersExtractorMiddlewareFactory_env_clear,
    .tp_methods = build_HeadersExtractorMiddlewareFactory_env_methods,
    .tp_basicsize = sizeof(asgi_context___build_HeadersExtractorMiddlewareFactory_envObject),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC,
};
static PyTypeObject *CPyType_build_HeadersExtractorMiddlewareFactory_env_template = &CPyType_build_HeadersExtractorMiddlewareFactory_env_template_;

static PyObject *
build_HeadersExtractorMiddlewareFactory_env_setup(PyTypeObject *type)
{
    asgi_context___build_HeadersExtractorMiddlewareFactory_envObject *self;
    self = (asgi_context___build_HeadersExtractorMiddlewareFactory_envObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = build_HeadersExtractorMiddlewareFactory_env_vtable;
    self->___mypyc_self__ = NULL;
    self->_header_names = NULL;
    self->_validators = NULL;
    self->_base_name = NULL;
    self->_name_parts = NULL;
    self->_name_part = NULL;
    self->_name = NULL;
    self->_header_names_property = NULL;
    return (PyObject *)self;
}

PyObject *CPyDef_build_HeadersExtractorMiddlewareFactory_env(void)
{
    PyObject *self = build_HeadersExtractorMiddlewareFactory_env_setup(CPyType_build_HeadersExtractorMiddlewareFactory_env);
    if (self == NULL)
        return NULL;
    return self;
}


static PyObject *CPyDunder___get____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj(PyObject *self, PyObject *instance, PyObject *owner) {
    instance = instance ? instance : Py_None;
    return CPyDef___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_____get__(self, instance, owner);
}
PyMemberDef __mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_members[] = {
    {"__dict__", T_OBJECT_EX, sizeof(asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject), 0, NULL},
    {"__weakref__", T_OBJECT_EX, sizeof(asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject) + sizeof(PyObject *), 0, NULL},
    {0}
};
static PyObject *__mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_setup(PyTypeObject *type);
PyObject *CPyDef___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj(void);

static PyObject *
__mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    return __mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_setup(type);
}

static int
__mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_traverse(asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject *self, visitproc visit, void *arg)
{
    Py_VISIT(self->___mypyc_env__);
    Py_VISIT(*((PyObject **)((char *)self + sizeof(asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject))));
    Py_VISIT(*((PyObject **)((char *)self + sizeof(PyObject *) + sizeof(asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject))));
    return 0;
}

static int
__mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_clear(asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject *self)
{
    Py_CLEAR(self->___mypyc_env__);
    Py_CLEAR(*((PyObject **)((char *)self + sizeof(asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject))));
    Py_CLEAR(*((PyObject **)((char *)self + sizeof(PyObject *) + sizeof(asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject))));
    return 0;
}

static void
__mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_dealloc(asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, __mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_dealloc)
    __mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem __mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_vtable[2];
static bool
CPyDef___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_trait_vtable_setup(void)
{
    CPyVTableItem __mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_vtable_scratch[] = {
        (CPyVTableItem)CPyDef___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_____call__,
        (CPyVTableItem)CPyDef___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_____get__,
    };
    memcpy(__mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_vtable, __mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_vtable_scratch, sizeof(__mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_vtable));
    return 1;
}

static PyMethodDef __mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_methods[] = {
    {"__call__",
     (PyCFunction)CPyPy___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_____call__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__get__",
     (PyCFunction)CPyPy___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_____get__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "__mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj",
    .tp_new = __mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_new,
    .tp_dealloc = (destructor)__mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_dealloc,
    .tp_traverse = (traverseproc)__mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_traverse,
    .tp_clear = (inquiry)__mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_clear,
    .tp_methods = __mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_methods,
    .tp_call = PyVectorcall_Call,
    .tp_descr_get = CPyDunder___get____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj,
    .tp_members = __mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_members,
    .tp_basicsize = sizeof(asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject) + 2*sizeof(PyObject *),
    .tp_dictoffset = sizeof(asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject),
    .tp_weaklistoffset = sizeof(asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject) + sizeof(PyObject *),
    .tp_vectorcall_offset = offsetof(asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject, vectorcall),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC | _Py_TPFLAGS_HAVE_VECTORCALL,
};
static PyTypeObject *CPyType___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_template = &CPyType___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_template_;

static PyObject *
__mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_setup(PyTypeObject *type)
{
    asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject *self;
    self = (asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = __mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_vtable;
    self->vectorcall = CPyPy___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_____call__;
    self->___mypyc_env__ = NULL;
    return (PyObject *)self;
}

PyObject *CPyDef___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj(void)
{
    PyObject *self = __mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_setup(CPyType___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj);
    if (self == NULL)
        return NULL;
    return self;
}


static PyObject *CPyDunder___get____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj(PyObject *self, PyObject *instance, PyObject *owner) {
    instance = instance ? instance : Py_None;
    return CPyDef___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_____get__(self, instance, owner);
}
PyMemberDef __mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_members[] = {
    {"__dict__", T_OBJECT_EX, sizeof(asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject), 0, NULL},
    {"__weakref__", T_OBJECT_EX, sizeof(asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject) + sizeof(PyObject *), 0, NULL},
    {0}
};
static PyObject *__mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_setup(PyTypeObject *type);
PyObject *CPyDef___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj(void);

static PyObject *
__mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_new(PyTypeObject *type, PyObject *args, PyObject *kwds)
{
    if (type != CPyType___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj) {
        PyErr_SetString(PyExc_TypeError, "interpreted classes cannot inherit from compiled");
        return NULL;
    }
    return __mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_setup(type);
}

static int
__mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_traverse(asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject *self, visitproc visit, void *arg)
{
    Py_VISIT(self->___mypyc_env__);
    Py_VISIT(*((PyObject **)((char *)self + sizeof(asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject))));
    Py_VISIT(*((PyObject **)((char *)self + sizeof(PyObject *) + sizeof(asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject))));
    return 0;
}

static int
__mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_clear(asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject *self)
{
    Py_CLEAR(self->___mypyc_env__);
    Py_CLEAR(*((PyObject **)((char *)self + sizeof(asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject))));
    Py_CLEAR(*((PyObject **)((char *)self + sizeof(PyObject *) + sizeof(asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject))));
    return 0;
}

static void
__mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_dealloc(asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject *self)
{
    PyObject_GC_UnTrack(self);
    CPy_TRASHCAN_BEGIN(self, __mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_dealloc)
    __mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_clear(self);
    Py_TYPE(self)->tp_free((PyObject *)self);
    CPy_TRASHCAN_END(self)
}

static CPyVTableItem __mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_vtable[2];
static bool
CPyDef___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_trait_vtable_setup(void)
{
    CPyVTableItem __mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_vtable_scratch[] = {
        (CPyVTableItem)CPyDef___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_____call__,
        (CPyVTableItem)CPyDef___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_____get__,
    };
    memcpy(__mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_vtable, __mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_vtable_scratch, sizeof(__mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_vtable));
    return 1;
}

static PyMethodDef __mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_methods[] = {
    {"__call__",
     (PyCFunction)CPyPy___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_____call__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__get__",
     (PyCFunction)CPyPy___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_____get__,
     METH_FASTCALL | METH_KEYWORDS, NULL},
    {"__setstate__", (PyCFunction)CPyPickle_SetState, METH_O, NULL},
    {"__getstate__", (PyCFunction)CPyPickle_GetState, METH_NOARGS, NULL},
    {NULL}  /* Sentinel */
};

static PyTypeObject CPyType___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_template_ = {
    PyVarObject_HEAD_INIT(NULL, 0)
    .tp_name = "__mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj",
    .tp_new = __mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_new,
    .tp_dealloc = (destructor)__mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_dealloc,
    .tp_traverse = (traverseproc)__mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_traverse,
    .tp_clear = (inquiry)__mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_clear,
    .tp_methods = __mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_methods,
    .tp_call = PyVectorcall_Call,
    .tp_descr_get = CPyDunder___get____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj,
    .tp_members = __mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_members,
    .tp_basicsize = sizeof(asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject) + 2*sizeof(PyObject *),
    .tp_dictoffset = sizeof(asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject),
    .tp_weaklistoffset = sizeof(asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject) + sizeof(PyObject *),
    .tp_vectorcall_offset = offsetof(asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject, vectorcall),
    .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_HEAPTYPE | Py_TPFLAGS_BASETYPE | Py_TPFLAGS_HAVE_GC | _Py_TPFLAGS_HAVE_VECTORCALL,
};
static PyTypeObject *CPyType___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_template = &CPyType___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_template_;

static PyObject *
__mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_setup(PyTypeObject *type)
{
    asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject *self;
    self = (asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject *)type->tp_alloc(type, 0);
    if (self == NULL)
        return NULL;
    self->vtable = __mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_vtable;
    self->vectorcall = CPyPy___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_____call__;
    self->___mypyc_env__ = NULL;
    return (PyObject *)self;
}

PyObject *CPyDef___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj(void)
{
    PyObject *self = __mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_setup(CPyType___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj);
    if (self == NULL)
        return NULL;
    return self;
}

static PyMethodDef module_methods[] = {
    {"new_context", (PyCFunction)CPyPy_new_context, METH_FASTCALL | METH_KEYWORDS, NULL /* docstring */},
    {NULL, NULL, 0, NULL}
};

static struct PyModuleDef module = {
    PyModuleDef_HEAD_INIT,
    "asgi_context",
    NULL, /* docstring */
    -1,       /* size of per-interpreter state of the module,
                 or -1 if the module keeps state in global variables. */
    module_methods
};

PyMODINIT_FUNC PyInit_asgi_context(void)
{
    PyObject* modname = NULL;
    if (CPyModule_asgi_context_internal) {
        Py_INCREF(CPyModule_asgi_context_internal);
        return CPyModule_asgi_context_internal;
    }
    CPyModule_asgi_context_internal = PyModule_Create(&module);
    if (unlikely(CPyModule_asgi_context_internal == NULL))
        goto fail;
    modname = PyObject_GetAttrString((PyObject *)CPyModule_asgi_context_internal, "__name__");
    CPyStatic_globals = PyModule_GetDict(CPyModule_asgi_context_internal);
    if (unlikely(CPyStatic_globals == NULL))
        goto fail;
    CPyType_new_context_env = (PyTypeObject *)CPyType_FromTemplate((PyObject *)CPyType_new_context_env_template, NULL, modname);
    if (unlikely(!CPyType_new_context_env))
        goto fail;
    CPyType_new_context_gen = (PyTypeObject *)CPyType_FromTemplate((PyObject *)CPyType_new_context_gen_template, NULL, modname);
    if (unlikely(!CPyType_new_context_gen))
        goto fail;
    CPyType___call___3_ContextMiddleware_env = (PyTypeObject *)CPyType_FromTemplate((PyObject *)CPyType___call___3_ContextMiddleware_env_template, NULL, modname);
    if (unlikely(!CPyType___call___3_ContextMiddleware_env))
        goto fail;
    CPyType___call___3_ContextMiddleware_gen = (PyTypeObject *)CPyType_FromTemplate((PyObject *)CPyType___call___3_ContextMiddleware_gen_template, NULL, modname);
    if (unlikely(!CPyType___call___3_ContextMiddleware_gen))
        goto fail;
    CPyType___call___3_AbstractHeadersExtractorMiddleware_env = (PyTypeObject *)CPyType_FromTemplate((PyObject *)CPyType___call___3_AbstractHeadersExtractorMiddleware_env_template, NULL, modname);
    if (unlikely(!CPyType___call___3_AbstractHeadersExtractorMiddleware_env))
        goto fail;
    CPyType___call___3_AbstractHeadersExtractorMiddleware_gen = (PyTypeObject *)CPyType_FromTemplate((PyObject *)CPyType___call___3_AbstractHeadersExtractorMiddleware_gen_template, NULL, modname);
    if (unlikely(!CPyType___call___3_AbstractHeadersExtractorMiddleware_gen))
        goto fail;
    CPyType_build_HeadersExtractorMiddlewareFactory_env = (PyTypeObject *)CPyType_FromTemplate((PyObject *)CPyType_build_HeadersExtractorMiddlewareFactory_env_template, NULL, modname);
    if (unlikely(!CPyType_build_HeadersExtractorMiddlewareFactory_env))
        goto fail;
    CPyType___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj = (PyTypeObject *)CPyType_FromTemplate((PyObject *)CPyType___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_template, NULL, modname);
    if (unlikely(!CPyType___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj))
        goto fail;
    CPyType___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj = (PyTypeObject *)CPyType_FromTemplate((PyObject *)CPyType___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_template, NULL, modname);
    if (unlikely(!CPyType___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj))
        goto fail;
    if (CPyGlobalsInit() < 0)
        goto fail;
    char result = CPyDef___top_level__();
    if (result == 2)
        goto fail;
    Py_DECREF(modname);
    return CPyModule_asgi_context_internal;
    fail:
    Py_CLEAR(CPyModule_asgi_context_internal);
    Py_CLEAR(modname);
    Py_CLEAR(CPyType_RequestContextException);
    Py_CLEAR(CPyType_HeaderValidationException);
    Py_CLEAR(CPyType_Context);
    Py_CLEAR(CPyType_ContextMiddleware);
    Py_CLEAR(CPyType_AbstractHeadersExtractorMiddleware);
    Py_CLEAR(CPyType_HeadersExtractorMiddlewareFactory);
    Py_CLEAR(CPyType_new_context_env);
    Py_CLEAR(CPyType_new_context_gen);
    Py_CLEAR(CPyType___call___3_ContextMiddleware_env);
    Py_CLEAR(CPyType___call___3_ContextMiddleware_gen);
    Py_CLEAR(CPyType___call___3_AbstractHeadersExtractorMiddleware_env);
    Py_CLEAR(CPyType___call___3_AbstractHeadersExtractorMiddleware_gen);
    Py_CLEAR(CPyType_build_HeadersExtractorMiddlewareFactory_env);
    Py_CLEAR(CPyType___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj);
    Py_CLEAR(CPyType___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj);
    return NULL;
}

char CPyDef_Context_____init__(PyObject *cpy_r_self) {
CPyL0: ;
    return 1;
}

PyObject *CPyPy_Context_____init__(PyObject *self, PyObject *args, PyObject *kw) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    if (!CPyArg_ParseTupleAndKeywords(args, kw, "", "__init__", kwlist)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_Context))
        arg_self = obj_self;
    else {
        CPy_TypeError("asgi_context.Context", obj_self); 
        goto fail;
    }
    char retval = CPyDef_Context_____init__(arg_self);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "__init__", 32, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef_Context___data(PyObject *cpy_r_self) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
    PyObject *cpy_r_r3;
    PyObject **cpy_r_r5;
    PyObject *cpy_r_r6;
    PyObject *cpy_r_r7;
    tuple_T3OOO cpy_r_r8;
    PyObject *cpy_r_r9;
    PyObject *cpy_r_r10;
    PyObject *cpy_r_r11;
    char cpy_r_r12;
    PyObject *cpy_r_r13;
    PyObject *cpy_r_e;
    PyObject *cpy_r_r14;
    PyObject *cpy_r_r15;
    PyObject **cpy_r_r17;
    PyObject *cpy_r_r18;
    PyObject *cpy_r_r19;
    char cpy_r_r20;
    PyObject *cpy_r_r21;
CPyL0: ;
CPyL1: ;
    cpy_r_r0 = CPyStatic_globals;
    cpy_r_r1 = CPyStatics[3]; /* '_http_request_context' */
    cpy_r_r2 = CPyDict_GetItem(cpy_r_r0, cpy_r_r1);
    if (unlikely(cpy_r_r2 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "data", 38, CPyStatic_globals);
        goto CPyL5;
    }
CPyL2: ;
    cpy_r_r3 = CPyStatics[4]; /* 'get' */
    PyObject *cpy_r_r4[1] = {cpy_r_r2};
    cpy_r_r5 = (PyObject **)&cpy_r_r4;
    cpy_r_r6 = PyObject_VectorcallMethod(cpy_r_r3, cpy_r_r5, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r6 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "data", 38, CPyStatic_globals);
        goto CPyL16;
    }
CPyL3: ;
    CPy_DECREF(cpy_r_r2);
    if (likely(PyDict_Check(cpy_r_r6)))
        cpy_r_r7 = cpy_r_r6;
    else {
        CPy_TypeErrorTraceback("asgi_context/__init__.py", "data", 38, CPyStatic_globals, "dict", cpy_r_r6);
        goto CPyL5;
    }
CPyL4: ;
    return cpy_r_r7;
CPyL5: ;
    cpy_r_r8 = CPy_CatchError();
    cpy_r_r9 = CPyModule_builtins;
    cpy_r_r10 = CPyStatics[5]; /* 'LookupError' */
    cpy_r_r11 = CPyObject_GetAttr(cpy_r_r9, cpy_r_r10);
    if (unlikely(cpy_r_r11 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "data", 39, CPyStatic_globals);
        goto CPyL13;
    }
CPyL6: ;
    cpy_r_r12 = CPy_ExceptionMatches(cpy_r_r11);
    CPy_DecRef(cpy_r_r11);
    if (!cpy_r_r12) goto CPyL11;
CPyL7: ;
    cpy_r_r13 = CPy_GetExcValue();
    cpy_r_e = cpy_r_r13;
    CPy_DecRef(cpy_r_e);
    cpy_r_r14 = CPyStatics[6]; /* "No request context available - make sure you are using the ContextMiddleware. In case you're using Starlette based framework and using add_middleware method make sure to call it after any middleware that uses http_request_context." */
    cpy_r_r15 = (PyObject *)CPyType_RequestContextException;
    PyObject *cpy_r_r16[1] = {cpy_r_r14};
    cpy_r_r17 = (PyObject **)&cpy_r_r16;
    cpy_r_r18 = _PyObject_Vectorcall(cpy_r_r15, cpy_r_r17, 1, 0);
    if (unlikely(cpy_r_r18 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "data", 40, CPyStatic_globals);
        goto CPyL13;
    }
CPyL8: ;
    if (likely(Py_TYPE(cpy_r_r18) == CPyType_RequestContextException))
        cpy_r_r19 = cpy_r_r18;
    else {
        CPy_TypeErrorTraceback("asgi_context/__init__.py", "data", 40, CPyStatic_globals, "asgi_context.RequestContextException", cpy_r_r18);
        goto CPyL13;
    }
CPyL9: ;
    CPy_Raise(cpy_r_r19);
    CPy_DecRef(cpy_r_r19);
    if (unlikely(!0)) {
        CPy_AddTraceback("asgi_context/__init__.py", "data", 40, CPyStatic_globals);
        goto CPyL13;
    } else
        goto CPyL17;
CPyL10: ;
    CPy_Unreachable();
CPyL11: ;
    CPy_Reraise();
    if (!0) {
        goto CPyL13;
    } else
        goto CPyL18;
CPyL12: ;
    CPy_Unreachable();
CPyL13: ;
    CPy_RestoreExcInfo(cpy_r_r8);
    CPy_DecRef(cpy_r_r8.f0);
    CPy_DecRef(cpy_r_r8.f1);
    CPy_DecRef(cpy_r_r8.f2);
    cpy_r_r20 = CPy_KeepPropagating();
    if (!cpy_r_r20) goto CPyL15;
CPyL14: ;
    CPy_Unreachable();
CPyL15: ;
    cpy_r_r21 = NULL;
    return cpy_r_r21;
CPyL16: ;
    CPy_DecRef(cpy_r_r2);
    goto CPyL5;
CPyL17: ;
    CPy_DecRef(cpy_r_r8.f0);
    CPy_DecRef(cpy_r_r8.f1);
    CPy_DecRef(cpy_r_r8.f2);
    goto CPyL10;
CPyL18: ;
    CPy_DecRef(cpy_r_r8.f0);
    CPy_DecRef(cpy_r_r8.f1);
    CPy_DecRef(cpy_r_r8.f2);
    goto CPyL12;
}

PyObject *CPyPy_Context___data(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":data", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_Context))
        arg_self = obj_self;
    else {
        CPy_TypeError("asgi_context.Context", obj_self); 
        goto fail;
    }
    PyObject *retval = CPyDef_Context___data(arg_self);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "data", 36, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef_new_context_gen_____mypyc_generator_helper__(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_type, PyObject *cpy_r_value, PyObject *cpy_r_traceback, PyObject *cpy_r_arg) {
    PyObject *cpy_r_r0;
    CPyTagged cpy_r_r1;
    PyObject *cpy_r_r2;
    char cpy_r_r3;
    PyObject *cpy_r_r4;
    PyObject *cpy_r_r5;
    PyObject *cpy_r_r6;
    PyObject *cpy_r_r7;
    PyObject *cpy_r_r8;
    PyObject **cpy_r_r10;
    PyObject *cpy_r_r11;
    char cpy_r_r12;
    PyObject *cpy_r_r13;
    char cpy_r_r14;
    PyObject *cpy_r_r15;
    char cpy_r_r16;
    tuple_T3OOO cpy_r_r17;
    tuple_T3OOO cpy_r_r18;
    tuple_T3OOO cpy_r_r19;
    PyObject *cpy_r_r20;
    PyObject *cpy_r_r21;
    PyObject *cpy_r_r22;
    PyObject *cpy_r_r23;
    PyObject *cpy_r_r24;
    PyObject **cpy_r_r26;
    PyObject *cpy_r_r27;
    char cpy_r_r28;
    PyObject *cpy_r_r29;
    char cpy_r_r30;
    int64_t cpy_r_r31;
    char cpy_r_r32;
    char cpy_r_r33;
    char cpy_r_r34;
    char cpy_r_r35;
    int64_t cpy_r_r36;
    char cpy_r_r37;
    char cpy_r_r38;
    char cpy_r_r39;
    char cpy_r_r40;
    char cpy_r_r41;
    PyObject *cpy_r_r42;
CPyL0: ;
    cpy_r_r0 = ((asgi_context___new_context_genObject *)cpy_r___mypyc_self__)->___mypyc_env__;
    if (unlikely(cpy_r_r0 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "new_context", "new_context_gen", "__mypyc_env__", 48, CPyStatic_globals);
        goto CPyL39;
    }
    CPy_INCREF(cpy_r_r0);
CPyL1: ;
    cpy_r_r1 = ((asgi_context___new_context_envObject *)cpy_r_r0)->___mypyc_next_label__;
    if (unlikely(cpy_r_r1 == CPY_INT_TAG)) {
        CPy_AttributeError("asgi_context/__init__.py", "new_context", "new_context_env", "__mypyc_next_label__", 48, CPyStatic_globals);
        goto CPyL40;
    }
    CPyTagged_INCREF(cpy_r_r1);
    goto CPyL29;
CPyL2: ;
    cpy_r_r2 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r3 = cpy_r_type != cpy_r_r2;
    if (cpy_r_r3) {
        goto CPyL41;
    } else
        goto CPyL5;
CPyL3: ;
    CPyErr_SetObjectAndTraceback(cpy_r_type, cpy_r_value, cpy_r_traceback);
    if (unlikely(!0)) {
        CPy_AddTraceback("asgi_context/__init__.py", "new_context", 48, CPyStatic_globals);
        goto CPyL39;
    }
CPyL4: ;
    CPy_Unreachable();
CPyL5: ;
    cpy_r_r4 = CPyStatic_globals;
    cpy_r_r5 = CPyStatics[3]; /* '_http_request_context' */
    cpy_r_r6 = CPyDict_GetItem(cpy_r_r4, cpy_r_r5);
    if (unlikely(cpy_r_r6 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "new_context", 49, CPyStatic_globals);
        goto CPyL40;
    }
CPyL6: ;
    cpy_r_r7 = PyDict_New();
    if (unlikely(cpy_r_r7 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "new_context", 49, CPyStatic_globals);
        goto CPyL42;
    }
CPyL7: ;
    cpy_r_r8 = CPyStatics[7]; /* 'set' */
    PyObject *cpy_r_r9[2] = {cpy_r_r6, cpy_r_r7};
    cpy_r_r10 = (PyObject **)&cpy_r_r9;
    cpy_r_r11 = PyObject_VectorcallMethod(cpy_r_r8, cpy_r_r10, 9223372036854775810ULL, 0);
    if (unlikely(cpy_r_r11 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "new_context", 49, CPyStatic_globals);
        goto CPyL43;
    }
CPyL8: ;
    CPy_DECREF(cpy_r_r6);
    CPy_DECREF(cpy_r_r7);
    if (((asgi_context___new_context_envObject *)cpy_r_r0)->_token != NULL) {
        CPy_DECREF(((asgi_context___new_context_envObject *)cpy_r_r0)->_token);
    }
    ((asgi_context___new_context_envObject *)cpy_r_r0)->_token = cpy_r_r11;
    cpy_r_r12 = 1;
    if (unlikely(!cpy_r_r12)) {
        CPy_AddTraceback("asgi_context/__init__.py", "new_context", 49, CPyStatic_globals);
        goto CPyL40;
    }
CPyL9: ;
    cpy_r_r13 = Py_None;
    if (((asgi_context___new_context_envObject *)cpy_r_r0)->___mypyc_next_label__ != CPY_INT_TAG) {
        CPyTagged_DECREF(((asgi_context___new_context_envObject *)cpy_r_r0)->___mypyc_next_label__);
    }
    ((asgi_context___new_context_envObject *)cpy_r_r0)->___mypyc_next_label__ = 2;
    cpy_r_r14 = 1;
    if (unlikely(!cpy_r_r14)) {
        CPy_AddTraceback("asgi_context/__init__.py", "new_context", 51, CPyStatic_globals);
        goto CPyL15;
    } else
        goto CPyL44;
CPyL10: ;
    CPy_INCREF(cpy_r_r13);
    return cpy_r_r13;
CPyL11: ;
    cpy_r_r15 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r16 = cpy_r_type != cpy_r_r15;
    if (!cpy_r_r16) goto CPyL14;
CPyL12: ;
    CPyErr_SetObjectAndTraceback(cpy_r_type, cpy_r_value, cpy_r_traceback);
    if (unlikely(!0)) {
        CPy_AddTraceback("asgi_context/__init__.py", "new_context", 51, CPyStatic_globals);
        goto CPyL15;
    } else
        goto CPyL45;
CPyL13: ;
    CPy_Unreachable();
CPyL14: ;
    tuple_T3OOO __tmp1 = { NULL, NULL, NULL };
    cpy_r_r17 = __tmp1;
    cpy_r_r18 = cpy_r_r17;
    goto CPyL16;
CPyL15: ;
    cpy_r_r19 = CPy_CatchError();
    cpy_r_r18 = cpy_r_r19;
CPyL16: ;
    cpy_r_r20 = CPyStatic_globals;
    cpy_r_r21 = CPyStatics[3]; /* '_http_request_context' */
    cpy_r_r22 = CPyDict_GetItem(cpy_r_r20, cpy_r_r21);
    if (unlikely(cpy_r_r22 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "new_context", 53, CPyStatic_globals);
        goto CPyL46;
    }
CPyL17: ;
    cpy_r_r23 = ((asgi_context___new_context_envObject *)cpy_r_r0)->_token;
    if (unlikely(cpy_r_r23 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "new_context", "new_context_env", "token", 53, CPyStatic_globals);
        goto CPyL47;
    }
    CPy_INCREF(cpy_r_r23);
CPyL18: ;
    cpy_r_r24 = CPyStatics[8]; /* 'reset' */
    PyObject *cpy_r_r25[2] = {cpy_r_r22, cpy_r_r23};
    cpy_r_r26 = (PyObject **)&cpy_r_r25;
    cpy_r_r27 = PyObject_VectorcallMethod(cpy_r_r24, cpy_r_r26, 9223372036854775810ULL, 0);
    if (unlikely(cpy_r_r27 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "new_context", 53, CPyStatic_globals);
        goto CPyL48;
    } else
        goto CPyL49;
CPyL19: ;
    CPy_DECREF(cpy_r_r22);
    CPy_DECREF(cpy_r_r23);
    if (cpy_r_r18.f0 == NULL) {
        goto CPyL26;
    } else
        goto CPyL50;
CPyL20: ;
    CPy_Reraise();
    if (!0) {
        goto CPyL22;
    } else
        goto CPyL51;
CPyL21: ;
    CPy_Unreachable();
CPyL22: ;
    if (cpy_r_r18.f0 == NULL) goto CPyL24;
CPyL23: ;
    CPy_RestoreExcInfo(cpy_r_r18);
    CPy_XDECREF(cpy_r_r18.f0);
    CPy_XDECREF(cpy_r_r18.f1);
    CPy_XDECREF(cpy_r_r18.f2);
CPyL24: ;
    cpy_r_r28 = CPy_KeepPropagating();
    if (!cpy_r_r28) goto CPyL39;
CPyL25: ;
    CPy_Unreachable();
CPyL26: ;
    cpy_r_r29 = Py_None;
    if (((asgi_context___new_context_envObject *)cpy_r_r0)->___mypyc_next_label__ != CPY_INT_TAG) {
        CPyTagged_DECREF(((asgi_context___new_context_envObject *)cpy_r_r0)->___mypyc_next_label__);
    }
    ((asgi_context___new_context_envObject *)cpy_r_r0)->___mypyc_next_label__ = -2;
    cpy_r_r30 = 1;
    CPy_DECREF(cpy_r_r0);
    if (unlikely(!cpy_r_r30)) {
        CPy_AddTraceback("asgi_context/__init__.py", "new_context", 48, CPyStatic_globals);
        goto CPyL39;
    }
CPyL27: ;
    CPyGen_SetStopIterationValue(cpy_r_r29);
    if (!0) goto CPyL39;
CPyL28: ;
    CPy_Unreachable();
CPyL29: ;
    cpy_r_r31 = cpy_r_r1 & 1;
    cpy_r_r32 = cpy_r_r31 == 0;
    if (!cpy_r_r32) goto CPyL31;
CPyL30: ;
    cpy_r_r33 = cpy_r_r1 == 0;
    cpy_r_r34 = cpy_r_r33;
    goto CPyL32;
CPyL31: ;
    cpy_r_r35 = CPyTagged_IsEq_(cpy_r_r1, 0);
    cpy_r_r34 = cpy_r_r35;
CPyL32: ;
    if (cpy_r_r34) goto CPyL52;
CPyL33: ;
    cpy_r_r36 = cpy_r_r1 & 1;
    cpy_r_r37 = cpy_r_r36 == 0;
    if (!cpy_r_r37) goto CPyL35;
CPyL34: ;
    cpy_r_r38 = cpy_r_r1 == 2;
    CPyTagged_DECREF(cpy_r_r1);
    cpy_r_r39 = cpy_r_r38;
    goto CPyL36;
CPyL35: ;
    cpy_r_r40 = CPyTagged_IsEq_(cpy_r_r1, 2);
    CPyTagged_DECREF(cpy_r_r1);
    cpy_r_r39 = cpy_r_r40;
CPyL36: ;
    if (cpy_r_r39) {
        goto CPyL11;
    } else
        goto CPyL53;
CPyL37: ;
    PyErr_SetNone(PyExc_StopIteration);
    cpy_r_r41 = 0;
    if (unlikely(!cpy_r_r41)) {
        CPy_AddTraceback("asgi_context/__init__.py", "new_context", 48, CPyStatic_globals);
        goto CPyL39;
    }
CPyL38: ;
    CPy_Unreachable();
CPyL39: ;
    cpy_r_r42 = NULL;
    return cpy_r_r42;
CPyL40: ;
    CPy_DecRef(cpy_r_r0);
    goto CPyL39;
CPyL41: ;
    CPy_DECREF(cpy_r_r0);
    goto CPyL3;
CPyL42: ;
    CPy_DecRef(cpy_r_r0);
    CPy_DecRef(cpy_r_r6);
    goto CPyL39;
CPyL43: ;
    CPy_DecRef(cpy_r_r0);
    CPy_DecRef(cpy_r_r6);
    CPy_DecRef(cpy_r_r7);
    goto CPyL39;
CPyL44: ;
    CPy_DECREF(cpy_r_r0);
    goto CPyL10;
CPyL45: ;
    CPy_DECREF(cpy_r_r0);
    goto CPyL13;
CPyL46: ;
    CPy_DecRef(cpy_r_r0);
    goto CPyL22;
CPyL47: ;
    CPy_DecRef(cpy_r_r0);
    CPy_DecRef(cpy_r_r22);
    goto CPyL22;
CPyL48: ;
    CPy_DecRef(cpy_r_r0);
    CPy_DecRef(cpy_r_r22);
    CPy_DecRef(cpy_r_r23);
    goto CPyL22;
CPyL49: ;
    CPy_DECREF(cpy_r_r27);
    goto CPyL19;
CPyL50: ;
    CPy_DECREF(cpy_r_r0);
    goto CPyL20;
CPyL51: ;
    CPy_XDECREF(cpy_r_r18.f0);
    CPy_XDECREF(cpy_r_r18.f1);
    CPy_XDECREF(cpy_r_r18.f2);
    goto CPyL21;
CPyL52: ;
    CPyTagged_DECREF(cpy_r_r1);
    goto CPyL2;
CPyL53: ;
    CPy_DECREF(cpy_r_r0);
    goto CPyL37;
}

PyObject *CPyPy_new_context_gen_____mypyc_generator_helper__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {"type", "value", "traceback", "arg", 0};
    static CPyArg_Parser parser = {"OOOO:__mypyc_generator_helper__", kwlist, 0};
    PyObject *obj_type;
    PyObject *obj_value;
    PyObject *obj_traceback;
    PyObject *obj_arg;
    if (!CPyArg_ParseStackAndKeywordsSimple(args, nargs, kwnames, &parser, &obj_type, &obj_value, &obj_traceback, &obj_arg)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__ = obj___mypyc_self__;
    PyObject *arg_type = obj_type;
    PyObject *arg_value = obj_value;
    PyObject *arg_traceback = obj_traceback;
    PyObject *arg_arg = obj_arg;
    PyObject *retval = CPyDef_new_context_gen_____mypyc_generator_helper__(arg___mypyc_self__, arg_type, arg_value, arg_traceback, arg_arg);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "new_context", 48, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef_new_context_gen_____next__(PyObject *cpy_r___mypyc_self__) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
CPyL0: ;
    cpy_r_r0 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r1 = CPyDef_new_context_gen_____mypyc_generator_helper__(cpy_r___mypyc_self__, cpy_r_r0, cpy_r_r0, cpy_r_r0, cpy_r_r0);
    if (cpy_r_r1 == NULL) goto CPyL2;
CPyL1: ;
    return cpy_r_r1;
CPyL2: ;
    cpy_r_r2 = NULL;
    return cpy_r_r2;
}

PyObject *CPyPy_new_context_gen_____next__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":__next__", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__;
    if (likely(Py_TYPE(obj___mypyc_self__) == CPyType_new_context_gen))
        arg___mypyc_self__ = obj___mypyc_self__;
    else {
        CPy_TypeError("asgi_context.new_context_gen", obj___mypyc_self__); 
        goto fail;
    }
    PyObject *retval = CPyDef_new_context_gen_____next__(arg___mypyc_self__);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "__next__", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef_new_context_gen___send(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_arg) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
CPyL0: ;
    cpy_r_r0 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r1 = CPyDef_new_context_gen_____mypyc_generator_helper__(cpy_r___mypyc_self__, cpy_r_r0, cpy_r_r0, cpy_r_r0, cpy_r_arg);
    if (cpy_r_r1 == NULL) goto CPyL2;
CPyL1: ;
    return cpy_r_r1;
CPyL2: ;
    cpy_r_r2 = NULL;
    return cpy_r_r2;
}

PyObject *CPyPy_new_context_gen___send(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {"arg", 0};
    static CPyArg_Parser parser = {"O:send", kwlist, 0};
    PyObject *obj_arg;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_arg)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__;
    if (likely(Py_TYPE(obj___mypyc_self__) == CPyType_new_context_gen))
        arg___mypyc_self__ = obj___mypyc_self__;
    else {
        CPy_TypeError("asgi_context.new_context_gen", obj___mypyc_self__); 
        goto fail;
    }
    PyObject *arg_arg = obj_arg;
    PyObject *retval = CPyDef_new_context_gen___send(arg___mypyc_self__, arg_arg);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "send", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef_new_context_gen_____iter__(PyObject *cpy_r___mypyc_self__) {
CPyL0: ;
    CPy_INCREF(cpy_r___mypyc_self__);
    return cpy_r___mypyc_self__;
}

PyObject *CPyPy_new_context_gen_____iter__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":__iter__", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__;
    if (likely(Py_TYPE(obj___mypyc_self__) == CPyType_new_context_gen))
        arg___mypyc_self__ = obj___mypyc_self__;
    else {
        CPy_TypeError("asgi_context.new_context_gen", obj___mypyc_self__); 
        goto fail;
    }
    PyObject *retval = CPyDef_new_context_gen_____iter__(arg___mypyc_self__);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "__iter__", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef_new_context_gen___throw(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_type, PyObject *cpy_r_value, PyObject *cpy_r_traceback) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
CPyL0: ;
    cpy_r_r0 = (PyObject *)&_Py_NoneStruct;
    if (cpy_r_value != NULL) goto CPyL7;
CPyL1: ;
    CPy_INCREF(cpy_r_r0);
    cpy_r_value = cpy_r_r0;
CPyL2: ;
    if (cpy_r_traceback != NULL) goto CPyL8;
CPyL3: ;
    CPy_INCREF(cpy_r_r0);
    cpy_r_traceback = cpy_r_r0;
CPyL4: ;
    cpy_r_r1 = CPyDef_new_context_gen_____mypyc_generator_helper__(cpy_r___mypyc_self__, cpy_r_type, cpy_r_value, cpy_r_traceback, cpy_r_r0);
    CPy_DECREF(cpy_r_value);
    CPy_DECREF(cpy_r_traceback);
    if (cpy_r_r1 == NULL) goto CPyL6;
CPyL5: ;
    return cpy_r_r1;
CPyL6: ;
    cpy_r_r2 = NULL;
    return cpy_r_r2;
CPyL7: ;
    CPy_INCREF(cpy_r_value);
    goto CPyL2;
CPyL8: ;
    CPy_INCREF(cpy_r_traceback);
    goto CPyL4;
}

PyObject *CPyPy_new_context_gen___throw(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {"type", "value", "traceback", 0};
    static CPyArg_Parser parser = {"O|OO:throw", kwlist, 0};
    PyObject *obj_type;
    PyObject *obj_value = NULL;
    PyObject *obj_traceback = NULL;
    if (!CPyArg_ParseStackAndKeywordsSimple(args, nargs, kwnames, &parser, &obj_type, &obj_value, &obj_traceback)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__;
    if (likely(Py_TYPE(obj___mypyc_self__) == CPyType_new_context_gen))
        arg___mypyc_self__ = obj___mypyc_self__;
    else {
        CPy_TypeError("asgi_context.new_context_gen", obj___mypyc_self__); 
        goto fail;
    }
    PyObject *arg_type = obj_type;
    PyObject *arg_value;
    if (obj_value == NULL) {
        arg_value = NULL;
    } else {
        arg_value = obj_value; 
    }
    PyObject *arg_traceback;
    if (obj_traceback == NULL) {
        arg_traceback = NULL;
    } else {
        arg_traceback = obj_traceback; 
    }
    PyObject *retval = CPyDef_new_context_gen___throw(arg___mypyc_self__, arg_type, arg_value, arg_traceback);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "throw", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef_new_context_gen___close(PyObject *cpy_r___mypyc_self__) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
    PyObject *cpy_r_r3;
    PyObject *cpy_r_r4;
    PyObject *cpy_r_r5;
    tuple_T3OOO cpy_r_r6;
    PyObject *cpy_r_r7;
    PyObject *cpy_r_r8;
    PyObject *cpy_r_r9;
    tuple_T2OO cpy_r_r10;
    PyObject *cpy_r_r11;
    char cpy_r_r12;
    PyObject *cpy_r_r13;
    char cpy_r_r14;
    PyObject *cpy_r_r15;
CPyL0: ;
CPyL1: ;
    cpy_r_r0 = CPyModule_builtins;
    cpy_r_r1 = CPyStatics[9]; /* 'GeneratorExit' */
    cpy_r_r2 = CPyObject_GetAttr(cpy_r_r0, cpy_r_r1);
    if (cpy_r_r2 == NULL) goto CPyL3;
CPyL2: ;
    cpy_r_r3 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r4 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r5 = CPyDef_new_context_gen___throw(cpy_r___mypyc_self__, cpy_r_r2, cpy_r_r3, cpy_r_r4);
    if (cpy_r_r5 != NULL) goto CPyL11;
CPyL3: ;
    cpy_r_r6 = CPy_CatchError();
    cpy_r_r7 = CPyModule_builtins;
    cpy_r_r8 = CPyStatics[10]; /* 'StopIteration' */
    cpy_r_r9 = CPyObject_GetAttr(cpy_r_r7, cpy_r_r8);
    if (cpy_r_r9 == NULL) goto CPyL12;
CPyL4: ;
    cpy_r_r10.f0 = cpy_r_r2;
    cpy_r_r10.f1 = cpy_r_r9;
    CPy_INCREF(cpy_r_r10.f0);
    CPy_INCREF(cpy_r_r10.f1);
    CPy_DECREF(cpy_r_r2);
    CPy_DECREF(cpy_r_r9);
    cpy_r_r11 = PyTuple_New(2);
    if (unlikely(cpy_r_r11 == NULL))
        CPyError_OutOfMemory();
    PyObject *__tmp2 = cpy_r_r10.f0;
    PyTuple_SET_ITEM(cpy_r_r11, 0, __tmp2);
    PyObject *__tmp3 = cpy_r_r10.f1;
    PyTuple_SET_ITEM(cpy_r_r11, 1, __tmp3);
    cpy_r_r12 = CPy_ExceptionMatches(cpy_r_r11);
    CPy_DECREF(cpy_r_r11);
    if (!cpy_r_r12) goto CPyL13;
CPyL5: ;
    CPy_RestoreExcInfo(cpy_r_r6);
    CPy_DECREF(cpy_r_r6.f0);
    CPy_DECREF(cpy_r_r6.f1);
    CPy_DECREF(cpy_r_r6.f2);
    cpy_r_r13 = (PyObject *)&_Py_NoneStruct;
    CPy_INCREF(cpy_r_r13);
    return cpy_r_r13;
CPyL6: ;
    CPy_Reraise();
    if (!0) goto CPyL10;
CPyL7: ;
    CPy_Unreachable();
CPyL8: ;
    PyErr_SetString(PyExc_RuntimeError, "generator ignored GeneratorExit");
    cpy_r_r14 = 0;
    if (!cpy_r_r14) goto CPyL10;
CPyL9: ;
    CPy_Unreachable();
CPyL10: ;
    cpy_r_r15 = NULL;
    return cpy_r_r15;
CPyL11: ;
    CPy_DECREF(cpy_r_r2);
    CPy_DECREF(cpy_r_r5);
    goto CPyL8;
CPyL12: ;
    CPy_DECREF(cpy_r_r2);
    CPy_DECREF(cpy_r_r6.f0);
    CPy_DECREF(cpy_r_r6.f1);
    CPy_DECREF(cpy_r_r6.f2);
    goto CPyL10;
CPyL13: ;
    CPy_DECREF(cpy_r_r6.f0);
    CPy_DECREF(cpy_r_r6.f1);
    CPy_DECREF(cpy_r_r6.f2);
    goto CPyL6;
}

PyObject *CPyPy_new_context_gen___close(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":close", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__;
    if (likely(Py_TYPE(obj___mypyc_self__) == CPyType_new_context_gen))
        arg___mypyc_self__ = obj___mypyc_self__;
    else {
        CPy_TypeError("asgi_context.new_context_gen", obj___mypyc_self__); 
        goto fail;
    }
    PyObject *retval = CPyDef_new_context_gen___close(arg___mypyc_self__);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "close", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef_new_context(void) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    char cpy_r_r2;
    char cpy_r_r3;
    PyObject *cpy_r_r4;
CPyL0: ;
    cpy_r_r0 = CPyDef_new_context_env();
    if (unlikely(cpy_r_r0 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "new_context", 48, CPyStatic_globals);
        goto CPyL5;
    }
CPyL1: ;
    cpy_r_r1 = CPyDef_new_context_gen();
    if (unlikely(cpy_r_r1 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "new_context", 48, CPyStatic_globals);
        goto CPyL6;
    }
CPyL2: ;
    CPy_INCREF(cpy_r_r0);
    if (((asgi_context___new_context_genObject *)cpy_r_r1)->___mypyc_env__ != NULL) {
        CPy_DECREF(((asgi_context___new_context_genObject *)cpy_r_r1)->___mypyc_env__);
    }
    ((asgi_context___new_context_genObject *)cpy_r_r1)->___mypyc_env__ = cpy_r_r0;
    cpy_r_r2 = 1;
    if (unlikely(!cpy_r_r2)) {
        CPy_AddTraceback("asgi_context/__init__.py", "new_context", 48, CPyStatic_globals);
        goto CPyL7;
    }
CPyL3: ;
    if (((asgi_context___new_context_envObject *)cpy_r_r0)->___mypyc_next_label__ != CPY_INT_TAG) {
        CPyTagged_DECREF(((asgi_context___new_context_envObject *)cpy_r_r0)->___mypyc_next_label__);
    }
    ((asgi_context___new_context_envObject *)cpy_r_r0)->___mypyc_next_label__ = 0;
    cpy_r_r3 = 1;
    CPy_DECREF(cpy_r_r0);
    if (unlikely(!cpy_r_r3)) {
        CPy_AddTraceback("asgi_context/__init__.py", "new_context", 48, CPyStatic_globals);
        goto CPyL8;
    }
CPyL4: ;
    return cpy_r_r1;
CPyL5: ;
    cpy_r_r4 = NULL;
    return cpy_r_r4;
CPyL6: ;
    CPy_DecRef(cpy_r_r0);
    goto CPyL5;
CPyL7: ;
    CPy_DecRef(cpy_r_r0);
    CPy_DecRef(cpy_r_r1);
    goto CPyL5;
CPyL8: ;
    CPy_DecRef(cpy_r_r1);
    goto CPyL5;
}

PyObject *CPyPy_new_context(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":new_context", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *retval = CPyDef_new_context();
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "new_context", 48, CPyStatic_globals);
    return NULL;
}

char CPyDef_ContextMiddleware_____init__(PyObject *cpy_r_self, PyObject *cpy_r_app) {
CPyL0: ;
    CPy_INCREF(cpy_r_app);
    ((asgi_context___ContextMiddlewareObject *)cpy_r_self)->_app = cpy_r_app;
    return 1;
}

PyObject *CPyPy_ContextMiddleware_____init__(PyObject *self, PyObject *args, PyObject *kw) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"app", 0};
    PyObject *obj_app;
    if (!CPyArg_ParseTupleAndKeywords(args, kw, "O", "__init__", kwlist, &obj_app)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_ContextMiddleware))
        arg_self = obj_self;
    else {
        CPy_TypeError("asgi_context.ContextMiddleware", obj_self); 
        goto fail;
    }
    PyObject *arg_app = obj_app;
    char retval = CPyDef_ContextMiddleware_____init__(arg_self, arg_app);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "__init__", 59, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___call___3_ContextMiddleware_gen_____mypyc_generator_helper__(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_type, PyObject *cpy_r_value, PyObject *cpy_r_traceback, PyObject *cpy_r_arg) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
    PyObject *cpy_r_r3;
    PyObject *cpy_r_r4;
    CPyTagged cpy_r_r5;
    PyObject *cpy_r_r6;
    char cpy_r_r7;
    PyObject *cpy_r_r8;
    PyObject *cpy_r_r9;
    int32_t cpy_r_r10;
    char cpy_r_r11;
    char cpy_r_r12;
    char cpy_r_r13;
    PyObject *cpy_r_r14;
    PyObject *cpy_r_r15;
    PyObject *cpy_r_r16;
    PyObject *cpy_r_r17;
    PyObject *cpy_r_r18;
    int32_t cpy_r_r19;
    char cpy_r_r20;
    char cpy_r_r21;
    PyObject *cpy_r_r22;
    PyObject *cpy_r_r23;
    PyObject *cpy_r_r24;
    PyObject *cpy_r_r25;
    PyObject *cpy_r_r26;
    PyObject **cpy_r_r28;
    PyObject *cpy_r_r29;
    PyObject *cpy_r_r30;
    char cpy_r_r31;
    PyObject *cpy_r_r32;
    PyObject *cpy_r_r33;
    PyObject *cpy_r_r34;
    PyObject *cpy_r_r35;
    PyObject *cpy_r_r36;
    char cpy_r_r37;
    PyObject *cpy_r_r38;
    char cpy_r_r39;
    PyObject *cpy_r_r40;
    tuple_T3OOO cpy_r_r41;
    char cpy_r_r42;
    PyObject **cpy_r_r43;
    PyObject *cpy_r_r44;
    char cpy_r_r45;
    char cpy_r_r46;
    tuple_T3OOO cpy_r_r47;
    char cpy_r_r48;
    tuple_T3OOO cpy_r_r49;
    tuple_T3OOO cpy_r_r50;
    char cpy_r_r51;
    PyObject *cpy_r_r52;
    PyObject *cpy_r_r53;
    PyObject *cpy_r_r54;
    PyObject *cpy_r_r55;
    PyObject *cpy_r_r56;
    PyObject *cpy_r_r57;
    PyObject *cpy_r_r58;
    PyObject *cpy_r_r59;
    PyObject *cpy_r_r60;
    PyObject *cpy_r_r61;
    char cpy_r_r62;
    PyObject *cpy_r_r63;
    PyObject *cpy_r_r64;
    PyObject **cpy_r_r66;
    PyObject *cpy_r_r67;
    char cpy_r_r68;
    char cpy_r_r69;
    PyObject *cpy_r_r70;
    PyObject *cpy_r_r71;
    PyObject *cpy_r_r72;
    PyObject *cpy_r_r73;
    PyObject *cpy_r_r74;
    PyObject **cpy_r_r76;
    PyObject *cpy_r_r77;
    PyObject *cpy_r_r78;
    char cpy_r_r79;
    PyObject *cpy_r_r80;
    PyObject *cpy_r_r81;
    PyObject *cpy_r_r82;
    PyObject *cpy_r_r83;
    PyObject *cpy_r_r84;
    char cpy_r_r85;
    PyObject *cpy_r_r86;
    char cpy_r_r87;
    PyObject *cpy_r_r88;
    tuple_T3OOO cpy_r_r89;
    char cpy_r_r90;
    PyObject **cpy_r_r91;
    PyObject *cpy_r_r92;
    char cpy_r_r93;
    char cpy_r_r94;
    tuple_T3OOO cpy_r_r95;
    char cpy_r_r96;
    tuple_T3OOO cpy_r_r97;
    tuple_T3OOO cpy_r_r98;
    char cpy_r_r99;
    PyObject *cpy_r_r100;
    PyObject *cpy_r_r101;
    PyObject *cpy_r_r102;
    tuple_T3OOO cpy_r_r103;
    char cpy_r_r104;
    char cpy_r_r105;
    tuple_T3OOO cpy_r_r106;
    PyObject *cpy_r_r107;
    PyObject *cpy_r_r108;
    PyObject *cpy_r_r109;
    PyObject *cpy_r_r110;
    PyObject *cpy_r_r111;
    PyObject **cpy_r_r113;
    PyObject *cpy_r_r114;
    int32_t cpy_r_r115;
    char cpy_r_r116;
    char cpy_r_r117;
    tuple_T3OOO cpy_r_r118;
    tuple_T3OOO cpy_r_r119;
    char cpy_r_r120;
    tuple_T3OOO cpy_r_r121;
    tuple_T3OOO cpy_r_r122;
    tuple_T3OOO cpy_r_r123;
    char cpy_r_r124;
    PyObject *cpy_r_r125;
    PyObject *cpy_r_r126;
    PyObject *cpy_r_r127;
    PyObject **cpy_r_r129;
    PyObject *cpy_r_r130;
    char cpy_r_r131;
    PyObject *cpy_r_r132;
    char cpy_r_r133;
    int64_t cpy_r_r134;
    char cpy_r_r135;
    char cpy_r_r136;
    char cpy_r_r137;
    char cpy_r_r138;
    int64_t cpy_r_r139;
    char cpy_r_r140;
    char cpy_r_r141;
    char cpy_r_r142;
    char cpy_r_r143;
    int64_t cpy_r_r144;
    char cpy_r_r145;
    char cpy_r_r146;
    char cpy_r_r147;
    char cpy_r_r148;
    char cpy_r_r149;
    PyObject *cpy_r_r150;
CPyL0: ;
    cpy_r_r0 = NULL;
    cpy_r_r1 = cpy_r_r0;
    cpy_r_r2 = NULL;
    cpy_r_r3 = cpy_r_r2;
    cpy_r_r4 = ((asgi_context_____call___3_ContextMiddleware_genObject *)cpy_r___mypyc_self__)->___mypyc_env__;
    if (unlikely(cpy_r_r4 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_gen", "__mypyc_env__", 62, CPyStatic_globals);
        goto CPyL152;
    }
    CPy_INCREF(cpy_r_r4);
CPyL1: ;
    cpy_r_r5 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__;
    if (unlikely(cpy_r_r5 == CPY_INT_TAG)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_next_label__", 62, CPyStatic_globals);
        goto CPyL153;
    }
    CPyTagged_INCREF(cpy_r_r5);
    goto CPyL137;
CPyL2: ;
    cpy_r_r6 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r7 = cpy_r_type != cpy_r_r6;
    if (cpy_r_r7) {
        goto CPyL154;
    } else
        goto CPyL5;
CPyL3: ;
    CPyErr_SetObjectAndTraceback(cpy_r_type, cpy_r_value, cpy_r_traceback);
    if (unlikely(!0)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 62, CPyStatic_globals);
        goto CPyL151;
    }
CPyL4: ;
    CPy_Unreachable();
CPyL5: ;
    cpy_r_r8 = CPyStatics[11]; /* 'type' */
    cpy_r_r9 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->_scope;
    if (unlikely(cpy_r_r9 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "scope", 63, CPyStatic_globals);
        goto CPyL153;
    }
    CPy_INCREF(cpy_r_r9);
CPyL6: ;
    cpy_r_r10 = PyDict_Contains(cpy_r_r9, cpy_r_r8);
    CPy_DECREF(cpy_r_r9);
    cpy_r_r11 = cpy_r_r10 >= 0;
    if (unlikely(!cpy_r_r11)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 63, CPyStatic_globals);
        goto CPyL153;
    }
CPyL7: ;
    cpy_r_r12 = cpy_r_r10;
    if (cpy_r_r12) {
        goto CPyL10;
    } else
        goto CPyL155;
CPyL8: ;
    PyErr_SetString(PyExc_AssertionError, "ASGI scope must contain a 'type' key");
    cpy_r_r13 = 0;
    if (unlikely(!cpy_r_r13)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 63, CPyStatic_globals);
        goto CPyL151;
    }
CPyL9: ;
    CPy_Unreachable();
CPyL10: ;
    cpy_r_r14 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->_scope;
    if (unlikely(cpy_r_r14 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "scope", 65, CPyStatic_globals);
        goto CPyL153;
    }
    CPy_INCREF(cpy_r_r14);
CPyL11: ;
    cpy_r_r15 = CPyStatics[11]; /* 'type' */
    cpy_r_r16 = CPyDict_GetItem(cpy_r_r14, cpy_r_r15);
    CPy_DECREF(cpy_r_r14);
    if (unlikely(cpy_r_r16 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 65, CPyStatic_globals);
        goto CPyL153;
    }
CPyL12: ;
    cpy_r_r17 = CPyStatics[12]; /* 'http' */
    cpy_r_r18 = PyObject_RichCompare(cpy_r_r16, cpy_r_r17, 2);
    CPy_DECREF(cpy_r_r16);
    if (unlikely(cpy_r_r18 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 65, CPyStatic_globals);
        goto CPyL153;
    }
CPyL13: ;
    cpy_r_r19 = PyObject_IsTrue(cpy_r_r18);
    CPy_DECREF(cpy_r_r18);
    cpy_r_r20 = cpy_r_r19 >= 0;
    if (unlikely(!cpy_r_r20)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 65, CPyStatic_globals);
        goto CPyL153;
    }
CPyL14: ;
    cpy_r_r21 = cpy_r_r19;
    if (cpy_r_r21) {
        goto CPyL156;
    } else
        goto CPyL157;
CPyL15: ;
    cpy_r_r22 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->_self;
    if (unlikely(cpy_r_r22 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "self", 66, CPyStatic_globals);
        goto CPyL158;
    }
    CPy_INCREF(cpy_r_r22);
CPyL16: ;
    cpy_r_r23 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->_scope;
    if (unlikely(cpy_r_r23 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "scope", 66, CPyStatic_globals);
        goto CPyL159;
    }
    CPy_INCREF(cpy_r_r23);
CPyL17: ;
    cpy_r_r24 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->_receive;
    if (unlikely(cpy_r_r24 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "receive", 66, CPyStatic_globals);
        goto CPyL160;
    }
    CPy_INCREF(cpy_r_r24);
CPyL18: ;
    cpy_r_r25 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->_send;
    if (unlikely(cpy_r_r25 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "send", 66, CPyStatic_globals);
        goto CPyL161;
    }
    CPy_INCREF(cpy_r_r25);
CPyL19: ;
    cpy_r_r26 = ((asgi_context___ContextMiddlewareObject *)cpy_r_r22)->_app;
    CPy_INCREF(cpy_r_r26);
    CPy_DECREF(cpy_r_r22);
CPyL20: ;
    PyObject *cpy_r_r27[3] = {cpy_r_r23, cpy_r_r24, cpy_r_r25};
    cpy_r_r28 = (PyObject **)&cpy_r_r27;
    cpy_r_r29 = _PyObject_Vectorcall(cpy_r_r26, cpy_r_r28, 3, 0);
    CPy_DECREF(cpy_r_r26);
    if (unlikely(cpy_r_r29 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 66, CPyStatic_globals);
        goto CPyL162;
    }
CPyL21: ;
    CPy_DECREF(cpy_r_r23);
    CPy_DECREF(cpy_r_r24);
    CPy_DECREF(cpy_r_r25);
    cpy_r_r30 = CPy_GetCoro(cpy_r_r29);
    CPy_DECREF(cpy_r_r29);
    if (unlikely(cpy_r_r30 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 66, CPyStatic_globals);
        goto CPyL158;
    }
CPyL22: ;
    if (((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__0 != NULL) {
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__0);
    }
    ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__0 = cpy_r_r30;
    cpy_r_r31 = 1;
    if (unlikely(!cpy_r_r31)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL158;
    }
CPyL23: ;
    cpy_r_r32 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__0;
    if (unlikely(cpy_r_r32 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__0", -1, CPyStatic_globals);
        goto CPyL158;
    }
    CPy_INCREF(cpy_r_r32);
CPyL24: ;
    cpy_r_r33 = CPyIter_Next(cpy_r_r32);
    CPy_DECREF(cpy_r_r32);
    if (cpy_r_r33 == NULL) {
        goto CPyL163;
    } else
        goto CPyL27;
CPyL25: ;
    cpy_r_r34 = CPy_FetchStopIterationValue();
    if (unlikely(cpy_r_r34 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 66, CPyStatic_globals);
        goto CPyL164;
    }
CPyL26: ;
    cpy_r_r35 = cpy_r_r34;
    CPy_DECREF(cpy_r_r35);
    goto CPyL134;
CPyL27: ;
    cpy_r_r36 = cpy_r_r33;
CPyL28: ;
    if (((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__ != CPY_INT_TAG) {
        CPyTagged_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__);
    }
    ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__ = 2;
    cpy_r_r37 = 1;
    if (unlikely(!cpy_r_r37)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 66, CPyStatic_globals);
        goto CPyL165;
    } else
        goto CPyL166;
CPyL29: ;
    return cpy_r_r36;
CPyL30: ;
    cpy_r_r38 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r39 = cpy_r_type != cpy_r_r38;
    if (!cpy_r_r39) goto CPyL33;
CPyL31: ;
    CPyErr_SetObjectAndTraceback(cpy_r_type, cpy_r_value, cpy_r_traceback);
    if (unlikely(!0)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 66, CPyStatic_globals);
        goto CPyL34;
    } else
        goto CPyL167;
CPyL32: ;
    CPy_Unreachable();
CPyL33: ;
    CPy_INCREF(cpy_r_arg);
    cpy_r_r40 = cpy_r_arg;
    goto CPyL51;
CPyL34: ;
    cpy_r_r41 = CPy_CatchError();
    if (((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__1.f0 != NULL) {
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__1.f0);
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__1.f1);
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__1.f2);
    }
    ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__1 = cpy_r_r41;
    cpy_r_r42 = 1;
    if (unlikely(!cpy_r_r42)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL168;
    }
CPyL35: ;
    cpy_r_r43 = (PyObject **)&cpy_r_r1;
    cpy_r_r44 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__0;
    if (unlikely(cpy_r_r44 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__0", -1, CPyStatic_globals);
        goto CPyL168;
    }
    CPy_INCREF(cpy_r_r44);
CPyL36: ;
    cpy_r_r45 = CPy_YieldFromErrorHandle(cpy_r_r44, cpy_r_r43);
    CPy_DecRef(cpy_r_r44);
    if (unlikely(cpy_r_r45 == 2)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 66, CPyStatic_globals);
        goto CPyL168;
    }
CPyL37: ;
    if (cpy_r_r45) goto CPyL43;
CPyL38: ;
    if (cpy_r_r1 != NULL) goto CPyL41;
CPyL39: ;
    PyErr_SetString(PyExc_UnboundLocalError, "local variable \"\" referenced before assignment");
    cpy_r_r46 = 0;
    if (unlikely(!cpy_r_r46)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL48;
    } else
        goto CPyL169;
CPyL40: ;
    CPy_Unreachable();
CPyL41: ;
    CPy_INCREF(cpy_r_r1);
    cpy_r_r36 = cpy_r_r1;
    cpy_r_r47 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__1;
    if (unlikely(cpy_r_r47.f0 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__1", -1, CPyStatic_globals);
        goto CPyL170;
    }
    CPy_INCREF(cpy_r_r47.f0);
    CPy_INCREF(cpy_r_r47.f1);
    CPy_INCREF(cpy_r_r47.f2);
CPyL42: ;
    CPy_RestoreExcInfo(cpy_r_r47);
    CPy_DecRef(cpy_r_r47.f0);
    CPy_DecRef(cpy_r_r47.f1);
    CPy_DecRef(cpy_r_r47.f2);
    goto CPyL28;
CPyL43: ;
    if (cpy_r_r1 != NULL) goto CPyL46;
CPyL44: ;
    PyErr_SetString(PyExc_UnboundLocalError, "local variable \"\" referenced before assignment");
    cpy_r_r48 = 0;
    if (unlikely(!cpy_r_r48)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL48;
    } else
        goto CPyL171;
CPyL45: ;
    CPy_Unreachable();
CPyL46: ;
    cpy_r_r35 = cpy_r_r1;
    CPy_DecRef(cpy_r_r35);
    cpy_r_r49 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__1;
    if (unlikely(cpy_r_r49.f0 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__1", -1, CPyStatic_globals);
        goto CPyL48;
    }
    CPy_INCREF(cpy_r_r49.f0);
    CPy_INCREF(cpy_r_r49.f1);
    CPy_INCREF(cpy_r_r49.f2);
CPyL47: ;
    CPy_RestoreExcInfo(cpy_r_r49);
    CPy_DecRef(cpy_r_r49.f0);
    CPy_DecRef(cpy_r_r49.f1);
    CPy_DecRef(cpy_r_r49.f2);
    goto CPyL134;
CPyL48: ;
    cpy_r_r50 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__1;
    if (unlikely(cpy_r_r50.f0 == NULL)) {
        PyErr_SetString(PyExc_AttributeError, "attribute '__mypyc_temp__1' of '__call___ContextMiddleware_env' undefined");
    } else {
        CPy_INCREF(cpy_r_r50.f0);
        CPy_INCREF(cpy_r_r50.f1);
        CPy_INCREF(cpy_r_r50.f2);
    }
    CPy_DecRef(cpy_r_r4);
    if (unlikely(cpy_r_r50.f0 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL151;
    }
CPyL49: ;
    CPy_RestoreExcInfo(cpy_r_r50);
    CPy_DecRef(cpy_r_r50.f0);
    CPy_DecRef(cpy_r_r50.f1);
    CPy_DecRef(cpy_r_r50.f2);
    cpy_r_r51 = CPy_KeepPropagating();
    if (!cpy_r_r51) goto CPyL151;
CPyL50: ;
    CPy_Unreachable();
CPyL51: ;
    cpy_r_r52 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__0;
    if (unlikely(cpy_r_r52 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__0", -1, CPyStatic_globals);
        goto CPyL172;
    }
    CPy_INCREF(cpy_r_r52);
CPyL52: ;
    cpy_r_r53 = CPyIter_Send(cpy_r_r52, cpy_r_r40);
    CPy_DECREF(cpy_r_r52);
    CPy_DECREF(cpy_r_r40);
    if (cpy_r_r53 == NULL) goto CPyL173;
CPyL53: ;
    cpy_r_r36 = cpy_r_r53;
    goto CPyL28;
CPyL54: ;
    cpy_r_r54 = CPy_FetchStopIterationValue();
    if (unlikely(cpy_r_r54 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 66, CPyStatic_globals);
        goto CPyL164;
    }
CPyL55: ;
    cpy_r_r35 = cpy_r_r54;
    CPy_DECREF(cpy_r_r35);
    goto CPyL134;
CPyL56: ;
    cpy_r_r55 = CPyStatic_globals;
    cpy_r_r56 = CPyStatics[13]; /* 'new_context' */
    cpy_r_r57 = CPyDict_GetItem(cpy_r_r55, cpy_r_r56);
    if (unlikely(cpy_r_r57 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 68, CPyStatic_globals);
        goto CPyL174;
    }
CPyL57: ;
    cpy_r_r58 = _PyObject_Vectorcall(cpy_r_r57, 0, 0, 0);
    CPy_DECREF(cpy_r_r57);
    if (unlikely(cpy_r_r58 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 68, CPyStatic_globals);
        goto CPyL174;
    }
CPyL58: ;
    cpy_r_r59 = PyObject_Type(cpy_r_r58);
    cpy_r_r60 = CPyStatics[14]; /* '__exit__' */
    cpy_r_r61 = CPyObject_GetAttr(cpy_r_r59, cpy_r_r60);
    if (unlikely(cpy_r_r61 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 68, CPyStatic_globals);
        goto CPyL175;
    }
CPyL59: ;
    if (((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__2 != NULL) {
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__2);
    }
    ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__2 = cpy_r_r61;
    cpy_r_r62 = 1;
    if (unlikely(!cpy_r_r62)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL175;
    }
CPyL60: ;
    cpy_r_r63 = CPyStatics[15]; /* '__enter__' */
    cpy_r_r64 = CPyObject_GetAttr(cpy_r_r59, cpy_r_r63);
    CPy_DECREF(cpy_r_r59);
    if (unlikely(cpy_r_r64 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 68, CPyStatic_globals);
        goto CPyL176;
    }
CPyL61: ;
    PyObject *cpy_r_r65[1] = {cpy_r_r58};
    cpy_r_r66 = (PyObject **)&cpy_r_r65;
    cpy_r_r67 = _PyObject_Vectorcall(cpy_r_r64, cpy_r_r66, 1, 0);
    CPy_DECREF(cpy_r_r64);
    if (unlikely(cpy_r_r67 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 68, CPyStatic_globals);
        goto CPyL176;
    } else
        goto CPyL177;
CPyL62: ;
    if (((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__3 != NULL) {
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__3);
    }
    ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__3 = cpy_r_r58;
    cpy_r_r68 = 1;
    if (unlikely(!cpy_r_r68)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL174;
    }
CPyL63: ;
    ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__4 = 1;
    cpy_r_r69 = 1;
    if (unlikely(!cpy_r_r69)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL174;
    }
CPyL64: ;
    cpy_r_r70 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->_self;
    if (unlikely(cpy_r_r70 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "self", 69, CPyStatic_globals);
        goto CPyL178;
    }
    CPy_INCREF(cpy_r_r70);
CPyL65: ;
    cpy_r_r71 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->_scope;
    if (unlikely(cpy_r_r71 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "scope", 69, CPyStatic_globals);
        goto CPyL179;
    }
    CPy_INCREF(cpy_r_r71);
CPyL66: ;
    cpy_r_r72 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->_receive;
    if (unlikely(cpy_r_r72 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "receive", 69, CPyStatic_globals);
        goto CPyL180;
    }
    CPy_INCREF(cpy_r_r72);
CPyL67: ;
    cpy_r_r73 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->_send;
    if (unlikely(cpy_r_r73 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "send", 69, CPyStatic_globals);
        goto CPyL181;
    }
    CPy_INCREF(cpy_r_r73);
CPyL68: ;
    cpy_r_r74 = ((asgi_context___ContextMiddlewareObject *)cpy_r_r70)->_app;
    CPy_INCREF(cpy_r_r74);
    CPy_DECREF(cpy_r_r70);
CPyL69: ;
    PyObject *cpy_r_r75[3] = {cpy_r_r71, cpy_r_r72, cpy_r_r73};
    cpy_r_r76 = (PyObject **)&cpy_r_r75;
    cpy_r_r77 = _PyObject_Vectorcall(cpy_r_r74, cpy_r_r76, 3, 0);
    CPy_DECREF(cpy_r_r74);
    if (unlikely(cpy_r_r77 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 69, CPyStatic_globals);
        goto CPyL182;
    }
CPyL70: ;
    CPy_DECREF(cpy_r_r71);
    CPy_DECREF(cpy_r_r72);
    CPy_DECREF(cpy_r_r73);
    cpy_r_r78 = CPy_GetCoro(cpy_r_r77);
    CPy_DECREF(cpy_r_r77);
    if (unlikely(cpy_r_r78 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 69, CPyStatic_globals);
        goto CPyL178;
    }
CPyL71: ;
    if (((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__5 != NULL) {
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__5);
    }
    ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__5 = cpy_r_r78;
    cpy_r_r79 = 1;
    if (unlikely(!cpy_r_r79)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL178;
    }
CPyL72: ;
    cpy_r_r80 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__5;
    if (unlikely(cpy_r_r80 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__5", -1, CPyStatic_globals);
        goto CPyL178;
    }
    CPy_INCREF(cpy_r_r80);
CPyL73: ;
    cpy_r_r81 = CPyIter_Next(cpy_r_r80);
    CPy_DECREF(cpy_r_r80);
    if (cpy_r_r81 == NULL) {
        goto CPyL183;
    } else
        goto CPyL76;
CPyL74: ;
    cpy_r_r82 = CPy_FetchStopIterationValue();
    if (unlikely(cpy_r_r82 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 69, CPyStatic_globals);
        goto CPyL105;
    }
CPyL75: ;
    cpy_r_r83 = cpy_r_r82;
    CPy_DECREF(cpy_r_r83);
    goto CPyL119;
CPyL76: ;
    cpy_r_r84 = cpy_r_r81;
CPyL77: ;
    if (((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__ != CPY_INT_TAG) {
        CPyTagged_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__);
    }
    ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__ = 4;
    cpy_r_r85 = 1;
    if (unlikely(!cpy_r_r85)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 69, CPyStatic_globals);
        goto CPyL184;
    } else
        goto CPyL185;
CPyL78: ;
    return cpy_r_r84;
CPyL79: ;
    cpy_r_r86 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r87 = cpy_r_type != cpy_r_r86;
    if (!cpy_r_r87) goto CPyL82;
CPyL80: ;
    CPyErr_SetObjectAndTraceback(cpy_r_type, cpy_r_value, cpy_r_traceback);
    if (unlikely(!0)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 69, CPyStatic_globals);
        goto CPyL83;
    } else
        goto CPyL186;
CPyL81: ;
    CPy_Unreachable();
CPyL82: ;
    CPy_INCREF(cpy_r_arg);
    cpy_r_r88 = cpy_r_arg;
    goto CPyL100;
CPyL83: ;
    cpy_r_r89 = CPy_CatchError();
    if (((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__6.f0 != NULL) {
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__6.f0);
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__6.f1);
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__6.f2);
    }
    ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__6 = cpy_r_r89;
    cpy_r_r90 = 1;
    if (unlikely(!cpy_r_r90)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL187;
    }
CPyL84: ;
    cpy_r_r91 = (PyObject **)&cpy_r_r3;
    cpy_r_r92 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__5;
    if (unlikely(cpy_r_r92 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__5", -1, CPyStatic_globals);
        goto CPyL187;
    }
    CPy_INCREF(cpy_r_r92);
CPyL85: ;
    cpy_r_r93 = CPy_YieldFromErrorHandle(cpy_r_r92, cpy_r_r91);
    CPy_DecRef(cpy_r_r92);
    if (unlikely(cpy_r_r93 == 2)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 69, CPyStatic_globals);
        goto CPyL187;
    }
CPyL86: ;
    if (cpy_r_r93) goto CPyL92;
CPyL87: ;
    if (cpy_r_r3 != NULL) goto CPyL90;
CPyL88: ;
    PyErr_SetString(PyExc_UnboundLocalError, "local variable \"\" referenced before assignment");
    cpy_r_r94 = 0;
    if (unlikely(!cpy_r_r94)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL97;
    } else
        goto CPyL188;
CPyL89: ;
    CPy_Unreachable();
CPyL90: ;
    CPy_INCREF(cpy_r_r3);
    cpy_r_r84 = cpy_r_r3;
    cpy_r_r95 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__6;
    if (unlikely(cpy_r_r95.f0 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__6", -1, CPyStatic_globals);
        goto CPyL189;
    }
    CPy_INCREF(cpy_r_r95.f0);
    CPy_INCREF(cpy_r_r95.f1);
    CPy_INCREF(cpy_r_r95.f2);
CPyL91: ;
    CPy_RestoreExcInfo(cpy_r_r95);
    CPy_DecRef(cpy_r_r95.f0);
    CPy_DecRef(cpy_r_r95.f1);
    CPy_DecRef(cpy_r_r95.f2);
    goto CPyL77;
CPyL92: ;
    if (cpy_r_r3 != NULL) goto CPyL95;
CPyL93: ;
    PyErr_SetString(PyExc_UnboundLocalError, "local variable \"\" referenced before assignment");
    cpy_r_r96 = 0;
    if (unlikely(!cpy_r_r96)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL97;
    } else
        goto CPyL190;
CPyL94: ;
    CPy_Unreachable();
CPyL95: ;
    cpy_r_r83 = cpy_r_r3;
    CPy_DecRef(cpy_r_r83);
    cpy_r_r97 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__6;
    if (unlikely(cpy_r_r97.f0 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__6", -1, CPyStatic_globals);
        goto CPyL97;
    }
    CPy_INCREF(cpy_r_r97.f0);
    CPy_INCREF(cpy_r_r97.f1);
    CPy_INCREF(cpy_r_r97.f2);
CPyL96: ;
    CPy_RestoreExcInfo(cpy_r_r97);
    CPy_DecRef(cpy_r_r97.f0);
    CPy_DecRef(cpy_r_r97.f1);
    CPy_DecRef(cpy_r_r97.f2);
    goto CPyL119;
CPyL97: ;
    cpy_r_r98 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__6;
    if (unlikely(cpy_r_r98.f0 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__6", -1, CPyStatic_globals);
        goto CPyL105;
    }
    CPy_INCREF(cpy_r_r98.f0);
    CPy_INCREF(cpy_r_r98.f1);
    CPy_INCREF(cpy_r_r98.f2);
CPyL98: ;
    CPy_RestoreExcInfo(cpy_r_r98);
    CPy_DecRef(cpy_r_r98.f0);
    CPy_DecRef(cpy_r_r98.f1);
    CPy_DecRef(cpy_r_r98.f2);
    cpy_r_r99 = CPy_KeepPropagating();
    if (!cpy_r_r99) {
        goto CPyL105;
    } else
        goto CPyL191;
CPyL99: ;
    CPy_Unreachable();
CPyL100: ;
    cpy_r_r100 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__5;
    if (unlikely(cpy_r_r100 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__5", -1, CPyStatic_globals);
        goto CPyL192;
    }
    CPy_INCREF(cpy_r_r100);
CPyL101: ;
    cpy_r_r101 = CPyIter_Send(cpy_r_r100, cpy_r_r88);
    CPy_DECREF(cpy_r_r100);
    CPy_DECREF(cpy_r_r88);
    if (cpy_r_r101 == NULL) goto CPyL193;
CPyL102: ;
    cpy_r_r84 = cpy_r_r101;
    goto CPyL77;
CPyL103: ;
    cpy_r_r102 = CPy_FetchStopIterationValue();
    if (unlikely(cpy_r_r102 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 69, CPyStatic_globals);
        goto CPyL105;
    }
CPyL104: ;
    cpy_r_r83 = cpy_r_r102;
    CPy_DECREF(cpy_r_r83);
    goto CPyL119;
CPyL105: ;
    cpy_r_r103 = CPy_CatchError();
    if (((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__7.f0 != NULL) {
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__7.f0);
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__7.f1);
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__7.f2);
    }
    ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__7 = cpy_r_r103;
    cpy_r_r104 = 1;
    if (unlikely(!cpy_r_r104)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL116;
    }
CPyL106: ;
    ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__4 = 0;
    cpy_r_r105 = 1;
    if (unlikely(!cpy_r_r105)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 68, CPyStatic_globals);
        goto CPyL116;
    }
CPyL107: ;
    cpy_r_r106 = CPy_GetExcInfo();
    cpy_r_r107 = cpy_r_r106.f0;
    CPy_INCREF(cpy_r_r107);
    cpy_r_r108 = cpy_r_r106.f1;
    CPy_INCREF(cpy_r_r108);
    cpy_r_r109 = cpy_r_r106.f2;
    CPy_INCREF(cpy_r_r109);
    CPy_DecRef(cpy_r_r106.f0);
    CPy_DecRef(cpy_r_r106.f1);
    CPy_DecRef(cpy_r_r106.f2);
    cpy_r_r110 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__2;
    if (unlikely(cpy_r_r110 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__2", -1, CPyStatic_globals);
        goto CPyL194;
    }
    CPy_INCREF(cpy_r_r110);
CPyL108: ;
    cpy_r_r111 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__3;
    if (unlikely(cpy_r_r111 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__3", -1, CPyStatic_globals);
        goto CPyL195;
    }
    CPy_INCREF(cpy_r_r111);
CPyL109: ;
    PyObject *cpy_r_r112[4] = {cpy_r_r111, cpy_r_r107, cpy_r_r108, cpy_r_r109};
    cpy_r_r113 = (PyObject **)&cpy_r_r112;
    cpy_r_r114 = _PyObject_Vectorcall(cpy_r_r110, cpy_r_r113, 4, 0);
    CPy_DecRef(cpy_r_r110);
    if (unlikely(cpy_r_r114 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 68, CPyStatic_globals);
        goto CPyL196;
    }
CPyL110: ;
    CPy_DecRef(cpy_r_r111);
    CPy_DecRef(cpy_r_r107);
    CPy_DecRef(cpy_r_r108);
    CPy_DecRef(cpy_r_r109);
    cpy_r_r115 = PyObject_IsTrue(cpy_r_r114);
    CPy_DecRef(cpy_r_r114);
    cpy_r_r116 = cpy_r_r115 >= 0;
    if (unlikely(!cpy_r_r116)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 68, CPyStatic_globals);
        goto CPyL116;
    }
CPyL111: ;
    cpy_r_r117 = cpy_r_r115;
    if (cpy_r_r117) goto CPyL114;
CPyL112: ;
    CPy_Reraise();
    if (!0) {
        goto CPyL116;
    } else
        goto CPyL197;
CPyL113: ;
    CPy_Unreachable();
CPyL114: ;
    cpy_r_r118 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__7;
    if (unlikely(cpy_r_r118.f0 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__7", -1, CPyStatic_globals);
        goto CPyL120;
    }
    CPy_INCREF(cpy_r_r118.f0);
    CPy_INCREF(cpy_r_r118.f1);
    CPy_INCREF(cpy_r_r118.f2);
CPyL115: ;
    CPy_RestoreExcInfo(cpy_r_r118);
    CPy_DecRef(cpy_r_r118.f0);
    CPy_DecRef(cpy_r_r118.f1);
    CPy_DecRef(cpy_r_r118.f2);
    goto CPyL119;
CPyL116: ;
    cpy_r_r119 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__7;
    if (unlikely(cpy_r_r119.f0 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__7", -1, CPyStatic_globals);
        goto CPyL120;
    }
    CPy_INCREF(cpy_r_r119.f0);
    CPy_INCREF(cpy_r_r119.f1);
    CPy_INCREF(cpy_r_r119.f2);
CPyL117: ;
    CPy_RestoreExcInfo(cpy_r_r119);
    CPy_DecRef(cpy_r_r119.f0);
    CPy_DecRef(cpy_r_r119.f1);
    CPy_DecRef(cpy_r_r119.f2);
    cpy_r_r120 = CPy_KeepPropagating();
    if (!cpy_r_r120) {
        goto CPyL120;
    } else
        goto CPyL198;
CPyL118: ;
    CPy_Unreachable();
CPyL119: ;
    tuple_T3OOO __tmp4 = { NULL, NULL, NULL };
    cpy_r_r121 = __tmp4;
    cpy_r_r122 = cpy_r_r121;
    goto CPyL121;
CPyL120: ;
    cpy_r_r123 = CPy_CatchError();
    cpy_r_r122 = cpy_r_r123;
CPyL121: ;
    cpy_r_r124 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__4;
    if (unlikely(cpy_r_r124 == 2)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__4", -1, CPyStatic_globals);
        goto CPyL199;
    }
CPyL122: ;
    if (!cpy_r_r124) goto CPyL127;
CPyL123: ;
    cpy_r_r125 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r126 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__2;
    if (unlikely(cpy_r_r126 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__2", -1, CPyStatic_globals);
        goto CPyL199;
    }
    CPy_INCREF(cpy_r_r126);
CPyL124: ;
    cpy_r_r127 = ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__3;
    if (unlikely(cpy_r_r127 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___ContextMiddleware_env", "__mypyc_temp__3", -1, CPyStatic_globals);
        goto CPyL200;
    }
    CPy_INCREF(cpy_r_r127);
CPyL125: ;
    PyObject *cpy_r_r128[4] = {cpy_r_r127, cpy_r_r125, cpy_r_r125, cpy_r_r125};
    cpy_r_r129 = (PyObject **)&cpy_r_r128;
    cpy_r_r130 = _PyObject_Vectorcall(cpy_r_r126, cpy_r_r129, 4, 0);
    CPy_DECREF(cpy_r_r126);
    if (unlikely(cpy_r_r130 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 68, CPyStatic_globals);
        goto CPyL201;
    } else
        goto CPyL202;
CPyL126: ;
    CPy_DECREF(cpy_r_r127);
CPyL127: ;
    if (cpy_r_r122.f0 == NULL) {
        goto CPyL134;
    } else
        goto CPyL203;
CPyL128: ;
    CPy_Reraise();
    if (!0) {
        goto CPyL130;
    } else
        goto CPyL204;
CPyL129: ;
    CPy_Unreachable();
CPyL130: ;
    if (cpy_r_r122.f0 == NULL) goto CPyL132;
CPyL131: ;
    CPy_RestoreExcInfo(cpy_r_r122);
    CPy_XDECREF(cpy_r_r122.f0);
    CPy_XDECREF(cpy_r_r122.f1);
    CPy_XDECREF(cpy_r_r122.f2);
CPyL132: ;
    cpy_r_r131 = CPy_KeepPropagating();
    if (!cpy_r_r131) goto CPyL151;
CPyL133: ;
    CPy_Unreachable();
CPyL134: ;
    cpy_r_r132 = Py_None;
    if (((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__ != CPY_INT_TAG) {
        CPyTagged_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__);
    }
    ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__ = -2;
    cpy_r_r133 = 1;
    CPy_DECREF(cpy_r_r4);
    if (unlikely(!cpy_r_r133)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 62, CPyStatic_globals);
        goto CPyL151;
    }
CPyL135: ;
    CPyGen_SetStopIterationValue(cpy_r_r132);
    if (!0) goto CPyL151;
CPyL136: ;
    CPy_Unreachable();
CPyL137: ;
    cpy_r_r134 = cpy_r_r5 & 1;
    cpy_r_r135 = cpy_r_r134 == 0;
    if (!cpy_r_r135) goto CPyL139;
CPyL138: ;
    cpy_r_r136 = cpy_r_r5 == 0;
    cpy_r_r137 = cpy_r_r136;
    goto CPyL140;
CPyL139: ;
    cpy_r_r138 = CPyTagged_IsEq_(cpy_r_r5, 0);
    cpy_r_r137 = cpy_r_r138;
CPyL140: ;
    if (cpy_r_r137) goto CPyL205;
CPyL141: ;
    cpy_r_r139 = cpy_r_r5 & 1;
    cpy_r_r140 = cpy_r_r139 == 0;
    if (!cpy_r_r140) goto CPyL143;
CPyL142: ;
    cpy_r_r141 = cpy_r_r5 == 2;
    cpy_r_r142 = cpy_r_r141;
    goto CPyL144;
CPyL143: ;
    cpy_r_r143 = CPyTagged_IsEq_(cpy_r_r5, 2);
    cpy_r_r142 = cpy_r_r143;
CPyL144: ;
    if (cpy_r_r142) {
        goto CPyL206;
    } else
        goto CPyL207;
CPyL145: ;
    cpy_r_r144 = cpy_r_r5 & 1;
    cpy_r_r145 = cpy_r_r144 == 0;
    if (!cpy_r_r145) goto CPyL147;
CPyL146: ;
    cpy_r_r146 = cpy_r_r5 == 4;
    CPyTagged_DECREF(cpy_r_r5);
    cpy_r_r147 = cpy_r_r146;
    goto CPyL148;
CPyL147: ;
    cpy_r_r148 = CPyTagged_IsEq_(cpy_r_r5, 4);
    CPyTagged_DECREF(cpy_r_r5);
    cpy_r_r147 = cpy_r_r148;
CPyL148: ;
    if (cpy_r_r147) {
        goto CPyL79;
    } else
        goto CPyL208;
CPyL149: ;
    PyErr_SetNone(PyExc_StopIteration);
    cpy_r_r149 = 0;
    if (unlikely(!cpy_r_r149)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 62, CPyStatic_globals);
        goto CPyL151;
    }
CPyL150: ;
    CPy_Unreachable();
CPyL151: ;
    cpy_r_r150 = NULL;
    return cpy_r_r150;
CPyL152: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_XDecRef(cpy_r_r3);
    goto CPyL151;
CPyL153: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    goto CPyL151;
CPyL154: ;
    CPy_XDECREF(cpy_r_r1);
    CPy_XDECREF(cpy_r_r3);
    CPy_DECREF(cpy_r_r4);
    goto CPyL3;
CPyL155: ;
    CPy_XDECREF(cpy_r_r1);
    CPy_XDECREF(cpy_r_r3);
    CPy_DECREF(cpy_r_r4);
    goto CPyL8;
CPyL156: ;
    CPy_XDECREF(cpy_r_r1);
    goto CPyL56;
CPyL157: ;
    CPy_XDECREF(cpy_r_r3);
    goto CPyL15;
CPyL158: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_r4);
    goto CPyL151;
CPyL159: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r22);
    goto CPyL151;
CPyL160: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r22);
    CPy_DecRef(cpy_r_r23);
    goto CPyL151;
CPyL161: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r22);
    CPy_DecRef(cpy_r_r23);
    CPy_DecRef(cpy_r_r24);
    goto CPyL151;
CPyL162: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r23);
    CPy_DecRef(cpy_r_r24);
    CPy_DecRef(cpy_r_r25);
    goto CPyL151;
CPyL163: ;
    CPy_XDECREF(cpy_r_r1);
    goto CPyL25;
CPyL164: ;
    CPy_DecRef(cpy_r_r4);
    goto CPyL151;
CPyL165: ;
    CPy_DecRef(cpy_r_r36);
    goto CPyL34;
CPyL166: ;
    CPy_XDECREF(cpy_r_r1);
    CPy_DECREF(cpy_r_r4);
    goto CPyL29;
CPyL167: ;
    CPy_XDECREF(cpy_r_r1);
    CPy_DECREF(cpy_r_r4);
    goto CPyL32;
CPyL168: ;
    CPy_XDecRef(cpy_r_r1);
    goto CPyL48;
CPyL169: ;
    CPy_DecRef(cpy_r_r4);
    goto CPyL40;
CPyL170: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_r36);
    goto CPyL48;
CPyL171: ;
    CPy_DecRef(cpy_r_r4);
    goto CPyL45;
CPyL172: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r40);
    goto CPyL151;
CPyL173: ;
    CPy_XDECREF(cpy_r_r1);
    goto CPyL54;
CPyL174: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    goto CPyL151;
CPyL175: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r58);
    CPy_DecRef(cpy_r_r59);
    goto CPyL151;
CPyL176: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r58);
    goto CPyL151;
CPyL177: ;
    CPy_DECREF(cpy_r_r67);
    goto CPyL62;
CPyL178: ;
    CPy_XDecRef(cpy_r_r3);
    goto CPyL105;
CPyL179: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r70);
    goto CPyL105;
CPyL180: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r70);
    CPy_DecRef(cpy_r_r71);
    goto CPyL105;
CPyL181: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r70);
    CPy_DecRef(cpy_r_r71);
    CPy_DecRef(cpy_r_r72);
    goto CPyL105;
CPyL182: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r71);
    CPy_DecRef(cpy_r_r72);
    CPy_DecRef(cpy_r_r73);
    goto CPyL105;
CPyL183: ;
    CPy_XDECREF(cpy_r_r3);
    goto CPyL74;
CPyL184: ;
    CPy_DecRef(cpy_r_r84);
    goto CPyL83;
CPyL185: ;
    CPy_XDECREF(cpy_r_r3);
    CPy_DECREF(cpy_r_r4);
    goto CPyL78;
CPyL186: ;
    CPy_XDECREF(cpy_r_r3);
    CPy_DECREF(cpy_r_r4);
    goto CPyL81;
CPyL187: ;
    CPy_XDecRef(cpy_r_r3);
    goto CPyL97;
CPyL188: ;
    CPy_DecRef(cpy_r_r4);
    goto CPyL89;
CPyL189: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r84);
    goto CPyL97;
CPyL190: ;
    CPy_DecRef(cpy_r_r4);
    goto CPyL94;
CPyL191: ;
    CPy_DecRef(cpy_r_r4);
    goto CPyL99;
CPyL192: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r88);
    goto CPyL105;
CPyL193: ;
    CPy_XDECREF(cpy_r_r3);
    goto CPyL103;
CPyL194: ;
    CPy_DecRef(cpy_r_r107);
    CPy_DecRef(cpy_r_r108);
    CPy_DecRef(cpy_r_r109);
    goto CPyL116;
CPyL195: ;
    CPy_DecRef(cpy_r_r107);
    CPy_DecRef(cpy_r_r108);
    CPy_DecRef(cpy_r_r109);
    CPy_DecRef(cpy_r_r110);
    goto CPyL116;
CPyL196: ;
    CPy_DecRef(cpy_r_r107);
    CPy_DecRef(cpy_r_r108);
    CPy_DecRef(cpy_r_r109);
    CPy_DecRef(cpy_r_r111);
    goto CPyL116;
CPyL197: ;
    CPy_DecRef(cpy_r_r4);
    goto CPyL113;
CPyL198: ;
    CPy_DecRef(cpy_r_r4);
    goto CPyL118;
CPyL199: ;
    CPy_DecRef(cpy_r_r4);
    goto CPyL130;
CPyL200: ;
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r126);
    goto CPyL130;
CPyL201: ;
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r127);
    goto CPyL130;
CPyL202: ;
    CPy_DECREF(cpy_r_r130);
    goto CPyL126;
CPyL203: ;
    CPy_DECREF(cpy_r_r4);
    goto CPyL128;
CPyL204: ;
    CPy_XDECREF(cpy_r_r122.f0);
    CPy_XDECREF(cpy_r_r122.f1);
    CPy_XDECREF(cpy_r_r122.f2);
    goto CPyL129;
CPyL205: ;
    CPyTagged_DECREF(cpy_r_r5);
    goto CPyL2;
CPyL206: ;
    CPy_XDECREF(cpy_r_r3);
    CPyTagged_DECREF(cpy_r_r5);
    goto CPyL30;
CPyL207: ;
    CPy_XDECREF(cpy_r_r1);
    goto CPyL145;
CPyL208: ;
    CPy_XDECREF(cpy_r_r3);
    CPy_DECREF(cpy_r_r4);
    goto CPyL149;
}

PyObject *CPyPy___call___3_ContextMiddleware_gen_____mypyc_generator_helper__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {"type", "value", "traceback", "arg", 0};
    static CPyArg_Parser parser = {"OOOO:__mypyc_generator_helper__", kwlist, 0};
    PyObject *obj_type;
    PyObject *obj_value;
    PyObject *obj_traceback;
    PyObject *obj_arg;
    if (!CPyArg_ParseStackAndKeywordsSimple(args, nargs, kwnames, &parser, &obj_type, &obj_value, &obj_traceback, &obj_arg)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__ = obj___mypyc_self__;
    PyObject *arg_type = obj_type;
    PyObject *arg_value = obj_value;
    PyObject *arg_traceback = obj_traceback;
    PyObject *arg_arg = obj_arg;
    PyObject *retval = CPyDef___call___3_ContextMiddleware_gen_____mypyc_generator_helper__(arg___mypyc_self__, arg_type, arg_value, arg_traceback, arg_arg);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "__call__", 62, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___call___3_ContextMiddleware_gen_____next__(PyObject *cpy_r___mypyc_self__) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
CPyL0: ;
    cpy_r_r0 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r1 = CPyDef___call___3_ContextMiddleware_gen_____mypyc_generator_helper__(cpy_r___mypyc_self__, cpy_r_r0, cpy_r_r0, cpy_r_r0, cpy_r_r0);
    if (cpy_r_r1 == NULL) goto CPyL2;
CPyL1: ;
    return cpy_r_r1;
CPyL2: ;
    cpy_r_r2 = NULL;
    return cpy_r_r2;
}

PyObject *CPyPy___call___3_ContextMiddleware_gen_____next__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":__next__", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__;
    if (likely(Py_TYPE(obj___mypyc_self__) == CPyType___call___3_ContextMiddleware_gen))
        arg___mypyc_self__ = obj___mypyc_self__;
    else {
        CPy_TypeError("asgi_context.__call___ContextMiddleware_gen", obj___mypyc_self__); 
        goto fail;
    }
    PyObject *retval = CPyDef___call___3_ContextMiddleware_gen_____next__(arg___mypyc_self__);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "__next__", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___call___3_ContextMiddleware_gen___send(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_arg) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
CPyL0: ;
    cpy_r_r0 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r1 = CPyDef___call___3_ContextMiddleware_gen_____mypyc_generator_helper__(cpy_r___mypyc_self__, cpy_r_r0, cpy_r_r0, cpy_r_r0, cpy_r_arg);
    if (cpy_r_r1 == NULL) goto CPyL2;
CPyL1: ;
    return cpy_r_r1;
CPyL2: ;
    cpy_r_r2 = NULL;
    return cpy_r_r2;
}

PyObject *CPyPy___call___3_ContextMiddleware_gen___send(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {"arg", 0};
    static CPyArg_Parser parser = {"O:send", kwlist, 0};
    PyObject *obj_arg;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_arg)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__;
    if (likely(Py_TYPE(obj___mypyc_self__) == CPyType___call___3_ContextMiddleware_gen))
        arg___mypyc_self__ = obj___mypyc_self__;
    else {
        CPy_TypeError("asgi_context.__call___ContextMiddleware_gen", obj___mypyc_self__); 
        goto fail;
    }
    PyObject *arg_arg = obj_arg;
    PyObject *retval = CPyDef___call___3_ContextMiddleware_gen___send(arg___mypyc_self__, arg_arg);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "send", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___call___3_ContextMiddleware_gen_____iter__(PyObject *cpy_r___mypyc_self__) {
CPyL0: ;
    CPy_INCREF(cpy_r___mypyc_self__);
    return cpy_r___mypyc_self__;
}

PyObject *CPyPy___call___3_ContextMiddleware_gen_____iter__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":__iter__", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__;
    if (likely(Py_TYPE(obj___mypyc_self__) == CPyType___call___3_ContextMiddleware_gen))
        arg___mypyc_self__ = obj___mypyc_self__;
    else {
        CPy_TypeError("asgi_context.__call___ContextMiddleware_gen", obj___mypyc_self__); 
        goto fail;
    }
    PyObject *retval = CPyDef___call___3_ContextMiddleware_gen_____iter__(arg___mypyc_self__);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "__iter__", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___call___3_ContextMiddleware_gen___throw(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_type, PyObject *cpy_r_value, PyObject *cpy_r_traceback) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
CPyL0: ;
    cpy_r_r0 = (PyObject *)&_Py_NoneStruct;
    if (cpy_r_value != NULL) goto CPyL7;
CPyL1: ;
    CPy_INCREF(cpy_r_r0);
    cpy_r_value = cpy_r_r0;
CPyL2: ;
    if (cpy_r_traceback != NULL) goto CPyL8;
CPyL3: ;
    CPy_INCREF(cpy_r_r0);
    cpy_r_traceback = cpy_r_r0;
CPyL4: ;
    cpy_r_r1 = CPyDef___call___3_ContextMiddleware_gen_____mypyc_generator_helper__(cpy_r___mypyc_self__, cpy_r_type, cpy_r_value, cpy_r_traceback, cpy_r_r0);
    CPy_DECREF(cpy_r_value);
    CPy_DECREF(cpy_r_traceback);
    if (cpy_r_r1 == NULL) goto CPyL6;
CPyL5: ;
    return cpy_r_r1;
CPyL6: ;
    cpy_r_r2 = NULL;
    return cpy_r_r2;
CPyL7: ;
    CPy_INCREF(cpy_r_value);
    goto CPyL2;
CPyL8: ;
    CPy_INCREF(cpy_r_traceback);
    goto CPyL4;
}

PyObject *CPyPy___call___3_ContextMiddleware_gen___throw(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {"type", "value", "traceback", 0};
    static CPyArg_Parser parser = {"O|OO:throw", kwlist, 0};
    PyObject *obj_type;
    PyObject *obj_value = NULL;
    PyObject *obj_traceback = NULL;
    if (!CPyArg_ParseStackAndKeywordsSimple(args, nargs, kwnames, &parser, &obj_type, &obj_value, &obj_traceback)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__;
    if (likely(Py_TYPE(obj___mypyc_self__) == CPyType___call___3_ContextMiddleware_gen))
        arg___mypyc_self__ = obj___mypyc_self__;
    else {
        CPy_TypeError("asgi_context.__call___ContextMiddleware_gen", obj___mypyc_self__); 
        goto fail;
    }
    PyObject *arg_type = obj_type;
    PyObject *arg_value;
    if (obj_value == NULL) {
        arg_value = NULL;
    } else {
        arg_value = obj_value; 
    }
    PyObject *arg_traceback;
    if (obj_traceback == NULL) {
        arg_traceback = NULL;
    } else {
        arg_traceback = obj_traceback; 
    }
    PyObject *retval = CPyDef___call___3_ContextMiddleware_gen___throw(arg___mypyc_self__, arg_type, arg_value, arg_traceback);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "throw", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___call___3_ContextMiddleware_gen___close(PyObject *cpy_r___mypyc_self__) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
    PyObject *cpy_r_r3;
    PyObject *cpy_r_r4;
    PyObject *cpy_r_r5;
    tuple_T3OOO cpy_r_r6;
    PyObject *cpy_r_r7;
    PyObject *cpy_r_r8;
    PyObject *cpy_r_r9;
    tuple_T2OO cpy_r_r10;
    PyObject *cpy_r_r11;
    char cpy_r_r12;
    PyObject *cpy_r_r13;
    char cpy_r_r14;
    PyObject *cpy_r_r15;
CPyL0: ;
CPyL1: ;
    cpy_r_r0 = CPyModule_builtins;
    cpy_r_r1 = CPyStatics[9]; /* 'GeneratorExit' */
    cpy_r_r2 = CPyObject_GetAttr(cpy_r_r0, cpy_r_r1);
    if (cpy_r_r2 == NULL) goto CPyL3;
CPyL2: ;
    cpy_r_r3 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r4 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r5 = CPyDef___call___3_ContextMiddleware_gen___throw(cpy_r___mypyc_self__, cpy_r_r2, cpy_r_r3, cpy_r_r4);
    if (cpy_r_r5 != NULL) goto CPyL11;
CPyL3: ;
    cpy_r_r6 = CPy_CatchError();
    cpy_r_r7 = CPyModule_builtins;
    cpy_r_r8 = CPyStatics[10]; /* 'StopIteration' */
    cpy_r_r9 = CPyObject_GetAttr(cpy_r_r7, cpy_r_r8);
    if (cpy_r_r9 == NULL) goto CPyL12;
CPyL4: ;
    cpy_r_r10.f0 = cpy_r_r2;
    cpy_r_r10.f1 = cpy_r_r9;
    CPy_INCREF(cpy_r_r10.f0);
    CPy_INCREF(cpy_r_r10.f1);
    CPy_DECREF(cpy_r_r2);
    CPy_DECREF(cpy_r_r9);
    cpy_r_r11 = PyTuple_New(2);
    if (unlikely(cpy_r_r11 == NULL))
        CPyError_OutOfMemory();
    PyObject *__tmp5 = cpy_r_r10.f0;
    PyTuple_SET_ITEM(cpy_r_r11, 0, __tmp5);
    PyObject *__tmp6 = cpy_r_r10.f1;
    PyTuple_SET_ITEM(cpy_r_r11, 1, __tmp6);
    cpy_r_r12 = CPy_ExceptionMatches(cpy_r_r11);
    CPy_DECREF(cpy_r_r11);
    if (!cpy_r_r12) goto CPyL13;
CPyL5: ;
    CPy_RestoreExcInfo(cpy_r_r6);
    CPy_DECREF(cpy_r_r6.f0);
    CPy_DECREF(cpy_r_r6.f1);
    CPy_DECREF(cpy_r_r6.f2);
    cpy_r_r13 = (PyObject *)&_Py_NoneStruct;
    CPy_INCREF(cpy_r_r13);
    return cpy_r_r13;
CPyL6: ;
    CPy_Reraise();
    if (!0) goto CPyL10;
CPyL7: ;
    CPy_Unreachable();
CPyL8: ;
    PyErr_SetString(PyExc_RuntimeError, "generator ignored GeneratorExit");
    cpy_r_r14 = 0;
    if (!cpy_r_r14) goto CPyL10;
CPyL9: ;
    CPy_Unreachable();
CPyL10: ;
    cpy_r_r15 = NULL;
    return cpy_r_r15;
CPyL11: ;
    CPy_DECREF(cpy_r_r2);
    CPy_DECREF(cpy_r_r5);
    goto CPyL8;
CPyL12: ;
    CPy_DECREF(cpy_r_r2);
    CPy_DECREF(cpy_r_r6.f0);
    CPy_DECREF(cpy_r_r6.f1);
    CPy_DECREF(cpy_r_r6.f2);
    goto CPyL10;
CPyL13: ;
    CPy_DECREF(cpy_r_r6.f0);
    CPy_DECREF(cpy_r_r6.f1);
    CPy_DECREF(cpy_r_r6.f2);
    goto CPyL6;
}

PyObject *CPyPy___call___3_ContextMiddleware_gen___close(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":close", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__;
    if (likely(Py_TYPE(obj___mypyc_self__) == CPyType___call___3_ContextMiddleware_gen))
        arg___mypyc_self__ = obj___mypyc_self__;
    else {
        CPy_TypeError("asgi_context.__call___ContextMiddleware_gen", obj___mypyc_self__); 
        goto fail;
    }
    PyObject *retval = CPyDef___call___3_ContextMiddleware_gen___close(arg___mypyc_self__);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "close", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___call___3_ContextMiddleware_gen_____await__(PyObject *cpy_r___mypyc_self__) {
CPyL0: ;
    CPy_INCREF(cpy_r___mypyc_self__);
    return cpy_r___mypyc_self__;
}

PyObject *CPyPy___call___3_ContextMiddleware_gen_____await__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":__await__", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__;
    if (likely(Py_TYPE(obj___mypyc_self__) == CPyType___call___3_ContextMiddleware_gen))
        arg___mypyc_self__ = obj___mypyc_self__;
    else {
        CPy_TypeError("asgi_context.__call___ContextMiddleware_gen", obj___mypyc_self__); 
        goto fail;
    }
    PyObject *retval = CPyDef___call___3_ContextMiddleware_gen_____await__(arg___mypyc_self__);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "__await__", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef_ContextMiddleware_____call__(PyObject *cpy_r_self, PyObject *cpy_r_scope, PyObject *cpy_r_receive, PyObject *cpy_r_send) {
    PyObject *cpy_r_r0;
    char cpy_r_r1;
    char cpy_r_r2;
    char cpy_r_r3;
    char cpy_r_r4;
    PyObject *cpy_r_r5;
    char cpy_r_r6;
    char cpy_r_r7;
    PyObject *cpy_r_r8;
CPyL0: ;
    cpy_r_r0 = CPyDef___call___3_ContextMiddleware_env();
    if (unlikely(cpy_r_r0 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 62, CPyStatic_globals);
        goto CPyL9;
    }
CPyL1: ;
    CPy_INCREF(cpy_r_self);
    if (((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r0)->_self != NULL) {
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r0)->_self);
    }
    ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r0)->_self = cpy_r_self;
    cpy_r_r1 = 1;
    if (unlikely(!cpy_r_r1)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 62, CPyStatic_globals);
        goto CPyL10;
    }
CPyL2: ;
    CPy_INCREF(cpy_r_scope);
    if (((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r0)->_scope != NULL) {
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r0)->_scope);
    }
    ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r0)->_scope = cpy_r_scope;
    cpy_r_r2 = 1;
    if (unlikely(!cpy_r_r2)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 62, CPyStatic_globals);
        goto CPyL10;
    }
CPyL3: ;
    CPy_INCREF(cpy_r_receive);
    if (((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r0)->_receive != NULL) {
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r0)->_receive);
    }
    ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r0)->_receive = cpy_r_receive;
    cpy_r_r3 = 1;
    if (unlikely(!cpy_r_r3)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 62, CPyStatic_globals);
        goto CPyL10;
    }
CPyL4: ;
    CPy_INCREF(cpy_r_send);
    if (((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r0)->_send != NULL) {
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r0)->_send);
    }
    ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r0)->_send = cpy_r_send;
    cpy_r_r4 = 1;
    if (unlikely(!cpy_r_r4)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 62, CPyStatic_globals);
        goto CPyL10;
    }
CPyL5: ;
    cpy_r_r5 = CPyDef___call___3_ContextMiddleware_gen();
    if (unlikely(cpy_r_r5 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 62, CPyStatic_globals);
        goto CPyL10;
    }
CPyL6: ;
    CPy_INCREF(cpy_r_r0);
    if (((asgi_context_____call___3_ContextMiddleware_genObject *)cpy_r_r5)->___mypyc_env__ != NULL) {
        CPy_DECREF(((asgi_context_____call___3_ContextMiddleware_genObject *)cpy_r_r5)->___mypyc_env__);
    }
    ((asgi_context_____call___3_ContextMiddleware_genObject *)cpy_r_r5)->___mypyc_env__ = cpy_r_r0;
    cpy_r_r6 = 1;
    if (unlikely(!cpy_r_r6)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 62, CPyStatic_globals);
        goto CPyL11;
    }
CPyL7: ;
    if (((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r0)->___mypyc_next_label__ != CPY_INT_TAG) {
        CPyTagged_DECREF(((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r0)->___mypyc_next_label__);
    }
    ((asgi_context_____call___3_ContextMiddleware_envObject *)cpy_r_r0)->___mypyc_next_label__ = 0;
    cpy_r_r7 = 1;
    CPy_DECREF(cpy_r_r0);
    if (unlikely(!cpy_r_r7)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 62, CPyStatic_globals);
        goto CPyL12;
    }
CPyL8: ;
    return cpy_r_r5;
CPyL9: ;
    cpy_r_r8 = NULL;
    return cpy_r_r8;
CPyL10: ;
    CPy_DecRef(cpy_r_r0);
    goto CPyL9;
CPyL11: ;
    CPy_DecRef(cpy_r_r0);
    CPy_DecRef(cpy_r_r5);
    goto CPyL9;
CPyL12: ;
    CPy_DecRef(cpy_r_r5);
    goto CPyL9;
}

PyObject *CPyPy_ContextMiddleware_____call__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"scope", "receive", "send", 0};
    static CPyArg_Parser parser = {"OOO:__call__", kwlist, 0};
    PyObject *obj_scope;
    PyObject *obj_receive;
    PyObject *obj_send;
    if (!CPyArg_ParseStackAndKeywordsSimple(args, PyVectorcall_NARGS(nargs), kwnames, &parser, &obj_scope, &obj_receive, &obj_send)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(Py_TYPE(obj_self) == CPyType_ContextMiddleware))
        arg_self = obj_self;
    else {
        CPy_TypeError("asgi_context.ContextMiddleware", obj_self); 
        goto fail;
    }
    PyObject *arg_scope;
    if (likely(PyDict_Check(obj_scope)))
        arg_scope = obj_scope;
    else {
        CPy_TypeError("dict", obj_scope); 
        goto fail;
    }
    PyObject *arg_receive = obj_receive;
    PyObject *arg_send = obj_send;
    PyObject *retval = CPyDef_ContextMiddleware_____call__(arg_self, arg_scope, arg_receive, arg_send);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "__call__", 62, CPyStatic_globals);
    return NULL;
}

char CPyDef_AbstractHeadersExtractorMiddleware_____init__(PyObject *cpy_r_self, PyObject *cpy_r_app) {
    char cpy_r_r0;
    char cpy_r_r1;
CPyL0: ;
    CPy_INCREF(cpy_r_app);
    if (((asgi_context___AbstractHeadersExtractorMiddlewareObject *)cpy_r_self)->_app != NULL) {
        CPy_DECREF(((asgi_context___AbstractHeadersExtractorMiddlewareObject *)cpy_r_self)->_app);
    }
    ((asgi_context___AbstractHeadersExtractorMiddlewareObject *)cpy_r_self)->_app = cpy_r_app;
    cpy_r_r0 = 1;
    if (unlikely(!cpy_r_r0)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__init__", 76, CPyStatic_globals);
        goto CPyL2;
    }
CPyL1: ;
    return 1;
CPyL2: ;
    cpy_r_r1 = 2;
    return cpy_r_r1;
}

PyObject *CPyPy_AbstractHeadersExtractorMiddleware_____init__(PyObject *self, PyObject *args, PyObject *kw) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"app", 0};
    PyObject *obj_app;
    if (!CPyArg_ParseTupleAndKeywords(args, kw, "O", "__init__", kwlist, &obj_app)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(PyObject_TypeCheck(obj_self, CPyType_AbstractHeadersExtractorMiddleware)))
        arg_self = obj_self;
    else {
        CPy_TypeError("asgi_context.AbstractHeadersExtractorMiddleware", obj_self); 
        goto fail;
    }
    PyObject *arg_app = obj_app;
    char retval = CPyDef_AbstractHeadersExtractorMiddleware_____init__(arg_self, arg_app);
    if (retval == 2) {
        return NULL;
    }
    PyObject *retbox = Py_None;
    CPy_INCREF(retbox);
    return retbox;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "__init__", 75, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef_AbstractHeadersExtractorMiddleware___header_names(PyObject *cpy_r_self) {
    PyObject *cpy_r_r0;
CPyL0: ;
    cpy_r_r0 = Py_None;
    CPy_INCREF(cpy_r_r0);
    return cpy_r_r0;
}

PyObject *CPyPy_AbstractHeadersExtractorMiddleware___header_names(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":header_names", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(PyObject_TypeCheck(obj_self, CPyType_AbstractHeadersExtractorMiddleware)))
        arg_self = obj_self;
    else {
        CPy_TypeError("asgi_context.AbstractHeadersExtractorMiddleware", obj_self); 
        goto fail;
    }
    PyObject *retval = CPyDef_AbstractHeadersExtractorMiddleware___header_names(arg_self);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "header_names", 80, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef_AbstractHeadersExtractorMiddleware___validators(PyObject *cpy_r_self) {
CPyL0: ;
    CPy_Unreachable();
}

PyObject *CPyPy_AbstractHeadersExtractorMiddleware___validators(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":validators", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(PyObject_TypeCheck(obj_self, CPyType_AbstractHeadersExtractorMiddleware)))
        arg_self = obj_self;
    else {
        CPy_TypeError("asgi_context.AbstractHeadersExtractorMiddleware", obj_self); 
        goto fail;
    }
    PyObject *retval = CPyDef_AbstractHeadersExtractorMiddleware___validators(arg_self);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "validators", 85, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____mypyc_generator_helper__(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_type, PyObject *cpy_r_value, PyObject *cpy_r_traceback, PyObject *cpy_r_arg) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
    PyObject *cpy_r_r3;
    PyObject *cpy_r_r4;
    CPyTagged cpy_r_r5;
    PyObject *cpy_r_r6;
    char cpy_r_r7;
    PyObject *cpy_r_r8;
    PyObject *cpy_r_r9;
    int32_t cpy_r_r10;
    char cpy_r_r11;
    char cpy_r_r12;
    char cpy_r_r13;
    PyObject *cpy_r_r14;
    PyObject *cpy_r_r15;
    PyObject *cpy_r_r16;
    PyObject *cpy_r_r17;
    PyObject *cpy_r_r18;
    int32_t cpy_r_r19;
    char cpy_r_r20;
    char cpy_r_r21;
    PyObject *cpy_r_r22;
    PyObject *cpy_r_r23;
    PyObject *cpy_r_r24;
    PyObject *cpy_r_r25;
    PyObject *cpy_r_r26;
    PyObject **cpy_r_r28;
    PyObject *cpy_r_r29;
    PyObject *cpy_r_r30;
    char cpy_r_r31;
    PyObject *cpy_r_r32;
    PyObject *cpy_r_r33;
    PyObject *cpy_r_r34;
    PyObject *cpy_r_r35;
    PyObject *cpy_r_r36;
    char cpy_r_r37;
    PyObject *cpy_r_r38;
    char cpy_r_r39;
    PyObject *cpy_r_r40;
    tuple_T3OOO cpy_r_r41;
    char cpy_r_r42;
    PyObject **cpy_r_r43;
    PyObject *cpy_r_r44;
    char cpy_r_r45;
    char cpy_r_r46;
    tuple_T3OOO cpy_r_r47;
    char cpy_r_r48;
    tuple_T3OOO cpy_r_r49;
    tuple_T3OOO cpy_r_r50;
    char cpy_r_r51;
    PyObject *cpy_r_r52;
    PyObject *cpy_r_r53;
    PyObject *cpy_r_r54;
    PyObject *cpy_r_r55;
    char cpy_r_r56;
    PyObject *cpy_r_r57;
    PyObject *cpy_r_r58;
    PyObject *cpy_r_r59;
    PyObject *cpy_r_r60;
    char cpy_r_r61;
    char cpy_r_r62;
    PyObject *cpy_r_r63;
    PyObject *cpy_r_r64;
    PyObject *cpy_r_r65;
    PyObject *cpy_r_r66;
    char cpy_r_r67;
    char cpy_r_r68;
    PyObject *cpy_r_r69;
    char cpy_r_r70;
    char cpy_r_r71;
    PyObject *cpy_r_r72;
    char cpy_r_r73;
    PyObject *cpy_r_r74;
    PyObject *cpy_r_r75;
    PyObject **cpy_r_r77;
    PyObject *cpy_r_r78;
    PyObject *cpy_r_r79;
    PyObject **cpy_r_r81;
    PyObject *cpy_r_r82;
    PyObject *cpy_r_r83;
    PyObject *cpy_r_r84;
    PyObject **cpy_r_r86;
    PyObject *cpy_r_r87;
    PyObject *cpy_r_r88;
    int32_t cpy_r_r89;
    char cpy_r_r90;
    char cpy_r_r91;
    PyObject *cpy_r_r92;
    char cpy_r_r93;
    PyObject *cpy_r_r94;
    PyObject *cpy_r_r95;
    PyObject *cpy_r_r96;
    char cpy_r_r97;
    char cpy_r_r98;
    PyObject *cpy_r_r99;
    PyObject *cpy_r_r100;
    PyObject *cpy_r_r101;
    char cpy_r_r102;
    PyObject *cpy_r_r103;
    PyObject *cpy_r_r104;
    PyObject *cpy_r_r105;
    PyObject **cpy_r_r107;
    PyObject *cpy_r_r108;
    PyObject *cpy_r_r109;
    PyObject *cpy_r_r110;
    char cpy_r_r111;
    PyObject *cpy_r_r112;
    PyObject *cpy_r_r113;
    PyObject *cpy_r_r114;
    PyObject *cpy_r_r115;
    char cpy_r_r116;
    int32_t cpy_r_r117;
    char cpy_r_r118;
    char cpy_r_r119;
    PyObject *cpy_r_r120;
    PyObject *cpy_r_r121;
    char cpy_r_r122;
    PyObject *cpy_r_r123;
    int32_t cpy_r_r124;
    char cpy_r_r125;
    char cpy_r_r126;
    PyObject *cpy_r_r127;
    PyObject *cpy_r_r128;
    PyObject **cpy_r_r130;
    PyObject *cpy_r_r131;
    char cpy_r_r132;
    PyObject *cpy_r_r133;
    PyObject *cpy_r_r134;
    PyObject *cpy_r_r135;
    PyObject *cpy_r_r136;
    PyObject *cpy_r_r137;
    PyObject **cpy_r_r139;
    PyObject *cpy_r_r140;
    PyObject *cpy_r_r141;
    PyObject *cpy_r_r142;
    PyObject *cpy_r_r143;
    PyObject *cpy_r_r144;
    PyObject *cpy_r_r145;
    PyObject *cpy_r_r146;
    PyObject *cpy_r_r147;
    int32_t cpy_r_r148;
    char cpy_r_r149;
    char cpy_r_r150;
    PyObject *cpy_r_r151;
    PyObject *cpy_r_r152;
    PyObject *cpy_r_r153;
    PyObject *cpy_r_r154;
    PyObject *cpy_r_r155;
    PyObject **cpy_r_r157;
    PyObject *cpy_r_r158;
    PyObject *cpy_r_r159;
    char cpy_r_r160;
    PyObject *cpy_r_r161;
    PyObject *cpy_r_r162;
    PyObject *cpy_r_r163;
    PyObject *cpy_r_r164;
    PyObject *cpy_r_r165;
    char cpy_r_r166;
    PyObject *cpy_r_r167;
    char cpy_r_r168;
    PyObject *cpy_r_r169;
    tuple_T3OOO cpy_r_r170;
    char cpy_r_r171;
    PyObject **cpy_r_r172;
    PyObject *cpy_r_r173;
    char cpy_r_r174;
    char cpy_r_r175;
    tuple_T3OOO cpy_r_r176;
    char cpy_r_r177;
    tuple_T3OOO cpy_r_r178;
    tuple_T3OOO cpy_r_r179;
    char cpy_r_r180;
    PyObject *cpy_r_r181;
    PyObject *cpy_r_r182;
    PyObject *cpy_r_r183;
    PyObject *cpy_r_r184;
    char cpy_r_r185;
    int64_t cpy_r_r186;
    char cpy_r_r187;
    char cpy_r_r188;
    char cpy_r_r189;
    char cpy_r_r190;
    int64_t cpy_r_r191;
    char cpy_r_r192;
    char cpy_r_r193;
    char cpy_r_r194;
    char cpy_r_r195;
    int64_t cpy_r_r196;
    char cpy_r_r197;
    char cpy_r_r198;
    char cpy_r_r199;
    char cpy_r_r200;
    char cpy_r_r201;
    PyObject *cpy_r_r202;
CPyL0: ;
    cpy_r_r0 = NULL;
    cpy_r_r1 = cpy_r_r0;
    cpy_r_r2 = NULL;
    cpy_r_r3 = cpy_r_r2;
    cpy_r_r4 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_genObject *)cpy_r___mypyc_self__)->___mypyc_env__;
    if (unlikely(cpy_r_r4 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_gen", "__mypyc_env__", 88, CPyStatic_globals);
        goto CPyL190;
    }
    CPy_INCREF(cpy_r_r4);
CPyL1: ;
    cpy_r_r5 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__;
    if (unlikely(cpy_r_r5 == CPY_INT_TAG)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "__mypyc_next_label__", 88, CPyStatic_globals);
        goto CPyL191;
    }
    CPyTagged_INCREF(cpy_r_r5);
    goto CPyL175;
CPyL2: ;
    cpy_r_r6 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r7 = cpy_r_type != cpy_r_r6;
    if (cpy_r_r7) {
        goto CPyL192;
    } else
        goto CPyL5;
CPyL3: ;
    CPyErr_SetObjectAndTraceback(cpy_r_type, cpy_r_value, cpy_r_traceback);
    if (unlikely(!0)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 88, CPyStatic_globals);
        goto CPyL189;
    }
CPyL4: ;
    CPy_Unreachable();
CPyL5: ;
    cpy_r_r8 = CPyStatics[11]; /* 'type' */
    cpy_r_r9 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_scope;
    if (unlikely(cpy_r_r9 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "scope", 89, CPyStatic_globals);
        goto CPyL191;
    }
    CPy_INCREF(cpy_r_r9);
CPyL6: ;
    cpy_r_r10 = PyDict_Contains(cpy_r_r9, cpy_r_r8);
    CPy_DECREF(cpy_r_r9);
    cpy_r_r11 = cpy_r_r10 >= 0;
    if (unlikely(!cpy_r_r11)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 89, CPyStatic_globals);
        goto CPyL191;
    }
CPyL7: ;
    cpy_r_r12 = cpy_r_r10;
    if (cpy_r_r12) {
        goto CPyL10;
    } else
        goto CPyL193;
CPyL8: ;
    PyErr_SetString(PyExc_AssertionError, "ASGI scope must contain a 'type' key");
    cpy_r_r13 = 0;
    if (unlikely(!cpy_r_r13)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 89, CPyStatic_globals);
        goto CPyL189;
    }
CPyL9: ;
    CPy_Unreachable();
CPyL10: ;
    cpy_r_r14 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_scope;
    if (unlikely(cpy_r_r14 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "scope", 91, CPyStatic_globals);
        goto CPyL191;
    }
    CPy_INCREF(cpy_r_r14);
CPyL11: ;
    cpy_r_r15 = CPyStatics[11]; /* 'type' */
    cpy_r_r16 = CPyDict_GetItem(cpy_r_r14, cpy_r_r15);
    CPy_DECREF(cpy_r_r14);
    if (unlikely(cpy_r_r16 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 91, CPyStatic_globals);
        goto CPyL191;
    }
CPyL12: ;
    cpy_r_r17 = CPyStatics[12]; /* 'http' */
    cpy_r_r18 = PyObject_RichCompare(cpy_r_r16, cpy_r_r17, 2);
    CPy_DECREF(cpy_r_r16);
    if (unlikely(cpy_r_r18 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 91, CPyStatic_globals);
        goto CPyL191;
    }
CPyL13: ;
    cpy_r_r19 = PyObject_IsTrue(cpy_r_r18);
    CPy_DECREF(cpy_r_r18);
    cpy_r_r20 = cpy_r_r19 >= 0;
    if (unlikely(!cpy_r_r20)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 91, CPyStatic_globals);
        goto CPyL191;
    }
CPyL14: ;
    cpy_r_r21 = cpy_r_r19;
    if (cpy_r_r21) {
        goto CPyL194;
    } else
        goto CPyL195;
CPyL15: ;
    cpy_r_r22 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_self;
    if (unlikely(cpy_r_r22 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "self", 92, CPyStatic_globals);
        goto CPyL196;
    }
    CPy_INCREF(cpy_r_r22);
CPyL16: ;
    cpy_r_r23 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_scope;
    if (unlikely(cpy_r_r23 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "scope", 92, CPyStatic_globals);
        goto CPyL197;
    }
    CPy_INCREF(cpy_r_r23);
CPyL17: ;
    cpy_r_r24 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_receive;
    if (unlikely(cpy_r_r24 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "receive", 92, CPyStatic_globals);
        goto CPyL198;
    }
    CPy_INCREF(cpy_r_r24);
CPyL18: ;
    cpy_r_r25 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_send;
    if (unlikely(cpy_r_r25 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "send", 92, CPyStatic_globals);
        goto CPyL199;
    }
    CPy_INCREF(cpy_r_r25);
CPyL19: ;
    cpy_r_r26 = ((asgi_context___AbstractHeadersExtractorMiddlewareObject *)cpy_r_r22)->_app;
    if (unlikely(cpy_r_r26 == NULL)) {
        PyErr_SetString(PyExc_AttributeError, "attribute 'app' of 'AbstractHeadersExtractorMiddleware' undefined");
    } else {
        CPy_INCREF(cpy_r_r26);
    }
    CPy_DECREF(cpy_r_r22);
    if (unlikely(cpy_r_r26 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 92, CPyStatic_globals);
        goto CPyL200;
    }
CPyL20: ;
    PyObject *cpy_r_r27[3] = {cpy_r_r23, cpy_r_r24, cpy_r_r25};
    cpy_r_r28 = (PyObject **)&cpy_r_r27;
    cpy_r_r29 = _PyObject_Vectorcall(cpy_r_r26, cpy_r_r28, 3, 0);
    CPy_DECREF(cpy_r_r26);
    if (unlikely(cpy_r_r29 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 92, CPyStatic_globals);
        goto CPyL200;
    }
CPyL21: ;
    CPy_DECREF(cpy_r_r23);
    CPy_DECREF(cpy_r_r24);
    CPy_DECREF(cpy_r_r25);
    cpy_r_r30 = CPy_GetCoro(cpy_r_r29);
    CPy_DECREF(cpy_r_r29);
    if (unlikely(cpy_r_r30 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 92, CPyStatic_globals);
        goto CPyL196;
    }
CPyL22: ;
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__8 != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__8);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__8 = cpy_r_r30;
    cpy_r_r31 = 1;
    if (unlikely(!cpy_r_r31)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL196;
    }
CPyL23: ;
    cpy_r_r32 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__8;
    if (unlikely(cpy_r_r32 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "__mypyc_temp__8", -1, CPyStatic_globals);
        goto CPyL196;
    }
    CPy_INCREF(cpy_r_r32);
CPyL24: ;
    cpy_r_r33 = CPyIter_Next(cpy_r_r32);
    CPy_DECREF(cpy_r_r32);
    if (cpy_r_r33 == NULL) {
        goto CPyL201;
    } else
        goto CPyL27;
CPyL25: ;
    cpy_r_r34 = CPy_FetchStopIterationValue();
    if (unlikely(cpy_r_r34 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 92, CPyStatic_globals);
        goto CPyL202;
    }
CPyL26: ;
    cpy_r_r35 = cpy_r_r34;
    CPy_DECREF(cpy_r_r35);
    goto CPyL172;
CPyL27: ;
    cpy_r_r36 = cpy_r_r33;
CPyL28: ;
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__ != CPY_INT_TAG) {
        CPyTagged_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__ = 2;
    cpy_r_r37 = 1;
    if (unlikely(!cpy_r_r37)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 92, CPyStatic_globals);
        goto CPyL203;
    } else
        goto CPyL204;
CPyL29: ;
    return cpy_r_r36;
CPyL30: ;
    cpy_r_r38 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r39 = cpy_r_type != cpy_r_r38;
    if (!cpy_r_r39) goto CPyL33;
CPyL31: ;
    CPyErr_SetObjectAndTraceback(cpy_r_type, cpy_r_value, cpy_r_traceback);
    if (unlikely(!0)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 92, CPyStatic_globals);
        goto CPyL34;
    } else
        goto CPyL205;
CPyL32: ;
    CPy_Unreachable();
CPyL33: ;
    CPy_INCREF(cpy_r_arg);
    cpy_r_r40 = cpy_r_arg;
    goto CPyL51;
CPyL34: ;
    cpy_r_r41 = CPy_CatchError();
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__9.f0 != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__9.f0);
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__9.f1);
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__9.f2);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__9 = cpy_r_r41;
    cpy_r_r42 = 1;
    if (unlikely(!cpy_r_r42)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL206;
    }
CPyL35: ;
    cpy_r_r43 = (PyObject **)&cpy_r_r1;
    cpy_r_r44 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__8;
    if (unlikely(cpy_r_r44 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "__mypyc_temp__8", -1, CPyStatic_globals);
        goto CPyL206;
    }
    CPy_INCREF(cpy_r_r44);
CPyL36: ;
    cpy_r_r45 = CPy_YieldFromErrorHandle(cpy_r_r44, cpy_r_r43);
    CPy_DecRef(cpy_r_r44);
    if (unlikely(cpy_r_r45 == 2)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 92, CPyStatic_globals);
        goto CPyL206;
    }
CPyL37: ;
    if (cpy_r_r45) goto CPyL43;
CPyL38: ;
    if (cpy_r_r1 != NULL) goto CPyL41;
CPyL39: ;
    PyErr_SetString(PyExc_UnboundLocalError, "local variable \"\" referenced before assignment");
    cpy_r_r46 = 0;
    if (unlikely(!cpy_r_r46)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL48;
    } else
        goto CPyL207;
CPyL40: ;
    CPy_Unreachable();
CPyL41: ;
    CPy_INCREF(cpy_r_r1);
    cpy_r_r36 = cpy_r_r1;
    cpy_r_r47 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__9;
    if (unlikely(cpy_r_r47.f0 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "__mypyc_temp__9", -1, CPyStatic_globals);
        goto CPyL208;
    }
    CPy_INCREF(cpy_r_r47.f0);
    CPy_INCREF(cpy_r_r47.f1);
    CPy_INCREF(cpy_r_r47.f2);
CPyL42: ;
    CPy_RestoreExcInfo(cpy_r_r47);
    CPy_DecRef(cpy_r_r47.f0);
    CPy_DecRef(cpy_r_r47.f1);
    CPy_DecRef(cpy_r_r47.f2);
    goto CPyL28;
CPyL43: ;
    if (cpy_r_r1 != NULL) goto CPyL46;
CPyL44: ;
    PyErr_SetString(PyExc_UnboundLocalError, "local variable \"\" referenced before assignment");
    cpy_r_r48 = 0;
    if (unlikely(!cpy_r_r48)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL48;
    } else
        goto CPyL209;
CPyL45: ;
    CPy_Unreachable();
CPyL46: ;
    cpy_r_r35 = cpy_r_r1;
    CPy_DecRef(cpy_r_r35);
    cpy_r_r49 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__9;
    if (unlikely(cpy_r_r49.f0 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "__mypyc_temp__9", -1, CPyStatic_globals);
        goto CPyL48;
    }
    CPy_INCREF(cpy_r_r49.f0);
    CPy_INCREF(cpy_r_r49.f1);
    CPy_INCREF(cpy_r_r49.f2);
CPyL47: ;
    CPy_RestoreExcInfo(cpy_r_r49);
    CPy_DecRef(cpy_r_r49.f0);
    CPy_DecRef(cpy_r_r49.f1);
    CPy_DecRef(cpy_r_r49.f2);
    goto CPyL172;
CPyL48: ;
    cpy_r_r50 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__9;
    if (unlikely(cpy_r_r50.f0 == NULL)) {
        PyErr_SetString(PyExc_AttributeError, "attribute '__mypyc_temp__9' of '__call___AbstractHeadersExtractorMiddleware_env' undefined");
    } else {
        CPy_INCREF(cpy_r_r50.f0);
        CPy_INCREF(cpy_r_r50.f1);
        CPy_INCREF(cpy_r_r50.f2);
    }
    CPy_DecRef(cpy_r_r4);
    if (unlikely(cpy_r_r50.f0 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL189;
    }
CPyL49: ;
    CPy_RestoreExcInfo(cpy_r_r50);
    CPy_DecRef(cpy_r_r50.f0);
    CPy_DecRef(cpy_r_r50.f1);
    CPy_DecRef(cpy_r_r50.f2);
    cpy_r_r51 = CPy_KeepPropagating();
    if (!cpy_r_r51) goto CPyL189;
CPyL50: ;
    CPy_Unreachable();
CPyL51: ;
    cpy_r_r52 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__8;
    if (unlikely(cpy_r_r52 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "__mypyc_temp__8", -1, CPyStatic_globals);
        goto CPyL210;
    }
    CPy_INCREF(cpy_r_r52);
CPyL52: ;
    cpy_r_r53 = CPyIter_Send(cpy_r_r52, cpy_r_r40);
    CPy_DECREF(cpy_r_r52);
    CPy_DECREF(cpy_r_r40);
    if (cpy_r_r53 == NULL) goto CPyL211;
CPyL53: ;
    cpy_r_r36 = cpy_r_r53;
    goto CPyL28;
CPyL54: ;
    cpy_r_r54 = CPy_FetchStopIterationValue();
    if (unlikely(cpy_r_r54 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 92, CPyStatic_globals);
        goto CPyL202;
    }
CPyL55: ;
    cpy_r_r35 = cpy_r_r54;
    CPy_DECREF(cpy_r_r35);
    goto CPyL172;
CPyL56: ;
    cpy_r_r55 = PyDict_New();
    if (unlikely(cpy_r_r55 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 94, CPyStatic_globals);
        goto CPyL212;
    }
CPyL57: ;
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__10 != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__10);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__10 = cpy_r_r55;
    cpy_r_r56 = 1;
    if (unlikely(!cpy_r_r56)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL212;
    }
CPyL58: ;
    cpy_r_r57 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_scope;
    if (unlikely(cpy_r_r57 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "scope", 94, CPyStatic_globals);
        goto CPyL212;
    }
    CPy_INCREF(cpy_r_r57);
CPyL59: ;
    cpy_r_r58 = CPyStatics[16]; /* 'headers' */
    cpy_r_r59 = CPyDict_GetItem(cpy_r_r57, cpy_r_r58);
    CPy_DECREF(cpy_r_r57);
    if (unlikely(cpy_r_r59 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 94, CPyStatic_globals);
        goto CPyL212;
    }
CPyL60: ;
    cpy_r_r60 = PyObject_GetIter(cpy_r_r59);
    if (unlikely(cpy_r_r60 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 94, CPyStatic_globals);
        goto CPyL213;
    }
CPyL61: ;
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__11 != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__11);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__11 = cpy_r_r59;
    cpy_r_r61 = 1;
    if (unlikely(!cpy_r_r61)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL214;
    }
CPyL62: ;
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__12 != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__12);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__12 = cpy_r_r60;
    cpy_r_r62 = 1;
    if (unlikely(!cpy_r_r62)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL212;
    }
CPyL63: ;
    cpy_r_r63 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__12;
    if (unlikely(cpy_r_r63 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "__mypyc_temp__12", 94, CPyStatic_globals);
        goto CPyL212;
    }
    CPy_INCREF(cpy_r_r63);
CPyL64: ;
    cpy_r_r64 = PyIter_Next(cpy_r_r63);
    CPy_DECREF(cpy_r_r63);
    if (cpy_r_r64 == NULL) goto CPyL84;
CPyL65: ;
    cpy_r_r65 = PyObject_GetIter(cpy_r_r64);
    CPy_DECREF(cpy_r_r64);
    if (unlikely(cpy_r_r65 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 94, CPyStatic_globals);
        goto CPyL212;
    }
CPyL66: ;
    cpy_r_r66 = PyIter_Next(cpy_r_r65);
    if (cpy_r_r66 == NULL) {
        goto CPyL215;
    } else
        goto CPyL69;
CPyL67: ;
    PyErr_SetString(PyExc_ValueError, "not enough values to unpack");
    cpy_r_r67 = 0;
    if (unlikely(!cpy_r_r67)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 94, CPyStatic_globals);
        goto CPyL189;
    }
CPyL68: ;
    CPy_Unreachable();
CPyL69: ;
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_name != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_name);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_name = cpy_r_r66;
    cpy_r_r68 = 1;
    if (unlikely(!cpy_r_r68)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 94, CPyStatic_globals);
        goto CPyL216;
    }
CPyL70: ;
    cpy_r_r69 = PyIter_Next(cpy_r_r65);
    if (cpy_r_r69 == NULL) {
        goto CPyL217;
    } else
        goto CPyL73;
CPyL71: ;
    PyErr_SetString(PyExc_ValueError, "not enough values to unpack");
    cpy_r_r70 = 0;
    if (unlikely(!cpy_r_r70)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 94, CPyStatic_globals);
        goto CPyL189;
    }
CPyL72: ;
    CPy_Unreachable();
CPyL73: ;
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_value != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_value);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_value = cpy_r_r69;
    cpy_r_r71 = 1;
    if (unlikely(!cpy_r_r71)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 94, CPyStatic_globals);
        goto CPyL216;
    }
CPyL74: ;
    cpy_r_r72 = PyIter_Next(cpy_r_r65);
    CPy_DECREF(cpy_r_r65);
    if (cpy_r_r72 == NULL) {
        goto CPyL77;
    } else
        goto CPyL218;
CPyL75: ;
    PyErr_SetString(PyExc_ValueError, "too many values to unpack");
    cpy_r_r73 = 0;
    if (unlikely(!cpy_r_r73)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 94, CPyStatic_globals);
        goto CPyL189;
    }
CPyL76: ;
    CPy_Unreachable();
CPyL77: ;
    cpy_r_r74 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_name;
    if (unlikely(cpy_r_r74 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "name", 94, CPyStatic_globals);
        goto CPyL212;
    }
    CPy_INCREF(cpy_r_r74);
CPyL78: ;
    cpy_r_r75 = CPyStatics[17]; /* 'decode' */
    PyObject *cpy_r_r76[1] = {cpy_r_r74};
    cpy_r_r77 = (PyObject **)&cpy_r_r76;
    cpy_r_r78 = PyObject_VectorcallMethod(cpy_r_r75, cpy_r_r77, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r78 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 94, CPyStatic_globals);
        goto CPyL219;
    }
CPyL79: ;
    CPy_DECREF(cpy_r_r74);
    cpy_r_r79 = CPyStatics[18]; /* 'lower' */
    PyObject *cpy_r_r80[1] = {cpy_r_r78};
    cpy_r_r81 = (PyObject **)&cpy_r_r80;
    cpy_r_r82 = PyObject_VectorcallMethod(cpy_r_r79, cpy_r_r81, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r82 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 94, CPyStatic_globals);
        goto CPyL220;
    }
CPyL80: ;
    CPy_DECREF(cpy_r_r78);
    cpy_r_r83 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_value;
    if (unlikely(cpy_r_r83 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "value", 94, CPyStatic_globals);
        goto CPyL221;
    }
    CPy_INCREF(cpy_r_r83);
CPyL81: ;
    cpy_r_r84 = CPyStatics[17]; /* 'decode' */
    PyObject *cpy_r_r85[1] = {cpy_r_r83};
    cpy_r_r86 = (PyObject **)&cpy_r_r85;
    cpy_r_r87 = PyObject_VectorcallMethod(cpy_r_r84, cpy_r_r86, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r87 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 94, CPyStatic_globals);
        goto CPyL222;
    }
CPyL82: ;
    CPy_DECREF(cpy_r_r83);
    cpy_r_r88 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__10;
    if (unlikely(cpy_r_r88 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "__mypyc_temp__10", -1, CPyStatic_globals);
        goto CPyL223;
    }
    CPy_INCREF(cpy_r_r88);
CPyL83: ;
    cpy_r_r89 = CPyDict_SetItem(cpy_r_r88, cpy_r_r82, cpy_r_r87);
    CPy_DECREF(cpy_r_r88);
    CPy_DECREF(cpy_r_r82);
    CPy_DECREF(cpy_r_r87);
    cpy_r_r90 = cpy_r_r89 >= 0;
    if (unlikely(!cpy_r_r90)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 94, CPyStatic_globals);
        goto CPyL212;
    } else
        goto CPyL63;
CPyL84: ;
    cpy_r_r91 = CPy_NoErrOccured();
    if (unlikely(!cpy_r_r91)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 94, CPyStatic_globals);
        goto CPyL212;
    }
CPyL85: ;
    cpy_r_r92 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__10;
    if (unlikely(cpy_r_r92 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "__mypyc_temp__10", -1, CPyStatic_globals);
        goto CPyL212;
    }
    CPy_INCREF(cpy_r_r92);
CPyL86: ;
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_headers != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_headers);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_headers = cpy_r_r92;
    cpy_r_r93 = 1;
    if (unlikely(!cpy_r_r93)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 94, CPyStatic_globals);
        goto CPyL212;
    }
CPyL87: ;
    cpy_r_r94 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_self;
    if (unlikely(cpy_r_r94 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "self", 96, CPyStatic_globals);
        goto CPyL212;
    }
    CPy_INCREF(cpy_r_r94);
CPyL88: ;
    cpy_r_r95 = CPY_GET_ATTR(cpy_r_r94, CPyType_AbstractHeadersExtractorMiddleware, 1, asgi_context___AbstractHeadersExtractorMiddlewareObject, PyObject *); /* header_names */
    CPy_DECREF(cpy_r_r94);
    if (unlikely(cpy_r_r95 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 96, CPyStatic_globals);
        goto CPyL212;
    }
CPyL89: ;
    cpy_r_r96 = PyObject_GetIter(cpy_r_r95);
    if (unlikely(cpy_r_r96 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 96, CPyStatic_globals);
        goto CPyL224;
    }
CPyL90: ;
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__13 != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__13);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__13 = cpy_r_r95;
    cpy_r_r97 = 1;
    if (unlikely(!cpy_r_r97)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL225;
    }
CPyL91: ;
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__14 != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__14);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__14 = cpy_r_r96;
    cpy_r_r98 = 1;
    if (unlikely(!cpy_r_r98)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL212;
    }
CPyL92: ;
    cpy_r_r99 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__14;
    if (unlikely(cpy_r_r99 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "__mypyc_temp__14", 96, CPyStatic_globals);
        goto CPyL212;
    }
    CPy_INCREF(cpy_r_r99);
CPyL93: ;
    cpy_r_r100 = PyIter_Next(cpy_r_r99);
    CPy_DECREF(cpy_r_r99);
    if (cpy_r_r100 == NULL) goto CPyL130;
CPyL94: ;
    if (likely(PyUnicode_Check(cpy_r_r100)))
        cpy_r_r101 = cpy_r_r100;
    else {
        CPy_TypeErrorTraceback("asgi_context/__init__.py", "__call__", 96, CPyStatic_globals, "str", cpy_r_r100);
        goto CPyL212;
    }
CPyL95: ;
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_name != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_name);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_name = cpy_r_r101;
    cpy_r_r102 = 1;
    if (unlikely(!cpy_r_r102)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 96, CPyStatic_globals);
        goto CPyL212;
    }
CPyL96: ;
    cpy_r_r103 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_headers;
    if (unlikely(cpy_r_r103 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "headers", 97, CPyStatic_globals);
        goto CPyL212;
    }
    CPy_INCREF(cpy_r_r103);
CPyL97: ;
    cpy_r_r104 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_name;
    if (unlikely(cpy_r_r104 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "name", 97, CPyStatic_globals);
        goto CPyL226;
    }
    CPy_INCREF(cpy_r_r104);
CPyL98: ;
    cpy_r_r105 = CPyStatics[18]; /* 'lower' */
    PyObject *cpy_r_r106[1] = {cpy_r_r104};
    cpy_r_r107 = (PyObject **)&cpy_r_r106;
    cpy_r_r108 = PyObject_VectorcallMethod(cpy_r_r105, cpy_r_r107, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r108 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 97, CPyStatic_globals);
        goto CPyL227;
    }
CPyL99: ;
    CPy_DECREF(cpy_r_r104);
    if (likely(PyUnicode_Check(cpy_r_r108)))
        cpy_r_r109 = cpy_r_r108;
    else {
        CPy_TypeErrorTraceback("asgi_context/__init__.py", "__call__", 97, CPyStatic_globals, "str", cpy_r_r108);
        goto CPyL226;
    }
CPyL100: ;
    cpy_r_r110 = CPyDict_GetWithNone(cpy_r_r103, cpy_r_r109);
    CPy_DECREF(cpy_r_r103);
    CPy_DECREF(cpy_r_r109);
    if (unlikely(cpy_r_r110 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 97, CPyStatic_globals);
        goto CPyL212;
    }
CPyL101: ;
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_header_value != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_header_value);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_header_value = cpy_r_r110;
    cpy_r_r111 = 1;
    if (unlikely(!cpy_r_r111)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 97, CPyStatic_globals);
        goto CPyL212;
    }
CPyL102: ;
    cpy_r_r112 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_self;
    if (unlikely(cpy_r_r112 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "self", 99, CPyStatic_globals);
        goto CPyL212;
    }
    CPy_INCREF(cpy_r_r112);
CPyL103: ;
    cpy_r_r113 = CPY_GET_ATTR(cpy_r_r112, CPyType_AbstractHeadersExtractorMiddleware, 2, asgi_context___AbstractHeadersExtractorMiddlewareObject, PyObject *); /* validators */
    CPy_DECREF(cpy_r_r112);
    if (unlikely(cpy_r_r113 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 99, CPyStatic_globals);
        goto CPyL212;
    }
CPyL104: ;
    cpy_r_r114 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_name;
    if (unlikely(cpy_r_r114 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "name", 99, CPyStatic_globals);
        goto CPyL228;
    }
    CPy_INCREF(cpy_r_r114);
CPyL105: ;
    cpy_r_r115 = CPyDict_GetWithNone(cpy_r_r113, cpy_r_r114);
    CPy_DECREF(cpy_r_r113);
    CPy_DECREF(cpy_r_r114);
    if (unlikely(cpy_r_r115 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 99, CPyStatic_globals);
        goto CPyL212;
    }
CPyL106: ;
    CPy_INCREF(cpy_r_r115);
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_validate != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_validate);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_validate = cpy_r_r115;
    cpy_r_r116 = 1;
    if (unlikely(!cpy_r_r116)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 99, CPyStatic_globals);
        goto CPyL229;
    }
CPyL107: ;
    cpy_r_r117 = PyObject_IsTrue(cpy_r_r115);
    CPy_DECREF(cpy_r_r115);
    cpy_r_r118 = cpy_r_r117 >= 0;
    if (unlikely(!cpy_r_r118)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 99, CPyStatic_globals);
        goto CPyL212;
    }
CPyL108: ;
    cpy_r_r119 = cpy_r_r117;
    if (!cpy_r_r119) goto CPyL125;
CPyL109: ;
    cpy_r_r120 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_header_value;
    if (unlikely(cpy_r_r120 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "header_value", 99, CPyStatic_globals);
        goto CPyL212;
    }
    CPy_INCREF(cpy_r_r120);
CPyL110: ;
    cpy_r_r121 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r122 = cpy_r_r120 != cpy_r_r121;
    if (!cpy_r_r122) goto CPyL230;
CPyL111: ;
    cpy_r_r123 = cpy_r_r120;
CPyL112: ;
    cpy_r_r124 = PyObject_IsTrue(cpy_r_r123);
    CPy_DECREF(cpy_r_r123);
    cpy_r_r125 = cpy_r_r124 >= 0;
    if (unlikely(!cpy_r_r125)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 99, CPyStatic_globals);
        goto CPyL212;
    }
CPyL113: ;
    cpy_r_r126 = cpy_r_r124;
    if (!cpy_r_r126) goto CPyL125;
CPyL114: ;
    cpy_r_r127 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_header_value;
    if (unlikely(cpy_r_r127 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "header_value", 100, CPyStatic_globals);
        goto CPyL212;
    }
    CPy_INCREF(cpy_r_r127);
CPyL115: ;
    cpy_r_r128 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_validate;
    if (unlikely(cpy_r_r128 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "validate", 100, CPyStatic_globals);
        goto CPyL231;
    }
    CPy_INCREF(cpy_r_r128);
CPyL116: ;
    PyObject *cpy_r_r129[1] = {cpy_r_r127};
    cpy_r_r130 = (PyObject **)&cpy_r_r129;
    cpy_r_r131 = _PyObject_Vectorcall(cpy_r_r128, cpy_r_r130, 1, 0);
    CPy_DECREF(cpy_r_r128);
    if (unlikely(cpy_r_r131 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 100, CPyStatic_globals);
        goto CPyL231;
    }
CPyL117: ;
    CPy_DECREF(cpy_r_r127);
    if (unlikely(!PyBool_Check(cpy_r_r131))) {
        CPy_TypeError("bool", cpy_r_r131); cpy_r_r132 = 2;
    } else
        cpy_r_r132 = cpy_r_r131 == Py_True;
    CPy_DECREF(cpy_r_r131);
    if (unlikely(cpy_r_r132 == 2)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 100, CPyStatic_globals);
        goto CPyL212;
    }
CPyL118: ;
    if (cpy_r_r132) {
        goto CPyL125;
    } else
        goto CPyL232;
CPyL119: ;
    cpy_r_r133 = CPyStatics[19]; /* 'Header ' */
    cpy_r_r134 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_name;
    if (unlikely(cpy_r_r134 == NULL)) {
        PyErr_SetString(PyExc_AttributeError, "attribute 'name' of '__call___AbstractHeadersExtractorMiddleware_env' undefined");
    } else {
        CPy_INCREF(cpy_r_r134);
    }
    CPy_DECREF(cpy_r_r4);
    if (unlikely(cpy_r_r134 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 101, CPyStatic_globals);
        goto CPyL189;
    }
CPyL120: ;
    cpy_r_r135 = CPyStatics[20]; /* ' failed validation' */
    cpy_r_r136 = CPyStr_Build(3, cpy_r_r133, cpy_r_r134, cpy_r_r135);
    CPy_DECREF(cpy_r_r134);
    if (unlikely(cpy_r_r136 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 101, CPyStatic_globals);
        goto CPyL189;
    }
CPyL121: ;
    cpy_r_r137 = (PyObject *)CPyType_HeaderValidationException;
    PyObject *cpy_r_r138[1] = {cpy_r_r136};
    cpy_r_r139 = (PyObject **)&cpy_r_r138;
    cpy_r_r140 = _PyObject_Vectorcall(cpy_r_r137, cpy_r_r139, 1, 0);
    if (unlikely(cpy_r_r140 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 101, CPyStatic_globals);
        goto CPyL233;
    }
CPyL122: ;
    CPy_DECREF(cpy_r_r136);
    if (likely(Py_TYPE(cpy_r_r140) == CPyType_HeaderValidationException))
        cpy_r_r141 = cpy_r_r140;
    else {
        CPy_TypeErrorTraceback("asgi_context/__init__.py", "__call__", 101, CPyStatic_globals, "asgi_context.HeaderValidationException", cpy_r_r140);
        goto CPyL189;
    }
CPyL123: ;
    CPy_Raise(cpy_r_r141);
    CPy_DECREF(cpy_r_r141);
    if (unlikely(!0)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 101, CPyStatic_globals);
        goto CPyL189;
    }
CPyL124: ;
    CPy_Unreachable();
CPyL125: ;
    cpy_r_r142 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_header_value;
    if (unlikely(cpy_r_r142 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "header_value", 103, CPyStatic_globals);
        goto CPyL212;
    }
    CPy_INCREF(cpy_r_r142);
CPyL126: ;
    cpy_r_r143 = CPyStatic_globals;
    cpy_r_r144 = CPyStatics[21]; /* 'http_request_context' */
    cpy_r_r145 = CPyDict_GetItem(cpy_r_r143, cpy_r_r144);
    if (unlikely(cpy_r_r145 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 103, CPyStatic_globals);
        goto CPyL234;
    }
CPyL127: ;
    if (likely(Py_TYPE(cpy_r_r145) == CPyType_Context))
        cpy_r_r146 = cpy_r_r145;
    else {
        CPy_TypeErrorTraceback("asgi_context/__init__.py", "__call__", 103, CPyStatic_globals, "asgi_context.Context", cpy_r_r145);
        goto CPyL234;
    }
CPyL128: ;
    cpy_r_r147 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_name;
    if (unlikely(cpy_r_r147 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "name", 103, CPyStatic_globals);
        goto CPyL235;
    }
    CPy_INCREF(cpy_r_r147);
CPyL129: ;
    cpy_r_r148 = PyObject_SetItem(cpy_r_r146, cpy_r_r147, cpy_r_r142);
    CPy_DECREF(cpy_r_r146);
    CPy_DECREF(cpy_r_r147);
    CPy_DECREF(cpy_r_r142);
    cpy_r_r149 = cpy_r_r148 >= 0;
    if (unlikely(!cpy_r_r149)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 103, CPyStatic_globals);
        goto CPyL212;
    } else
        goto CPyL92;
CPyL130: ;
    cpy_r_r150 = CPy_NoErrOccured();
    if (unlikely(!cpy_r_r150)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 96, CPyStatic_globals);
        goto CPyL212;
    }
CPyL131: ;
    cpy_r_r151 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_self;
    if (unlikely(cpy_r_r151 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "self", 105, CPyStatic_globals);
        goto CPyL212;
    }
    CPy_INCREF(cpy_r_r151);
CPyL132: ;
    cpy_r_r152 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_scope;
    if (unlikely(cpy_r_r152 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "scope", 105, CPyStatic_globals);
        goto CPyL236;
    }
    CPy_INCREF(cpy_r_r152);
CPyL133: ;
    cpy_r_r153 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_receive;
    if (unlikely(cpy_r_r153 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "receive", 105, CPyStatic_globals);
        goto CPyL237;
    }
    CPy_INCREF(cpy_r_r153);
CPyL134: ;
    cpy_r_r154 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->_send;
    if (unlikely(cpy_r_r154 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "send", 105, CPyStatic_globals);
        goto CPyL238;
    }
    CPy_INCREF(cpy_r_r154);
CPyL135: ;
    cpy_r_r155 = ((asgi_context___AbstractHeadersExtractorMiddlewareObject *)cpy_r_r151)->_app;
    if (unlikely(cpy_r_r155 == NULL)) {
        PyErr_SetString(PyExc_AttributeError, "attribute 'app' of 'AbstractHeadersExtractorMiddleware' undefined");
    } else {
        CPy_INCREF(cpy_r_r155);
    }
    CPy_DECREF(cpy_r_r151);
    if (unlikely(cpy_r_r155 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 105, CPyStatic_globals);
        goto CPyL239;
    }
CPyL136: ;
    PyObject *cpy_r_r156[3] = {cpy_r_r152, cpy_r_r153, cpy_r_r154};
    cpy_r_r157 = (PyObject **)&cpy_r_r156;
    cpy_r_r158 = _PyObject_Vectorcall(cpy_r_r155, cpy_r_r157, 3, 0);
    CPy_DECREF(cpy_r_r155);
    if (unlikely(cpy_r_r158 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 105, CPyStatic_globals);
        goto CPyL239;
    }
CPyL137: ;
    CPy_DECREF(cpy_r_r152);
    CPy_DECREF(cpy_r_r153);
    CPy_DECREF(cpy_r_r154);
    cpy_r_r159 = CPy_GetCoro(cpy_r_r158);
    CPy_DECREF(cpy_r_r158);
    if (unlikely(cpy_r_r159 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 105, CPyStatic_globals);
        goto CPyL212;
    }
CPyL138: ;
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__15 != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__15);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__15 = cpy_r_r159;
    cpy_r_r160 = 1;
    if (unlikely(!cpy_r_r160)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL212;
    }
CPyL139: ;
    cpy_r_r161 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__15;
    if (unlikely(cpy_r_r161 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "__mypyc_temp__15", -1, CPyStatic_globals);
        goto CPyL212;
    }
    CPy_INCREF(cpy_r_r161);
CPyL140: ;
    cpy_r_r162 = CPyIter_Next(cpy_r_r161);
    CPy_DECREF(cpy_r_r161);
    if (cpy_r_r162 == NULL) {
        goto CPyL240;
    } else
        goto CPyL143;
CPyL141: ;
    cpy_r_r163 = CPy_FetchStopIterationValue();
    if (unlikely(cpy_r_r163 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 105, CPyStatic_globals);
        goto CPyL202;
    }
CPyL142: ;
    cpy_r_r164 = cpy_r_r163;
    CPy_DECREF(cpy_r_r164);
    goto CPyL172;
CPyL143: ;
    cpy_r_r165 = cpy_r_r162;
CPyL144: ;
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__ != CPY_INT_TAG) {
        CPyTagged_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__ = 4;
    cpy_r_r166 = 1;
    if (unlikely(!cpy_r_r166)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 105, CPyStatic_globals);
        goto CPyL241;
    } else
        goto CPyL242;
CPyL145: ;
    return cpy_r_r165;
CPyL146: ;
    cpy_r_r167 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r168 = cpy_r_type != cpy_r_r167;
    if (!cpy_r_r168) goto CPyL149;
CPyL147: ;
    CPyErr_SetObjectAndTraceback(cpy_r_type, cpy_r_value, cpy_r_traceback);
    if (unlikely(!0)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 105, CPyStatic_globals);
        goto CPyL150;
    } else
        goto CPyL243;
CPyL148: ;
    CPy_Unreachable();
CPyL149: ;
    CPy_INCREF(cpy_r_arg);
    cpy_r_r169 = cpy_r_arg;
    goto CPyL167;
CPyL150: ;
    cpy_r_r170 = CPy_CatchError();
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__16.f0 != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__16.f0);
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__16.f1);
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__16.f2);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__16 = cpy_r_r170;
    cpy_r_r171 = 1;
    if (unlikely(!cpy_r_r171)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL244;
    }
CPyL151: ;
    cpy_r_r172 = (PyObject **)&cpy_r_r3;
    cpy_r_r173 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__15;
    if (unlikely(cpy_r_r173 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "__mypyc_temp__15", -1, CPyStatic_globals);
        goto CPyL244;
    }
    CPy_INCREF(cpy_r_r173);
CPyL152: ;
    cpy_r_r174 = CPy_YieldFromErrorHandle(cpy_r_r173, cpy_r_r172);
    CPy_DecRef(cpy_r_r173);
    if (unlikely(cpy_r_r174 == 2)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 105, CPyStatic_globals);
        goto CPyL244;
    }
CPyL153: ;
    if (cpy_r_r174) goto CPyL159;
CPyL154: ;
    if (cpy_r_r3 != NULL) goto CPyL157;
CPyL155: ;
    PyErr_SetString(PyExc_UnboundLocalError, "local variable \"\" referenced before assignment");
    cpy_r_r175 = 0;
    if (unlikely(!cpy_r_r175)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL164;
    } else
        goto CPyL245;
CPyL156: ;
    CPy_Unreachable();
CPyL157: ;
    CPy_INCREF(cpy_r_r3);
    cpy_r_r165 = cpy_r_r3;
    cpy_r_r176 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__16;
    if (unlikely(cpy_r_r176.f0 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "__mypyc_temp__16", -1, CPyStatic_globals);
        goto CPyL246;
    }
    CPy_INCREF(cpy_r_r176.f0);
    CPy_INCREF(cpy_r_r176.f1);
    CPy_INCREF(cpy_r_r176.f2);
CPyL158: ;
    CPy_RestoreExcInfo(cpy_r_r176);
    CPy_DecRef(cpy_r_r176.f0);
    CPy_DecRef(cpy_r_r176.f1);
    CPy_DecRef(cpy_r_r176.f2);
    goto CPyL144;
CPyL159: ;
    if (cpy_r_r3 != NULL) goto CPyL162;
CPyL160: ;
    PyErr_SetString(PyExc_UnboundLocalError, "local variable \"\" referenced before assignment");
    cpy_r_r177 = 0;
    if (unlikely(!cpy_r_r177)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL164;
    } else
        goto CPyL247;
CPyL161: ;
    CPy_Unreachable();
CPyL162: ;
    cpy_r_r164 = cpy_r_r3;
    CPy_DecRef(cpy_r_r164);
    cpy_r_r178 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__16;
    if (unlikely(cpy_r_r178.f0 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "__mypyc_temp__16", -1, CPyStatic_globals);
        goto CPyL164;
    }
    CPy_INCREF(cpy_r_r178.f0);
    CPy_INCREF(cpy_r_r178.f1);
    CPy_INCREF(cpy_r_r178.f2);
CPyL163: ;
    CPy_RestoreExcInfo(cpy_r_r178);
    CPy_DecRef(cpy_r_r178.f0);
    CPy_DecRef(cpy_r_r178.f1);
    CPy_DecRef(cpy_r_r178.f2);
    goto CPyL172;
CPyL164: ;
    cpy_r_r179 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__16;
    if (unlikely(cpy_r_r179.f0 == NULL)) {
        PyErr_SetString(PyExc_AttributeError, "attribute '__mypyc_temp__16' of '__call___AbstractHeadersExtractorMiddleware_env' undefined");
    } else {
        CPy_INCREF(cpy_r_r179.f0);
        CPy_INCREF(cpy_r_r179.f1);
        CPy_INCREF(cpy_r_r179.f2);
    }
    CPy_DecRef(cpy_r_r4);
    if (unlikely(cpy_r_r179.f0 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", -1, CPyStatic_globals);
        goto CPyL189;
    }
CPyL165: ;
    CPy_RestoreExcInfo(cpy_r_r179);
    CPy_DecRef(cpy_r_r179.f0);
    CPy_DecRef(cpy_r_r179.f1);
    CPy_DecRef(cpy_r_r179.f2);
    cpy_r_r180 = CPy_KeepPropagating();
    if (!cpy_r_r180) goto CPyL189;
CPyL166: ;
    CPy_Unreachable();
CPyL167: ;
    cpy_r_r181 = ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_temp__15;
    if (unlikely(cpy_r_r181 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "__call__", "__call___AbstractHeadersExtractorMiddleware_env", "__mypyc_temp__15", -1, CPyStatic_globals);
        goto CPyL248;
    }
    CPy_INCREF(cpy_r_r181);
CPyL168: ;
    cpy_r_r182 = CPyIter_Send(cpy_r_r181, cpy_r_r169);
    CPy_DECREF(cpy_r_r181);
    CPy_DECREF(cpy_r_r169);
    if (cpy_r_r182 == NULL) goto CPyL249;
CPyL169: ;
    cpy_r_r165 = cpy_r_r182;
    goto CPyL144;
CPyL170: ;
    cpy_r_r183 = CPy_FetchStopIterationValue();
    if (unlikely(cpy_r_r183 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 105, CPyStatic_globals);
        goto CPyL202;
    }
CPyL171: ;
    cpy_r_r164 = cpy_r_r183;
    CPy_DECREF(cpy_r_r164);
CPyL172: ;
    cpy_r_r184 = Py_None;
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__ != CPY_INT_TAG) {
        CPyTagged_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r4)->___mypyc_next_label__ = -2;
    cpy_r_r185 = 1;
    CPy_DECREF(cpy_r_r4);
    if (unlikely(!cpy_r_r185)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 88, CPyStatic_globals);
        goto CPyL189;
    }
CPyL173: ;
    CPyGen_SetStopIterationValue(cpy_r_r184);
    if (!0) goto CPyL189;
CPyL174: ;
    CPy_Unreachable();
CPyL175: ;
    cpy_r_r186 = cpy_r_r5 & 1;
    cpy_r_r187 = cpy_r_r186 == 0;
    if (!cpy_r_r187) goto CPyL177;
CPyL176: ;
    cpy_r_r188 = cpy_r_r5 == 0;
    cpy_r_r189 = cpy_r_r188;
    goto CPyL178;
CPyL177: ;
    cpy_r_r190 = CPyTagged_IsEq_(cpy_r_r5, 0);
    cpy_r_r189 = cpy_r_r190;
CPyL178: ;
    if (cpy_r_r189) goto CPyL250;
CPyL179: ;
    cpy_r_r191 = cpy_r_r5 & 1;
    cpy_r_r192 = cpy_r_r191 == 0;
    if (!cpy_r_r192) goto CPyL181;
CPyL180: ;
    cpy_r_r193 = cpy_r_r5 == 2;
    cpy_r_r194 = cpy_r_r193;
    goto CPyL182;
CPyL181: ;
    cpy_r_r195 = CPyTagged_IsEq_(cpy_r_r5, 2);
    cpy_r_r194 = cpy_r_r195;
CPyL182: ;
    if (cpy_r_r194) {
        goto CPyL251;
    } else
        goto CPyL252;
CPyL183: ;
    cpy_r_r196 = cpy_r_r5 & 1;
    cpy_r_r197 = cpy_r_r196 == 0;
    if (!cpy_r_r197) goto CPyL185;
CPyL184: ;
    cpy_r_r198 = cpy_r_r5 == 4;
    CPyTagged_DECREF(cpy_r_r5);
    cpy_r_r199 = cpy_r_r198;
    goto CPyL186;
CPyL185: ;
    cpy_r_r200 = CPyTagged_IsEq_(cpy_r_r5, 4);
    CPyTagged_DECREF(cpy_r_r5);
    cpy_r_r199 = cpy_r_r200;
CPyL186: ;
    if (cpy_r_r199) {
        goto CPyL146;
    } else
        goto CPyL253;
CPyL187: ;
    PyErr_SetNone(PyExc_StopIteration);
    cpy_r_r201 = 0;
    if (unlikely(!cpy_r_r201)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 88, CPyStatic_globals);
        goto CPyL189;
    }
CPyL188: ;
    CPy_Unreachable();
CPyL189: ;
    cpy_r_r202 = NULL;
    return cpy_r_r202;
CPyL190: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_XDecRef(cpy_r_r3);
    goto CPyL189;
CPyL191: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    goto CPyL189;
CPyL192: ;
    CPy_XDECREF(cpy_r_r1);
    CPy_XDECREF(cpy_r_r3);
    CPy_DECREF(cpy_r_r4);
    goto CPyL3;
CPyL193: ;
    CPy_XDECREF(cpy_r_r1);
    CPy_XDECREF(cpy_r_r3);
    CPy_DECREF(cpy_r_r4);
    goto CPyL8;
CPyL194: ;
    CPy_XDECREF(cpy_r_r1);
    goto CPyL56;
CPyL195: ;
    CPy_XDECREF(cpy_r_r3);
    goto CPyL15;
CPyL196: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_r4);
    goto CPyL189;
CPyL197: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r22);
    goto CPyL189;
CPyL198: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r22);
    CPy_DecRef(cpy_r_r23);
    goto CPyL189;
CPyL199: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r22);
    CPy_DecRef(cpy_r_r23);
    CPy_DecRef(cpy_r_r24);
    goto CPyL189;
CPyL200: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r23);
    CPy_DecRef(cpy_r_r24);
    CPy_DecRef(cpy_r_r25);
    goto CPyL189;
CPyL201: ;
    CPy_XDECREF(cpy_r_r1);
    goto CPyL25;
CPyL202: ;
    CPy_DecRef(cpy_r_r4);
    goto CPyL189;
CPyL203: ;
    CPy_DecRef(cpy_r_r36);
    goto CPyL34;
CPyL204: ;
    CPy_XDECREF(cpy_r_r1);
    CPy_DECREF(cpy_r_r4);
    goto CPyL29;
CPyL205: ;
    CPy_XDECREF(cpy_r_r1);
    CPy_DECREF(cpy_r_r4);
    goto CPyL32;
CPyL206: ;
    CPy_XDecRef(cpy_r_r1);
    goto CPyL48;
CPyL207: ;
    CPy_DecRef(cpy_r_r4);
    goto CPyL40;
CPyL208: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_r36);
    goto CPyL48;
CPyL209: ;
    CPy_DecRef(cpy_r_r4);
    goto CPyL45;
CPyL210: ;
    CPy_XDecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r40);
    goto CPyL189;
CPyL211: ;
    CPy_XDECREF(cpy_r_r1);
    goto CPyL54;
CPyL212: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    goto CPyL189;
CPyL213: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r59);
    goto CPyL189;
CPyL214: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r60);
    goto CPyL189;
CPyL215: ;
    CPy_XDECREF(cpy_r_r3);
    CPy_DECREF(cpy_r_r4);
    CPy_DECREF(cpy_r_r65);
    goto CPyL67;
CPyL216: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r65);
    goto CPyL189;
CPyL217: ;
    CPy_XDECREF(cpy_r_r3);
    CPy_DECREF(cpy_r_r4);
    CPy_DECREF(cpy_r_r65);
    goto CPyL71;
CPyL218: ;
    CPy_XDECREF(cpy_r_r3);
    CPy_DECREF(cpy_r_r4);
    CPy_DECREF(cpy_r_r72);
    goto CPyL75;
CPyL219: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r74);
    goto CPyL189;
CPyL220: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r78);
    goto CPyL189;
CPyL221: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r82);
    goto CPyL189;
CPyL222: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r82);
    CPy_DecRef(cpy_r_r83);
    goto CPyL189;
CPyL223: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r82);
    CPy_DecRef(cpy_r_r87);
    goto CPyL189;
CPyL224: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r95);
    goto CPyL189;
CPyL225: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r96);
    goto CPyL189;
CPyL226: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r103);
    goto CPyL189;
CPyL227: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r103);
    CPy_DecRef(cpy_r_r104);
    goto CPyL189;
CPyL228: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r113);
    goto CPyL189;
CPyL229: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r115);
    goto CPyL189;
CPyL230: ;
    CPy_DECREF(cpy_r_r120);
    goto CPyL125;
CPyL231: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r127);
    goto CPyL189;
CPyL232: ;
    CPy_XDECREF(cpy_r_r3);
    goto CPyL119;
CPyL233: ;
    CPy_DecRef(cpy_r_r136);
    goto CPyL189;
CPyL234: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r142);
    goto CPyL189;
CPyL235: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r142);
    CPy_DecRef(cpy_r_r146);
    goto CPyL189;
CPyL236: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r151);
    goto CPyL189;
CPyL237: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r151);
    CPy_DecRef(cpy_r_r152);
    goto CPyL189;
CPyL238: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r151);
    CPy_DecRef(cpy_r_r152);
    CPy_DecRef(cpy_r_r153);
    goto CPyL189;
CPyL239: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r152);
    CPy_DecRef(cpy_r_r153);
    CPy_DecRef(cpy_r_r154);
    goto CPyL189;
CPyL240: ;
    CPy_XDECREF(cpy_r_r3);
    goto CPyL141;
CPyL241: ;
    CPy_DecRef(cpy_r_r165);
    goto CPyL150;
CPyL242: ;
    CPy_XDECREF(cpy_r_r3);
    CPy_DECREF(cpy_r_r4);
    goto CPyL145;
CPyL243: ;
    CPy_XDECREF(cpy_r_r3);
    CPy_DECREF(cpy_r_r4);
    goto CPyL148;
CPyL244: ;
    CPy_XDecRef(cpy_r_r3);
    goto CPyL164;
CPyL245: ;
    CPy_DecRef(cpy_r_r4);
    goto CPyL156;
CPyL246: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r165);
    goto CPyL164;
CPyL247: ;
    CPy_DecRef(cpy_r_r4);
    goto CPyL161;
CPyL248: ;
    CPy_XDecRef(cpy_r_r3);
    CPy_DecRef(cpy_r_r4);
    CPy_DecRef(cpy_r_r169);
    goto CPyL189;
CPyL249: ;
    CPy_XDECREF(cpy_r_r3);
    goto CPyL170;
CPyL250: ;
    CPyTagged_DECREF(cpy_r_r5);
    goto CPyL2;
CPyL251: ;
    CPy_XDECREF(cpy_r_r3);
    CPyTagged_DECREF(cpy_r_r5);
    goto CPyL30;
CPyL252: ;
    CPy_XDECREF(cpy_r_r1);
    goto CPyL183;
CPyL253: ;
    CPy_XDECREF(cpy_r_r3);
    CPy_DECREF(cpy_r_r4);
    goto CPyL187;
}

PyObject *CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen_____mypyc_generator_helper__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {"type", "value", "traceback", "arg", 0};
    static CPyArg_Parser parser = {"OOOO:__mypyc_generator_helper__", kwlist, 0};
    PyObject *obj_type;
    PyObject *obj_value;
    PyObject *obj_traceback;
    PyObject *obj_arg;
    if (!CPyArg_ParseStackAndKeywordsSimple(args, nargs, kwnames, &parser, &obj_type, &obj_value, &obj_traceback, &obj_arg)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__ = obj___mypyc_self__;
    PyObject *arg_type = obj_type;
    PyObject *arg_value = obj_value;
    PyObject *arg_traceback = obj_traceback;
    PyObject *arg_arg = obj_arg;
    PyObject *retval = CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____mypyc_generator_helper__(arg___mypyc_self__, arg_type, arg_value, arg_traceback, arg_arg);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "__call__", 88, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____next__(PyObject *cpy_r___mypyc_self__) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
CPyL0: ;
    cpy_r_r0 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r1 = CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____mypyc_generator_helper__(cpy_r___mypyc_self__, cpy_r_r0, cpy_r_r0, cpy_r_r0, cpy_r_r0);
    if (cpy_r_r1 == NULL) goto CPyL2;
CPyL1: ;
    return cpy_r_r1;
CPyL2: ;
    cpy_r_r2 = NULL;
    return cpy_r_r2;
}

PyObject *CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen_____next__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":__next__", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__;
    if (likely(Py_TYPE(obj___mypyc_self__) == CPyType___call___3_AbstractHeadersExtractorMiddleware_gen))
        arg___mypyc_self__ = obj___mypyc_self__;
    else {
        CPy_TypeError("asgi_context.__call___AbstractHeadersExtractorMiddleware_gen", obj___mypyc_self__); 
        goto fail;
    }
    PyObject *retval = CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____next__(arg___mypyc_self__);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "__next__", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen___send(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_arg) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
CPyL0: ;
    cpy_r_r0 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r1 = CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____mypyc_generator_helper__(cpy_r___mypyc_self__, cpy_r_r0, cpy_r_r0, cpy_r_r0, cpy_r_arg);
    if (cpy_r_r1 == NULL) goto CPyL2;
CPyL1: ;
    return cpy_r_r1;
CPyL2: ;
    cpy_r_r2 = NULL;
    return cpy_r_r2;
}

PyObject *CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen___send(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {"arg", 0};
    static CPyArg_Parser parser = {"O:send", kwlist, 0};
    PyObject *obj_arg;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, nargs, kwnames, &parser, &obj_arg)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__;
    if (likely(Py_TYPE(obj___mypyc_self__) == CPyType___call___3_AbstractHeadersExtractorMiddleware_gen))
        arg___mypyc_self__ = obj___mypyc_self__;
    else {
        CPy_TypeError("asgi_context.__call___AbstractHeadersExtractorMiddleware_gen", obj___mypyc_self__); 
        goto fail;
    }
    PyObject *arg_arg = obj_arg;
    PyObject *retval = CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen___send(arg___mypyc_self__, arg_arg);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "send", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____iter__(PyObject *cpy_r___mypyc_self__) {
CPyL0: ;
    CPy_INCREF(cpy_r___mypyc_self__);
    return cpy_r___mypyc_self__;
}

PyObject *CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen_____iter__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":__iter__", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__;
    if (likely(Py_TYPE(obj___mypyc_self__) == CPyType___call___3_AbstractHeadersExtractorMiddleware_gen))
        arg___mypyc_self__ = obj___mypyc_self__;
    else {
        CPy_TypeError("asgi_context.__call___AbstractHeadersExtractorMiddleware_gen", obj___mypyc_self__); 
        goto fail;
    }
    PyObject *retval = CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____iter__(arg___mypyc_self__);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "__iter__", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen___throw(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_type, PyObject *cpy_r_value, PyObject *cpy_r_traceback) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
CPyL0: ;
    cpy_r_r0 = (PyObject *)&_Py_NoneStruct;
    if (cpy_r_value != NULL) goto CPyL7;
CPyL1: ;
    CPy_INCREF(cpy_r_r0);
    cpy_r_value = cpy_r_r0;
CPyL2: ;
    if (cpy_r_traceback != NULL) goto CPyL8;
CPyL3: ;
    CPy_INCREF(cpy_r_r0);
    cpy_r_traceback = cpy_r_r0;
CPyL4: ;
    cpy_r_r1 = CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____mypyc_generator_helper__(cpy_r___mypyc_self__, cpy_r_type, cpy_r_value, cpy_r_traceback, cpy_r_r0);
    CPy_DECREF(cpy_r_value);
    CPy_DECREF(cpy_r_traceback);
    if (cpy_r_r1 == NULL) goto CPyL6;
CPyL5: ;
    return cpy_r_r1;
CPyL6: ;
    cpy_r_r2 = NULL;
    return cpy_r_r2;
CPyL7: ;
    CPy_INCREF(cpy_r_value);
    goto CPyL2;
CPyL8: ;
    CPy_INCREF(cpy_r_traceback);
    goto CPyL4;
}

PyObject *CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen___throw(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {"type", "value", "traceback", 0};
    static CPyArg_Parser parser = {"O|OO:throw", kwlist, 0};
    PyObject *obj_type;
    PyObject *obj_value = NULL;
    PyObject *obj_traceback = NULL;
    if (!CPyArg_ParseStackAndKeywordsSimple(args, nargs, kwnames, &parser, &obj_type, &obj_value, &obj_traceback)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__;
    if (likely(Py_TYPE(obj___mypyc_self__) == CPyType___call___3_AbstractHeadersExtractorMiddleware_gen))
        arg___mypyc_self__ = obj___mypyc_self__;
    else {
        CPy_TypeError("asgi_context.__call___AbstractHeadersExtractorMiddleware_gen", obj___mypyc_self__); 
        goto fail;
    }
    PyObject *arg_type = obj_type;
    PyObject *arg_value;
    if (obj_value == NULL) {
        arg_value = NULL;
    } else {
        arg_value = obj_value; 
    }
    PyObject *arg_traceback;
    if (obj_traceback == NULL) {
        arg_traceback = NULL;
    } else {
        arg_traceback = obj_traceback; 
    }
    PyObject *retval = CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen___throw(arg___mypyc_self__, arg_type, arg_value, arg_traceback);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "throw", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen___close(PyObject *cpy_r___mypyc_self__) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
    PyObject *cpy_r_r3;
    PyObject *cpy_r_r4;
    PyObject *cpy_r_r5;
    tuple_T3OOO cpy_r_r6;
    PyObject *cpy_r_r7;
    PyObject *cpy_r_r8;
    PyObject *cpy_r_r9;
    tuple_T2OO cpy_r_r10;
    PyObject *cpy_r_r11;
    char cpy_r_r12;
    PyObject *cpy_r_r13;
    char cpy_r_r14;
    PyObject *cpy_r_r15;
CPyL0: ;
CPyL1: ;
    cpy_r_r0 = CPyModule_builtins;
    cpy_r_r1 = CPyStatics[9]; /* 'GeneratorExit' */
    cpy_r_r2 = CPyObject_GetAttr(cpy_r_r0, cpy_r_r1);
    if (cpy_r_r2 == NULL) goto CPyL3;
CPyL2: ;
    cpy_r_r3 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r4 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r5 = CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen___throw(cpy_r___mypyc_self__, cpy_r_r2, cpy_r_r3, cpy_r_r4);
    if (cpy_r_r5 != NULL) goto CPyL11;
CPyL3: ;
    cpy_r_r6 = CPy_CatchError();
    cpy_r_r7 = CPyModule_builtins;
    cpy_r_r8 = CPyStatics[10]; /* 'StopIteration' */
    cpy_r_r9 = CPyObject_GetAttr(cpy_r_r7, cpy_r_r8);
    if (cpy_r_r9 == NULL) goto CPyL12;
CPyL4: ;
    cpy_r_r10.f0 = cpy_r_r2;
    cpy_r_r10.f1 = cpy_r_r9;
    CPy_INCREF(cpy_r_r10.f0);
    CPy_INCREF(cpy_r_r10.f1);
    CPy_DECREF(cpy_r_r2);
    CPy_DECREF(cpy_r_r9);
    cpy_r_r11 = PyTuple_New(2);
    if (unlikely(cpy_r_r11 == NULL))
        CPyError_OutOfMemory();
    PyObject *__tmp7 = cpy_r_r10.f0;
    PyTuple_SET_ITEM(cpy_r_r11, 0, __tmp7);
    PyObject *__tmp8 = cpy_r_r10.f1;
    PyTuple_SET_ITEM(cpy_r_r11, 1, __tmp8);
    cpy_r_r12 = CPy_ExceptionMatches(cpy_r_r11);
    CPy_DECREF(cpy_r_r11);
    if (!cpy_r_r12) goto CPyL13;
CPyL5: ;
    CPy_RestoreExcInfo(cpy_r_r6);
    CPy_DECREF(cpy_r_r6.f0);
    CPy_DECREF(cpy_r_r6.f1);
    CPy_DECREF(cpy_r_r6.f2);
    cpy_r_r13 = (PyObject *)&_Py_NoneStruct;
    CPy_INCREF(cpy_r_r13);
    return cpy_r_r13;
CPyL6: ;
    CPy_Reraise();
    if (!0) goto CPyL10;
CPyL7: ;
    CPy_Unreachable();
CPyL8: ;
    PyErr_SetString(PyExc_RuntimeError, "generator ignored GeneratorExit");
    cpy_r_r14 = 0;
    if (!cpy_r_r14) goto CPyL10;
CPyL9: ;
    CPy_Unreachable();
CPyL10: ;
    cpy_r_r15 = NULL;
    return cpy_r_r15;
CPyL11: ;
    CPy_DECREF(cpy_r_r2);
    CPy_DECREF(cpy_r_r5);
    goto CPyL8;
CPyL12: ;
    CPy_DECREF(cpy_r_r2);
    CPy_DECREF(cpy_r_r6.f0);
    CPy_DECREF(cpy_r_r6.f1);
    CPy_DECREF(cpy_r_r6.f2);
    goto CPyL10;
CPyL13: ;
    CPy_DECREF(cpy_r_r6.f0);
    CPy_DECREF(cpy_r_r6.f1);
    CPy_DECREF(cpy_r_r6.f2);
    goto CPyL6;
}

PyObject *CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen___close(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":close", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__;
    if (likely(Py_TYPE(obj___mypyc_self__) == CPyType___call___3_AbstractHeadersExtractorMiddleware_gen))
        arg___mypyc_self__ = obj___mypyc_self__;
    else {
        CPy_TypeError("asgi_context.__call___AbstractHeadersExtractorMiddleware_gen", obj___mypyc_self__); 
        goto fail;
    }
    PyObject *retval = CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen___close(arg___mypyc_self__);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "close", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____await__(PyObject *cpy_r___mypyc_self__) {
CPyL0: ;
    CPy_INCREF(cpy_r___mypyc_self__);
    return cpy_r___mypyc_self__;
}

PyObject *CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen_____await__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {0};
    static CPyArg_Parser parser = {":__await__", kwlist, 0};
    if (!CPyArg_ParseStackAndKeywordsNoArgs(args, nargs, kwnames, &parser)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__;
    if (likely(Py_TYPE(obj___mypyc_self__) == CPyType___call___3_AbstractHeadersExtractorMiddleware_gen))
        arg___mypyc_self__ = obj___mypyc_self__;
    else {
        CPy_TypeError("asgi_context.__call___AbstractHeadersExtractorMiddleware_gen", obj___mypyc_self__); 
        goto fail;
    }
    PyObject *retval = CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____await__(arg___mypyc_self__);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "__await__", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef_AbstractHeadersExtractorMiddleware_____call__(PyObject *cpy_r_self, PyObject *cpy_r_scope, PyObject *cpy_r_receive, PyObject *cpy_r_send) {
    PyObject *cpy_r_r0;
    char cpy_r_r1;
    char cpy_r_r2;
    char cpy_r_r3;
    char cpy_r_r4;
    PyObject *cpy_r_r5;
    char cpy_r_r6;
    char cpy_r_r7;
    PyObject *cpy_r_r8;
CPyL0: ;
    cpy_r_r0 = CPyDef___call___3_AbstractHeadersExtractorMiddleware_env();
    if (unlikely(cpy_r_r0 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 88, CPyStatic_globals);
        goto CPyL9;
    }
CPyL1: ;
    CPy_INCREF(cpy_r_self);
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r0)->_self != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r0)->_self);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r0)->_self = cpy_r_self;
    cpy_r_r1 = 1;
    if (unlikely(!cpy_r_r1)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 88, CPyStatic_globals);
        goto CPyL10;
    }
CPyL2: ;
    CPy_INCREF(cpy_r_scope);
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r0)->_scope != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r0)->_scope);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r0)->_scope = cpy_r_scope;
    cpy_r_r2 = 1;
    if (unlikely(!cpy_r_r2)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 88, CPyStatic_globals);
        goto CPyL10;
    }
CPyL3: ;
    CPy_INCREF(cpy_r_receive);
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r0)->_receive != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r0)->_receive);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r0)->_receive = cpy_r_receive;
    cpy_r_r3 = 1;
    if (unlikely(!cpy_r_r3)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 88, CPyStatic_globals);
        goto CPyL10;
    }
CPyL4: ;
    CPy_INCREF(cpy_r_send);
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r0)->_send != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r0)->_send);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r0)->_send = cpy_r_send;
    cpy_r_r4 = 1;
    if (unlikely(!cpy_r_r4)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 88, CPyStatic_globals);
        goto CPyL10;
    }
CPyL5: ;
    cpy_r_r5 = CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen();
    if (unlikely(cpy_r_r5 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 88, CPyStatic_globals);
        goto CPyL10;
    }
CPyL6: ;
    CPy_INCREF(cpy_r_r0);
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_genObject *)cpy_r_r5)->___mypyc_env__ != NULL) {
        CPy_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_genObject *)cpy_r_r5)->___mypyc_env__);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_genObject *)cpy_r_r5)->___mypyc_env__ = cpy_r_r0;
    cpy_r_r6 = 1;
    if (unlikely(!cpy_r_r6)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 88, CPyStatic_globals);
        goto CPyL11;
    }
CPyL7: ;
    if (((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r0)->___mypyc_next_label__ != CPY_INT_TAG) {
        CPyTagged_DECREF(((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r0)->___mypyc_next_label__);
    }
    ((asgi_context_____call___3_AbstractHeadersExtractorMiddleware_envObject *)cpy_r_r0)->___mypyc_next_label__ = 0;
    cpy_r_r7 = 1;
    CPy_DECREF(cpy_r_r0);
    if (unlikely(!cpy_r_r7)) {
        CPy_AddTraceback("asgi_context/__init__.py", "__call__", 88, CPyStatic_globals);
        goto CPyL12;
    }
CPyL8: ;
    return cpy_r_r5;
CPyL9: ;
    cpy_r_r8 = NULL;
    return cpy_r_r8;
CPyL10: ;
    CPy_DecRef(cpy_r_r0);
    goto CPyL9;
CPyL11: ;
    CPy_DecRef(cpy_r_r0);
    CPy_DecRef(cpy_r_r5);
    goto CPyL9;
CPyL12: ;
    CPy_DecRef(cpy_r_r5);
    goto CPyL9;
}

PyObject *CPyPy_AbstractHeadersExtractorMiddleware_____call__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj_self = self;
    static const char * const kwlist[] = {"scope", "receive", "send", 0};
    static CPyArg_Parser parser = {"OOO:__call__", kwlist, 0};
    PyObject *obj_scope;
    PyObject *obj_receive;
    PyObject *obj_send;
    if (!CPyArg_ParseStackAndKeywordsSimple(args, PyVectorcall_NARGS(nargs), kwnames, &parser, &obj_scope, &obj_receive, &obj_send)) {
        return NULL;
    }
    PyObject *arg_self;
    if (likely(PyObject_TypeCheck(obj_self, CPyType_AbstractHeadersExtractorMiddleware)))
        arg_self = obj_self;
    else {
        CPy_TypeError("asgi_context.AbstractHeadersExtractorMiddleware", obj_self); 
        goto fail;
    }
    PyObject *arg_scope;
    if (likely(PyDict_Check(obj_scope)))
        arg_scope = obj_scope;
    else {
        CPy_TypeError("dict", obj_scope); 
        goto fail;
    }
    PyObject *arg_receive = obj_receive;
    PyObject *arg_send = obj_send;
    PyObject *retval = CPyDef_AbstractHeadersExtractorMiddleware_____call__(arg_self, arg_scope, arg_receive, arg_send);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "__call__", 88, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_____get__(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_instance, PyObject *cpy_r_owner) {
    PyObject *cpy_r_r0;
    char cpy_r_r1;
    PyObject *cpy_r_r2;
    PyObject *cpy_r_r3;
CPyL0: ;
    cpy_r_r0 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r1 = cpy_r_instance == cpy_r_r0;
    if (!cpy_r_r1) goto CPyL2;
CPyL1: ;
    CPy_INCREF(cpy_r___mypyc_self__);
    return cpy_r___mypyc_self__;
CPyL2: ;
    cpy_r_r2 = PyMethod_New(cpy_r___mypyc_self__, cpy_r_instance);
    if (cpy_r_r2 == NULL) goto CPyL4;
CPyL3: ;
    return cpy_r_r2;
CPyL4: ;
    cpy_r_r3 = NULL;
    return cpy_r_r3;
}

PyObject *CPyPy___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_____get__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {"instance", "owner", 0};
    static CPyArg_Parser parser = {"OO:__get__", kwlist, 0};
    PyObject *obj_instance;
    PyObject *obj_owner;
    if (!CPyArg_ParseStackAndKeywordsSimple(args, nargs, kwnames, &parser, &obj_instance, &obj_owner)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__ = obj___mypyc_self__;
    PyObject *arg_instance = obj_instance;
    PyObject *arg_owner = obj_owner;
    PyObject *retval = CPyDef___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_____get__(arg___mypyc_self__, arg_instance, arg_owner);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "__get__", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_____call__(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_self) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
    PyObject *cpy_r_r3;
CPyL0: ;
    cpy_r_r0 = ((asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject *)cpy_r___mypyc_self__)->___mypyc_env__;
    if (unlikely(cpy_r_r0 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "<lambda>", "__mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj", "__mypyc_env__", 117, CPyStatic_globals);
        goto CPyL4;
    }
    CPy_INCREF(cpy_r_r0);
CPyL1: ;
    cpy_r_r1 = ((asgi_context___build_HeadersExtractorMiddlewareFactory_envObject *)cpy_r_r0)->_header_names;
    if (unlikely(cpy_r_r1 == NULL)) {
        PyErr_SetString(PyExc_AttributeError, "attribute 'header_names' of 'build_HeadersExtractorMiddlewareFactory_env' undefined");
    } else {
        CPy_INCREF(cpy_r_r1);
    }
    CPy_DECREF(cpy_r_r0);
    if (unlikely(cpy_r_r1 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<lambda>", 117, CPyStatic_globals);
        goto CPyL4;
    }
CPyL2: ;
    cpy_r_r2 = PySequence_Tuple(cpy_r_r1);
    CPy_DECREF(cpy_r_r1);
    if (unlikely(cpy_r_r2 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<lambda>", 117, CPyStatic_globals);
        goto CPyL4;
    }
CPyL3: ;
    return cpy_r_r2;
CPyL4: ;
    cpy_r_r3 = NULL;
    return cpy_r_r3;
}

PyObject *CPyPy___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_____call__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {"self", 0};
    static CPyArg_Parser parser = {"O:__call__", kwlist, 0};
    PyObject *obj_self;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, PyVectorcall_NARGS(nargs), kwnames, &parser, &obj_self)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__ = obj___mypyc_self__;
    PyObject *arg_self = obj_self;
    PyObject *retval = CPyDef___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_____call__(arg___mypyc_self__, arg_self);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "<lambda>", 117, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_____get__(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_instance, PyObject *cpy_r_owner) {
    PyObject *cpy_r_r0;
    char cpy_r_r1;
    PyObject *cpy_r_r2;
    PyObject *cpy_r_r3;
CPyL0: ;
    cpy_r_r0 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r1 = cpy_r_instance == cpy_r_r0;
    if (!cpy_r_r1) goto CPyL2;
CPyL1: ;
    CPy_INCREF(cpy_r___mypyc_self__);
    return cpy_r___mypyc_self__;
CPyL2: ;
    cpy_r_r2 = PyMethod_New(cpy_r___mypyc_self__, cpy_r_instance);
    if (cpy_r_r2 == NULL) goto CPyL4;
CPyL3: ;
    return cpy_r_r2;
CPyL4: ;
    cpy_r_r3 = NULL;
    return cpy_r_r3;
}

PyObject *CPyPy___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_____get__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {"instance", "owner", 0};
    static CPyArg_Parser parser = {"OO:__get__", kwlist, 0};
    PyObject *obj_instance;
    PyObject *obj_owner;
    if (!CPyArg_ParseStackAndKeywordsSimple(args, nargs, kwnames, &parser, &obj_instance, &obj_owner)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__ = obj___mypyc_self__;
    PyObject *arg_instance = obj_instance;
    PyObject *arg_owner = obj_owner;
    PyObject *retval = CPyDef___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_____get__(arg___mypyc_self__, arg_instance, arg_owner);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "__get__", -1, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_____call__(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_self) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    PyObject *cpy_r_r2;
    char cpy_r_r3;
    PyObject *cpy_r_r4;
    int64_t cpy_r_r5;
    CPyTagged cpy_r_r6;
    char cpy_r_r7;
    PyObject *cpy_r_r8;
    PyObject *cpy_r_r9;
    PyObject *cpy_r_r10;
    PyObject *cpy_r_r11;
CPyL0: ;
    cpy_r_r0 = ((asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject *)cpy_r___mypyc_self__)->___mypyc_env__;
    if (unlikely(cpy_r_r0 == NULL)) {
        CPy_AttributeError("asgi_context/__init__.py", "<lambda>", "__mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj", "__mypyc_env__", 118, CPyStatic_globals);
        goto CPyL10;
    }
    CPy_INCREF(cpy_r_r0);
CPyL1: ;
    cpy_r_r1 = ((asgi_context___build_HeadersExtractorMiddlewareFactory_envObject *)cpy_r_r0)->_validators;
    if (unlikely(cpy_r_r1 == NULL)) {
        PyErr_SetString(PyExc_AttributeError, "attribute 'validators' of 'build_HeadersExtractorMiddlewareFactory_env' undefined");
    } else {
        CPy_INCREF(cpy_r_r1);
    }
    CPy_DECREF(cpy_r_r0);
    if (unlikely(cpy_r_r1 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<lambda>", 118, CPyStatic_globals);
        goto CPyL10;
    }
CPyL2: ;
    cpy_r_r2 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r3 = cpy_r_r1 != cpy_r_r2;
    if (!cpy_r_r3) goto CPyL11;
CPyL3: ;
    CPy_INCREF(cpy_r_r1);
    if (likely(cpy_r_r1 != Py_None))
        cpy_r_r4 = cpy_r_r1;
    else {
        CPy_TypeErrorTraceback("asgi_context/__init__.py", "<lambda>", 118, CPyStatic_globals, "dict", cpy_r_r1);
        goto CPyL12;
    }
CPyL4: ;
    cpy_r_r5 = PyDict_Size(cpy_r_r4);
    CPy_DECREF(cpy_r_r4);
    cpy_r_r6 = cpy_r_r5 << 1;
    cpy_r_r7 = cpy_r_r6 != 0;
    if (!cpy_r_r7) goto CPyL11;
CPyL5: ;
    if (likely(cpy_r_r1 != Py_None))
        cpy_r_r8 = cpy_r_r1;
    else {
        CPy_TypeErrorTraceback("asgi_context/__init__.py", "<lambda>", 118, CPyStatic_globals, "dict", cpy_r_r1);
        goto CPyL10;
    }
CPyL6: ;
    cpy_r_r9 = cpy_r_r8;
    goto CPyL9;
CPyL7: ;
    cpy_r_r10 = PyDict_New();
    if (unlikely(cpy_r_r10 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<lambda>", 118, CPyStatic_globals);
        goto CPyL10;
    }
CPyL8: ;
    cpy_r_r9 = cpy_r_r10;
CPyL9: ;
    return cpy_r_r9;
CPyL10: ;
    cpy_r_r11 = NULL;
    return cpy_r_r11;
CPyL11: ;
    CPy_DECREF(cpy_r_r1);
    goto CPyL7;
CPyL12: ;
    CPy_DecRef(cpy_r_r1);
    goto CPyL10;
}

PyObject *CPyPy___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_____call__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    PyObject *obj___mypyc_self__ = self;
    static const char * const kwlist[] = {"self", 0};
    static CPyArg_Parser parser = {"O:__call__", kwlist, 0};
    PyObject *obj_self;
    if (!CPyArg_ParseStackAndKeywordsOneArg(args, PyVectorcall_NARGS(nargs), kwnames, &parser, &obj_self)) {
        return NULL;
    }
    PyObject *arg___mypyc_self__ = obj___mypyc_self__;
    PyObject *arg_self = obj_self;
    PyObject *retval = CPyDef___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_____call__(arg___mypyc_self__, arg_self);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "<lambda>", 118, CPyStatic_globals);
    return NULL;
}

PyObject *CPyDef_HeadersExtractorMiddlewareFactory___build(PyObject *cpy_r_base_name, PyObject *cpy_r_header_names, PyObject *cpy_r_validators) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    char cpy_r_r2;
    char cpy_r_r3;
    PyObject *cpy_r_r4;
    PyObject **cpy_r_r6;
    PyObject *cpy_r_r7;
    PyObject *cpy_r_r8;
    PyObject *cpy_r_r9;
    PyObject *cpy_r_r10;
    PyObject *cpy_r_r11;
    PyObject *cpy_r_r12;
    PyObject *cpy_r_r13;
    PyObject *cpy_r_name_parts;
    PyObject *cpy_r_r14;
    CPyPtr cpy_r_r15;
    int64_t cpy_r_r16;
    PyObject *cpy_r_r17;
    CPyTagged cpy_r_r18;
    CPyPtr cpy_r_r19;
    int64_t cpy_r_r20;
    CPyTagged cpy_r_r21;
    char cpy_r_r22;
    PyObject *cpy_r_r23;
    PyObject *cpy_r_r24;
    PyObject *cpy_r_name_part;
    PyObject *cpy_r_r25;
    PyObject **cpy_r_r27;
    PyObject *cpy_r_r28;
    PyObject *cpy_r_r29;
    char cpy_r_r30;
    CPyTagged cpy_r_r31;
    PyObject *cpy_r_r32;
    PyObject *cpy_r_name;
    PyObject *cpy_r_r33;
    char cpy_r_r34;
    PyObject *cpy_r_header_names_property;
    PyObject *cpy_r_r35;
    char cpy_r_r36;
    PyObject *cpy_r_validators_property;
    PyObject *cpy_r_r37;
    PyObject *cpy_r_r38;
    PyObject *cpy_r_r39;
    tuple_T1O cpy_r_r40;
    PyObject *cpy_r_r41;
    PyObject *cpy_r_r42;
    PyObject *cpy_r_r43;
    PyObject *cpy_r_r44;
    PyObject **cpy_r_r46;
    PyObject *cpy_r_r47;
    PyObject *cpy_r_r48;
    PyObject *cpy_r_r49;
    PyObject *cpy_r_r50;
    PyObject *cpy_r_r51;
    PyObject **cpy_r_r53;
    PyObject *cpy_r_r54;
    PyObject *cpy_r_r55;
    PyObject *cpy_r_r56;
    PyObject *cpy_r_r57;
    PyObject **cpy_r_r59;
    PyObject *cpy_r_r60;
    PyObject *cpy_r_r61;
CPyL0: ;
    if (cpy_r_validators != NULL) goto CPyL31;
CPyL1: ;
    cpy_r_r0 = Py_None;
    CPy_INCREF(cpy_r_r0);
    cpy_r_validators = cpy_r_r0;
CPyL2: ;
    cpy_r_r1 = CPyDef_build_HeadersExtractorMiddlewareFactory_env();
    if (unlikely(cpy_r_r1 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 110, CPyStatic_globals);
        goto CPyL32;
    }
CPyL3: ;
    CPy_INCREF(cpy_r_header_names);
    if (((asgi_context___build_HeadersExtractorMiddlewareFactory_envObject *)cpy_r_r1)->_header_names != NULL) {
        CPy_DECREF(((asgi_context___build_HeadersExtractorMiddlewareFactory_envObject *)cpy_r_r1)->_header_names);
    }
    ((asgi_context___build_HeadersExtractorMiddlewareFactory_envObject *)cpy_r_r1)->_header_names = cpy_r_header_names;
    cpy_r_r2 = 1;
    if (unlikely(!cpy_r_r2)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 110, CPyStatic_globals);
        goto CPyL33;
    }
CPyL4: ;
    if (((asgi_context___build_HeadersExtractorMiddlewareFactory_envObject *)cpy_r_r1)->_validators != NULL) {
        CPy_DECREF(((asgi_context___build_HeadersExtractorMiddlewareFactory_envObject *)cpy_r_r1)->_validators);
    }
    ((asgi_context___build_HeadersExtractorMiddlewareFactory_envObject *)cpy_r_r1)->_validators = cpy_r_validators;
    cpy_r_r3 = 1;
    if (unlikely(!cpy_r_r3)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 110, CPyStatic_globals);
        goto CPyL34;
    }
CPyL5: ;
    cpy_r_r4 = CPyStatics[18]; /* 'lower' */
    PyObject *cpy_r_r5[1] = {cpy_r_base_name};
    cpy_r_r6 = (PyObject **)&cpy_r_r5;
    cpy_r_r7 = PyObject_VectorcallMethod(cpy_r_r4, cpy_r_r6, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r7 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 115, CPyStatic_globals);
        goto CPyL34;
    }
CPyL6: ;
    if (likely(PyUnicode_Check(cpy_r_r7)))
        cpy_r_r8 = cpy_r_r7;
    else {
        CPy_TypeErrorTraceback("asgi_context/__init__.py", "build", 115, CPyStatic_globals, "str", cpy_r_r7);
        goto CPyL34;
    }
CPyL7: ;
    cpy_r_r9 = CPyStatics[22]; /* ' ' */
    cpy_r_r10 = CPyStatics[23]; /* '_' */
    cpy_r_r11 = PyUnicode_Replace(cpy_r_r8, cpy_r_r9, cpy_r_r10, -1);
    CPy_DECREF(cpy_r_r8);
    if (unlikely(cpy_r_r11 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 115, CPyStatic_globals);
        goto CPyL34;
    }
CPyL8: ;
    cpy_r_r12 = CPyStatics[23]; /* '_' */
    cpy_r_r13 = PyUnicode_Split(cpy_r_r11, cpy_r_r12, -1);
    CPy_DECREF(cpy_r_r11);
    if (unlikely(cpy_r_r13 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 115, CPyStatic_globals);
        goto CPyL34;
    }
CPyL9: ;
    cpy_r_name_parts = cpy_r_r13;
    cpy_r_r14 = CPyStatics[24]; /* '' */
    cpy_r_r15 = (CPyPtr)&((PyVarObject *)cpy_r_name_parts)->ob_size;
    cpy_r_r16 = *(int64_t *)cpy_r_r15;
    cpy_r_r17 = PyList_New(cpy_r_r16);
    if (unlikely(cpy_r_r17 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 116, CPyStatic_globals);
        goto CPyL35;
    }
CPyL10: ;
    cpy_r_r18 = 0;
CPyL11: ;
    cpy_r_r19 = (CPyPtr)&((PyVarObject *)cpy_r_name_parts)->ob_size;
    cpy_r_r20 = *(int64_t *)cpy_r_r19;
    cpy_r_r21 = cpy_r_r20 << 1;
    cpy_r_r22 = (Py_ssize_t)cpy_r_r18 < (Py_ssize_t)cpy_r_r21;
    if (!cpy_r_r22) goto CPyL36;
CPyL12: ;
    cpy_r_r23 = CPyList_GetItemUnsafe(cpy_r_name_parts, cpy_r_r18);
    if (likely(PyUnicode_Check(cpy_r_r23)))
        cpy_r_r24 = cpy_r_r23;
    else {
        CPy_TypeErrorTraceback("asgi_context/__init__.py", "build", 116, CPyStatic_globals, "str", cpy_r_r23);
        goto CPyL37;
    }
CPyL13: ;
    cpy_r_name_part = cpy_r_r24;
    cpy_r_r25 = CPyStatics[25]; /* 'capitalize' */
    PyObject *cpy_r_r26[1] = {cpy_r_name_part};
    cpy_r_r27 = (PyObject **)&cpy_r_r26;
    cpy_r_r28 = PyObject_VectorcallMethod(cpy_r_r25, cpy_r_r27, 9223372036854775809ULL, 0);
    if (unlikely(cpy_r_r28 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 116, CPyStatic_globals);
        goto CPyL38;
    }
CPyL14: ;
    CPy_DECREF(cpy_r_name_part);
    if (likely(PyUnicode_Check(cpy_r_r28)))
        cpy_r_r29 = cpy_r_r28;
    else {
        CPy_TypeErrorTraceback("asgi_context/__init__.py", "build", 116, CPyStatic_globals, "str", cpy_r_r28);
        goto CPyL37;
    }
CPyL15: ;
    cpy_r_r30 = CPyList_SetItemUnsafe(cpy_r_r17, cpy_r_r18, cpy_r_r29);
    if (unlikely(!cpy_r_r30)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 116, CPyStatic_globals);
        goto CPyL37;
    }
CPyL16: ;
    cpy_r_r31 = cpy_r_r18 + 2;
    cpy_r_r18 = cpy_r_r31;
    goto CPyL11;
CPyL17: ;
    cpy_r_r32 = PyUnicode_Join(cpy_r_r14, cpy_r_r17);
    CPy_DECREF(cpy_r_r17);
    if (unlikely(cpy_r_r32 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 116, CPyStatic_globals);
        goto CPyL34;
    }
CPyL18: ;
    cpy_r_name = cpy_r_r32;
    cpy_r_r33 = CPyDef___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj();
    if (unlikely(cpy_r_r33 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 117, CPyStatic_globals);
        goto CPyL39;
    }
CPyL19: ;
    CPy_INCREF(cpy_r_r1);
    if (((asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject *)cpy_r_r33)->___mypyc_env__ != NULL) {
        CPy_DECREF(((asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject *)cpy_r_r33)->___mypyc_env__);
    }
    ((asgi_context_____mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_objObject *)cpy_r_r33)->___mypyc_env__ = cpy_r_r1;
    cpy_r_r34 = 1;
    if (unlikely(!cpy_r_r34)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 117, CPyStatic_globals);
        goto CPyL40;
    }
CPyL20: ;
    cpy_r_header_names_property = cpy_r_r33;
    cpy_r_r35 = CPyDef___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj();
    if (unlikely(cpy_r_r35 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 118, CPyStatic_globals);
        goto CPyL41;
    }
CPyL21: ;
    if (((asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject *)cpy_r_r35)->___mypyc_env__ != NULL) {
        CPy_DECREF(((asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject *)cpy_r_r35)->___mypyc_env__);
    }
    ((asgi_context_____mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_objObject *)cpy_r_r35)->___mypyc_env__ = cpy_r_r1;
    cpy_r_r36 = 1;
    if (unlikely(!cpy_r_r36)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 118, CPyStatic_globals);
        goto CPyL42;
    }
CPyL22: ;
    cpy_r_validators_property = cpy_r_r35;
    cpy_r_r37 = CPyStatics[26]; /* 'HeadersExtractorMiddleware' */
    cpy_r_r38 = CPyStr_Build(2, cpy_r_name, cpy_r_r37);
    CPy_DECREF(cpy_r_name);
    if (unlikely(cpy_r_r38 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 121, CPyStatic_globals);
        goto CPyL43;
    }
CPyL23: ;
    cpy_r_r39 = (PyObject *)CPyType_AbstractHeadersExtractorMiddleware;
    cpy_r_r40.f0 = cpy_r_r39;
    CPy_INCREF(cpy_r_r40.f0);
    cpy_r_r41 = CPyStatics[27]; /* 'header_names' */
    cpy_r_r42 = CPyStatic_globals;
    cpy_r_r43 = CPyStatics[28]; /* 'cached_property' */
    cpy_r_r44 = CPyDict_GetItem(cpy_r_r42, cpy_r_r43);
    if (unlikely(cpy_r_r44 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 124, CPyStatic_globals);
        goto CPyL44;
    }
CPyL24: ;
    PyObject *cpy_r_r45[1] = {cpy_r_header_names_property};
    cpy_r_r46 = (PyObject **)&cpy_r_r45;
    cpy_r_r47 = _PyObject_Vectorcall(cpy_r_r44, cpy_r_r46, 1, 0);
    CPy_DECREF(cpy_r_r44);
    if (unlikely(cpy_r_r47 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 124, CPyStatic_globals);
        goto CPyL44;
    }
CPyL25: ;
    CPy_DECREF(cpy_r_header_names_property);
    cpy_r_r48 = CPyStatics[29]; /* 'validators' */
    cpy_r_r49 = CPyStatic_globals;
    cpy_r_r50 = CPyStatics[28]; /* 'cached_property' */
    cpy_r_r51 = CPyDict_GetItem(cpy_r_r49, cpy_r_r50);
    if (unlikely(cpy_r_r51 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 125, CPyStatic_globals);
        goto CPyL45;
    }
CPyL26: ;
    PyObject *cpy_r_r52[1] = {cpy_r_validators_property};
    cpy_r_r53 = (PyObject **)&cpy_r_r52;
    cpy_r_r54 = _PyObject_Vectorcall(cpy_r_r51, cpy_r_r53, 1, 0);
    CPy_DECREF(cpy_r_r51);
    if (unlikely(cpy_r_r54 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 125, CPyStatic_globals);
        goto CPyL45;
    }
CPyL27: ;
    CPy_DECREF(cpy_r_validators_property);
    cpy_r_r55 = CPyDict_Build(2, cpy_r_r41, cpy_r_r47, cpy_r_r48, cpy_r_r54);
    CPy_DECREF(cpy_r_r47);
    CPy_DECREF(cpy_r_r54);
    if (unlikely(cpy_r_r55 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 123, CPyStatic_globals);
        goto CPyL46;
    }
CPyL28: ;
    cpy_r_r56 = (PyObject *)&PyType_Type;
    cpy_r_r57 = PyTuple_New(1);
    if (unlikely(cpy_r_r57 == NULL))
        CPyError_OutOfMemory();
    PyObject *__tmp9 = cpy_r_r40.f0;
    PyTuple_SET_ITEM(cpy_r_r57, 0, __tmp9);
    PyObject *cpy_r_r58[3] = {cpy_r_r38, cpy_r_r57, cpy_r_r55};
    cpy_r_r59 = (PyObject **)&cpy_r_r58;
    cpy_r_r60 = _PyObject_Vectorcall(cpy_r_r56, cpy_r_r59, 3, 0);
    if (unlikely(cpy_r_r60 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "build", 120, CPyStatic_globals);
        goto CPyL47;
    }
CPyL29: ;
    CPy_DECREF(cpy_r_r38);
    CPy_DECREF(cpy_r_r57);
    CPy_DECREF(cpy_r_r55);
    return cpy_r_r60;
CPyL30: ;
    cpy_r_r61 = NULL;
    return cpy_r_r61;
CPyL31: ;
    CPy_INCREF(cpy_r_validators);
    goto CPyL2;
CPyL32: ;
    CPy_DecRef(cpy_r_validators);
    goto CPyL30;
CPyL33: ;
    CPy_DecRef(cpy_r_validators);
    CPy_DecRef(cpy_r_r1);
    goto CPyL30;
CPyL34: ;
    CPy_DecRef(cpy_r_r1);
    goto CPyL30;
CPyL35: ;
    CPy_DecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_name_parts);
    goto CPyL30;
CPyL36: ;
    CPy_DECREF(cpy_r_name_parts);
    goto CPyL17;
CPyL37: ;
    CPy_DecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_name_parts);
    CPy_DecRef(cpy_r_r17);
    goto CPyL30;
CPyL38: ;
    CPy_DecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_name_parts);
    CPy_DecRef(cpy_r_r17);
    CPy_DecRef(cpy_r_name_part);
    goto CPyL30;
CPyL39: ;
    CPy_DecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_name);
    goto CPyL30;
CPyL40: ;
    CPy_DecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_name);
    CPy_DecRef(cpy_r_r33);
    goto CPyL30;
CPyL41: ;
    CPy_DecRef(cpy_r_r1);
    CPy_DecRef(cpy_r_name);
    CPy_DecRef(cpy_r_header_names_property);
    goto CPyL30;
CPyL42: ;
    CPy_DecRef(cpy_r_name);
    CPy_DecRef(cpy_r_header_names_property);
    CPy_DecRef(cpy_r_r35);
    goto CPyL30;
CPyL43: ;
    CPy_DecRef(cpy_r_header_names_property);
    CPy_DecRef(cpy_r_validators_property);
    goto CPyL30;
CPyL44: ;
    CPy_DecRef(cpy_r_header_names_property);
    CPy_DecRef(cpy_r_validators_property);
    CPy_DecRef(cpy_r_r38);
    CPy_DecRef(cpy_r_r40.f0);
    goto CPyL30;
CPyL45: ;
    CPy_DecRef(cpy_r_validators_property);
    CPy_DecRef(cpy_r_r38);
    CPy_DecRef(cpy_r_r40.f0);
    CPy_DecRef(cpy_r_r47);
    goto CPyL30;
CPyL46: ;
    CPy_DecRef(cpy_r_r38);
    CPy_DecRef(cpy_r_r40.f0);
    goto CPyL30;
CPyL47: ;
    CPy_DecRef(cpy_r_r38);
    CPy_DecRef(cpy_r_r55);
    CPy_DecRef(cpy_r_r57);
    goto CPyL30;
}

PyObject *CPyPy_HeadersExtractorMiddlewareFactory___build(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames) {
    static const char * const kwlist[] = {"base_name", "header_names", "validators", 0};
    static CPyArg_Parser parser = {"OO|O:build", kwlist, 0};
    PyObject *obj_base_name;
    PyObject *obj_header_names;
    PyObject *obj_validators = NULL;
    if (!CPyArg_ParseStackAndKeywordsSimple(args, nargs, kwnames, &parser, &obj_base_name, &obj_header_names, &obj_validators)) {
        return NULL;
    }
    PyObject *arg_base_name;
    if (likely(PyUnicode_Check(obj_base_name)))
        arg_base_name = obj_base_name;
    else {
        CPy_TypeError("str", obj_base_name); 
        goto fail;
    }
    PyObject *arg_header_names = obj_header_names;
    PyObject *arg_validators;
    if (obj_validators == NULL) {
        arg_validators = NULL;
        goto __LL10;
    }
    if (PyDict_Check(obj_validators))
        arg_validators = obj_validators;
    else {
        arg_validators = NULL;
    }
    if (arg_validators != NULL) goto __LL10;
    if (obj_validators == Py_None)
        arg_validators = obj_validators;
    else {
        arg_validators = NULL;
    }
    if (arg_validators != NULL) goto __LL10;
    CPy_TypeError("dict or None", obj_validators); 
    goto fail;
__LL10: ;
    PyObject *retval = CPyDef_HeadersExtractorMiddlewareFactory___build(arg_base_name, arg_header_names, arg_validators);
    return retval;
fail: ;
    CPy_AddTraceback("asgi_context/__init__.py", "build", 110, CPyStatic_globals);
    return NULL;
}

char CPyDef___top_level__(void) {
    PyObject *cpy_r_r0;
    PyObject *cpy_r_r1;
    char cpy_r_r2;
    PyObject *cpy_r_r3;
    PyObject *cpy_r_r4;
    PyObject *cpy_r_r5;
    PyObject *cpy_r_r6;
    PyObject *cpy_r_r7;
    PyObject *cpy_r_r8;
    CPyPtr cpy_r_r9;
    CPyPtr cpy_r_r10;
    CPyPtr cpy_r_r11;
    PyObject *cpy_r_r12;
    PyObject *cpy_r_r13;
    PyObject *cpy_r_r14;
    PyObject *cpy_r_r15;
    PyObject *cpy_r_r16;
    PyObject *cpy_r_r17;
    PyObject *cpy_r_r18;
    int32_t cpy_r_r19;
    char cpy_r_r20;
    PyObject *cpy_r_r21;
    PyObject *cpy_r_r22;
    PyObject *cpy_r_r23;
    PyObject *cpy_r_r24;
    PyObject *cpy_r_r25;
    int32_t cpy_r_r26;
    char cpy_r_r27;
    PyObject *cpy_r_r28;
    PyObject *cpy_r_r29;
    PyObject *cpy_r_r30;
    CPyPtr cpy_r_r31;
    CPyPtr cpy_r_r32;
    PyObject *cpy_r_r33;
    PyObject *cpy_r_r34;
    PyObject *cpy_r_r35;
    PyObject *cpy_r_r36;
    PyObject *cpy_r_r37;
    PyObject *cpy_r_r38;
    PyObject *cpy_r_r39;
    int32_t cpy_r_r40;
    char cpy_r_r41;
    PyObject *cpy_r_r42;
    PyObject *cpy_r_r43;
    PyObject *cpy_r_r44;
    PyObject *cpy_r_r45;
    PyObject *cpy_r_r46;
    PyObject *cpy_r_r47;
    CPyPtr cpy_r_r48;
    CPyPtr cpy_r_r49;
    CPyPtr cpy_r_r50;
    CPyPtr cpy_r_r51;
    CPyPtr cpy_r_r52;
    PyObject *cpy_r_r53;
    PyObject *cpy_r_r54;
    PyObject *cpy_r_r55;
    PyObject *cpy_r_r56;
    PyObject *cpy_r_r57;
    PyObject *cpy_r_r58;
    PyObject *cpy_r_r59;
    int32_t cpy_r_r60;
    char cpy_r_r61;
    PyObject *cpy_r_r62;
    PyObject *cpy_r_r63;
    PyObject *cpy_r_r64;
    PyObject *cpy_r_r65;
    PyObject *cpy_r_r66;
    int32_t cpy_r_r67;
    char cpy_r_r68;
    PyObject *cpy_r_r69;
    PyObject *cpy_r_r70;
    PyObject *cpy_r_r71;
    PyObject *cpy_r_r72;
    PyObject *cpy_r_r73;
    int32_t cpy_r_r74;
    char cpy_r_r75;
    PyObject *cpy_r_r76;
    PyObject *cpy_r_r77;
    PyObject *cpy_r_r78;
    PyObject *cpy_r_r79;
    PyObject *cpy_r_r80;
    int32_t cpy_r_r81;
    char cpy_r_r82;
    PyObject *cpy_r_r83;
    PyObject *cpy_r_r84;
    PyObject *cpy_r_r85;
    CPyPtr cpy_r_r86;
    CPyPtr cpy_r_r87;
    PyObject *cpy_r_r88;
    PyObject *cpy_r_r89;
    PyObject *cpy_r_r90;
    PyObject *cpy_r_r91;
    PyObject *cpy_r_r92;
    PyObject *cpy_r_r93;
    PyObject *cpy_r_r94;
    int32_t cpy_r_r95;
    char cpy_r_r96;
    PyObject *cpy_r_r97;
    PyObject *cpy_r_r98;
    PyObject *cpy_r_r99;
    CPyPtr cpy_r_r100;
    CPyPtr cpy_r_r101;
    PyObject *cpy_r_r102;
    PyObject *cpy_r_r103;
    PyObject *cpy_r_r104;
    PyObject *cpy_r_r105;
    PyObject *cpy_r_r106;
    PyObject *cpy_r_r107;
    PyObject *cpy_r_r108;
    int32_t cpy_r_r109;
    char cpy_r_r110;
    PyObject *cpy_r_r111;
    PyObject *cpy_r_r112;
    PyObject *cpy_r_r113;
    CPyPtr cpy_r_r114;
    CPyPtr cpy_r_r115;
    PyObject *cpy_r_r116;
    PyObject *cpy_r_r117;
    PyObject *cpy_r_r118;
    PyObject *cpy_r_r119;
    PyObject *cpy_r_r120;
    PyObject *cpy_r_r121;
    PyObject *cpy_r_r122;
    int32_t cpy_r_r123;
    char cpy_r_r124;
    PyObject *cpy_r_r125;
    PyObject *cpy_r_r126;
    PyObject *cpy_r_r127;
    CPyPtr cpy_r_r128;
    CPyPtr cpy_r_r129;
    PyObject *cpy_r_r130;
    PyObject *cpy_r_r131;
    PyObject *cpy_r_r132;
    PyObject *cpy_r_r133;
    PyObject *cpy_r_r134;
    PyObject *cpy_r_r135;
    PyObject *cpy_r_r136;
    int32_t cpy_r_r137;
    char cpy_r_r138;
    PyObject *cpy_r_r139;
    PyObject *cpy_r_r140;
    PyObject *cpy_r_r141;
    int32_t cpy_r_r142;
    char cpy_r_r143;
    PyObject *cpy_r_r144;
    PyObject *cpy_r_r145;
    PyObject *cpy_r_r146;
    PyObject *cpy_r_r147;
    PyObject *cpy_r_r148;
    CPyPtr cpy_r_r149;
    CPyPtr cpy_r_r150;
    PyObject *cpy_r_r151;
    PyObject *cpy_r_r152;
    PyObject *cpy_r_r153;
    PyObject *cpy_r_r154;
    PyObject *cpy_r_r155;
    tuple_T2OO cpy_r_r156;
    PyObject *cpy_r_r157;
    PyObject *cpy_r_r158;
    PyObject *cpy_r_r159;
    PyObject *cpy_r_r160;
    int32_t cpy_r_r161;
    char cpy_r_r162;
    PyObject *cpy_r_r163;
    PyObject *cpy_r_r164;
    PyObject *cpy_r_r165;
    PyObject *cpy_r_r166;
    PyObject *cpy_r_r167;
    CPyPtr cpy_r_r168;
    CPyPtr cpy_r_r169;
    PyObject *cpy_r_r170;
    PyObject *cpy_r_r171;
    PyObject *cpy_r_r172;
    PyObject *cpy_r_r173;
    PyObject *cpy_r_r174;
    tuple_T2OO cpy_r_r175;
    PyObject *cpy_r_r176;
    PyObject *cpy_r_r177;
    PyObject *cpy_r_r178;
    PyObject *cpy_r_r179;
    int32_t cpy_r_r180;
    char cpy_r_r181;
    PyObject *cpy_r_r182;
    PyObject *cpy_r_r183;
    PyObject *cpy_r_r184;
    PyObject *cpy_r_r185;
    PyObject *cpy_r_r186;
    PyObject *cpy_r_r187;
    PyObject *cpy_r_r188;
    PyObject *cpy_r_r189;
    PyObject *cpy_r_r190;
    PyObject *cpy_r_r191;
    PyObject *cpy_r_r192;
    PyObject *cpy_r_r193;
    PyObject *cpy_r_r194;
    CPyPtr cpy_r_r195;
    CPyPtr cpy_r_r196;
    CPyPtr cpy_r_r197;
    CPyPtr cpy_r_r198;
    PyObject *cpy_r_r199;
    PyObject *cpy_r_r200;
    PyObject *cpy_r_r201;
    PyObject *cpy_r_r202;
    PyObject *cpy_r_r203;
    tuple_T2OO cpy_r_r204;
    PyObject *cpy_r_r205;
    PyObject *cpy_r_r206;
    PyObject *cpy_r_r207;
    PyObject *cpy_r_r208;
    int32_t cpy_r_r209;
    char cpy_r_r210;
    PyObject *cpy_r_r211;
    PyObject *cpy_r_r212;
    PyObject *cpy_r_r213;
    int32_t cpy_r_r214;
    char cpy_r_r215;
    PyObject *cpy_r_r216;
    PyObject *cpy_r_r217;
    PyObject *cpy_r_r218;
    int32_t cpy_r_r219;
    char cpy_r_r220;
    PyObject *cpy_r_r221;
    PyObject *cpy_r_r222;
    PyObject *cpy_r_r223;
    PyObject *cpy_r_r224;
    PyObject *cpy_r_r225;
    PyObject *cpy_r_r226;
    PyObject *cpy_r_r227;
    CPyPtr cpy_r_r228;
    CPyPtr cpy_r_r229;
    PyObject *cpy_r_r230;
    tuple_T2OO cpy_r_r231;
    PyObject *cpy_r_r232;
    PyObject *cpy_r_r233;
    PyObject *cpy_r_r234;
    PyObject *cpy_r_r235;
    int32_t cpy_r_r236;
    char cpy_r_r237;
    PyObject *cpy_r_r238;
    PyObject *cpy_r_r239;
    PyObject *cpy_r_r240;
    PyObject *cpy_r_r241;
    PyObject **cpy_r_r243;
    PyObject *cpy_r_r244;
    PyObject *cpy_r_r245;
    PyObject *cpy_r_r246;
    int32_t cpy_r_r247;
    char cpy_r_r248;
    PyObject *cpy_r_r249;
    PyObject *cpy_r_r250;
    PyObject *cpy_r_r251;
    PyObject *cpy_r_r252;
    PyObject *cpy_r_r253;
    PyObject *cpy_r_r254;
    PyObject *cpy_r_r255;
    PyObject *cpy_r_r256;
    PyObject *cpy_r_r257;
    PyObject *cpy_r_r258;
    int32_t cpy_r_r259;
    char cpy_r_r260;
    PyObject *cpy_r_r261;
    PyObject *cpy_r_r262;
    int32_t cpy_r_r263;
    char cpy_r_r264;
    PyObject *cpy_r_r265;
    PyObject *cpy_r_r266;
    PyObject *cpy_r_r267;
    PyObject *cpy_r_r268;
    PyObject *cpy_r_r269;
    PyObject *cpy_r_r270;
    PyObject *cpy_r_r271;
    PyObject *cpy_r_r272;
    PyObject *cpy_r_r273;
    PyObject *cpy_r_r274;
    int32_t cpy_r_r275;
    char cpy_r_r276;
    PyObject *cpy_r_r277;
    PyObject *cpy_r_r278;
    int32_t cpy_r_r279;
    char cpy_r_r280;
    PyObject *cpy_r_r281;
    PyObject *cpy_r_r282;
    PyObject *cpy_r_r283;
    PyObject *cpy_r_r284;
    PyObject *cpy_r_r285;
    PyObject *cpy_r_r286;
    PyObject *cpy_r_r287;
    char cpy_r_r288;
    PyObject *cpy_r_r289;
    PyObject *cpy_r_r290;
    PyObject *cpy_r_r291;
    int32_t cpy_r_r292;
    char cpy_r_r293;
    PyObject *cpy_r_r294;
    PyObject *cpy_r_r295;
    int32_t cpy_r_r296;
    char cpy_r_r297;
    PyObject *cpy_r_r298;
    PyObject *cpy_r_r299;
    PyObject *cpy_r_r300;
    PyObject *cpy_r_r301;
    PyObject *cpy_r_r302;
    PyObject *cpy_r_r303;
    PyObject **cpy_r_r305;
    PyObject *cpy_r_r306;
    PyObject *cpy_r_r307;
    PyObject *cpy_r_r308;
    int32_t cpy_r_r309;
    char cpy_r_r310;
    PyObject *cpy_r_r311;
    PyObject *cpy_r_r312;
    PyObject *cpy_r_r313;
    PyObject *cpy_r_r314;
    char cpy_r_r315;
    PyObject *cpy_r_r316;
    PyObject *cpy_r_r317;
    PyObject *cpy_r_r318;
    int32_t cpy_r_r319;
    char cpy_r_r320;
    PyObject *cpy_r_r321;
    PyObject *cpy_r_r322;
    int32_t cpy_r_r323;
    char cpy_r_r324;
    PyObject *cpy_r_r325;
    PyObject *cpy_r_r326;
    PyObject *cpy_r_r327;
    PyObject *cpy_r_r328;
    PyObject *cpy_r_r329;
    PyObject *cpy_r_r330;
    PyObject *cpy_r_r331;
    char cpy_r_r332;
    PyObject *cpy_r_r333;
    PyObject *cpy_r_r334;
    PyObject *cpy_r_r335;
    PyObject *cpy_r_r336;
    int32_t cpy_r_r337;
    char cpy_r_r338;
    PyObject *cpy_r_r339;
    PyObject *cpy_r_r340;
    int32_t cpy_r_r341;
    char cpy_r_r342;
    PyObject *cpy_r_r343;
    PyObject *cpy_r_r344;
    PyObject *cpy_r_r345;
    PyObject *cpy_r_r346;
    char cpy_r_r347;
    PyObject *cpy_r_r348;
    PyObject *cpy_r_r349;
    int32_t cpy_r_r350;
    char cpy_r_r351;
    PyObject *cpy_r_r352;
    PyObject *cpy_r_r353;
    int32_t cpy_r_r354;
    char cpy_r_r355;
    PyObject *cpy_r_r356;
    PyObject *cpy_r_r357;
    PyObject *cpy_r_r358;
    int32_t cpy_r_r359;
    char cpy_r_r360;
    PyObject *cpy_r_r361;
    PyObject *cpy_r_r362;
    PyObject *cpy_r_r363;
    PyObject *cpy_r_r364;
    PyObject *cpy_r_r365;
    tuple_T5OOOOO cpy_r_r366;
    PyObject *cpy_r_r367;
    PyObject *cpy_r_r368;
    PyObject *cpy_r_r369;
    int32_t cpy_r_r370;
    char cpy_r_r371;
    char cpy_r_r372;
CPyL0: ;
    cpy_r_r0 = CPyModule_builtins;
    cpy_r_r1 = (PyObject *)&_Py_NoneStruct;
    cpy_r_r2 = cpy_r_r0 != cpy_r_r1;
    if (cpy_r_r2) goto CPyL3;
CPyL1: ;
    cpy_r_r3 = CPyStatics[30]; /* 'builtins' */
    cpy_r_r4 = PyImport_Import(cpy_r_r3);
    if (unlikely(cpy_r_r4 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", -1, CPyStatic_globals);
        goto CPyL115;
    }
CPyL2: ;
    CPyModule_builtins = cpy_r_r4;
    CPy_INCREF(CPyModule_builtins);
    CPy_DECREF(cpy_r_r4);
CPyL3: ;
    cpy_r_r5 = CPyStatic_globals;
    cpy_r_r6 = CPyStatics[31]; /* 'ABC' */
    cpy_r_r7 = CPyStatics[32]; /* 'abstractmethod' */
    cpy_r_r8 = PyList_New(2);
    if (unlikely(cpy_r_r8 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 1, CPyStatic_globals);
        goto CPyL115;
    }
CPyL4: ;
    cpy_r_r9 = (CPyPtr)&((PyListObject *)cpy_r_r8)->ob_item;
    cpy_r_r10 = *(CPyPtr *)cpy_r_r9;
    CPy_INCREF(cpy_r_r6);
    *(PyObject * *)cpy_r_r10 = cpy_r_r6;
    cpy_r_r11 = cpy_r_r10 + 8;
    CPy_INCREF(cpy_r_r7);
    *(PyObject * *)cpy_r_r11 = cpy_r_r7;
    cpy_r_r12 = CPyStatics[33]; /* 'abc' */
    cpy_r_r13 = PyImport_ImportModuleLevelObject(cpy_r_r12, cpy_r_r5, 0, cpy_r_r8, 0);
    CPy_DECREF(cpy_r_r8);
    if (unlikely(cpy_r_r13 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 1, CPyStatic_globals);
        goto CPyL115;
    }
CPyL5: ;
    CPyModule_abc = cpy_r_r13;
    CPy_INCREF(CPyModule_abc);
    cpy_r_r14 = CPyStatics[33]; /* 'abc' */
    cpy_r_r15 = CPyStatics[31]; /* 'ABC' */
    cpy_r_r16 = CPyStatics[31]; /* 'ABC' */
    cpy_r_r17 = CPyImport_ImportFrom(cpy_r_r13, cpy_r_r14, cpy_r_r15, cpy_r_r16);
    if (unlikely(cpy_r_r17 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 1, CPyStatic_globals);
        goto CPyL116;
    }
CPyL6: ;
    cpy_r_r18 = CPyStatics[31]; /* 'ABC' */
    cpy_r_r19 = CPyDict_SetItem(cpy_r_r5, cpy_r_r18, cpy_r_r17);
    CPy_DECREF(cpy_r_r17);
    cpy_r_r20 = cpy_r_r19 >= 0;
    if (unlikely(!cpy_r_r20)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 1, CPyStatic_globals);
        goto CPyL116;
    }
CPyL7: ;
    cpy_r_r21 = CPyStatics[33]; /* 'abc' */
    cpy_r_r22 = CPyStatics[32]; /* 'abstractmethod' */
    cpy_r_r23 = CPyStatics[32]; /* 'abstractmethod' */
    cpy_r_r24 = CPyImport_ImportFrom(cpy_r_r13, cpy_r_r21, cpy_r_r22, cpy_r_r23);
    CPy_DECREF(cpy_r_r13);
    if (unlikely(cpy_r_r24 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 1, CPyStatic_globals);
        goto CPyL115;
    }
CPyL8: ;
    cpy_r_r25 = CPyStatics[32]; /* 'abstractmethod' */
    cpy_r_r26 = CPyDict_SetItem(cpy_r_r5, cpy_r_r25, cpy_r_r24);
    CPy_DECREF(cpy_r_r24);
    cpy_r_r27 = cpy_r_r26 >= 0;
    if (unlikely(!cpy_r_r27)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 1, CPyStatic_globals);
        goto CPyL115;
    }
CPyL9: ;
    cpy_r_r28 = CPyStatic_globals;
    cpy_r_r29 = CPyStatics[34]; /* 'UserDict' */
    cpy_r_r30 = PyList_New(1);
    if (unlikely(cpy_r_r30 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 2, CPyStatic_globals);
        goto CPyL115;
    }
CPyL10: ;
    cpy_r_r31 = (CPyPtr)&((PyListObject *)cpy_r_r30)->ob_item;
    cpy_r_r32 = *(CPyPtr *)cpy_r_r31;
    CPy_INCREF(cpy_r_r29);
    *(PyObject * *)cpy_r_r32 = cpy_r_r29;
    cpy_r_r33 = CPyStatics[35]; /* 'collections' */
    cpy_r_r34 = PyImport_ImportModuleLevelObject(cpy_r_r33, cpy_r_r28, 0, cpy_r_r30, 0);
    CPy_DECREF(cpy_r_r30);
    if (unlikely(cpy_r_r34 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 2, CPyStatic_globals);
        goto CPyL115;
    }
CPyL11: ;
    CPyModule_collections = cpy_r_r34;
    CPy_INCREF(CPyModule_collections);
    cpy_r_r35 = CPyStatics[35]; /* 'collections' */
    cpy_r_r36 = CPyStatics[34]; /* 'UserDict' */
    cpy_r_r37 = CPyStatics[34]; /* 'UserDict' */
    cpy_r_r38 = CPyImport_ImportFrom(cpy_r_r34, cpy_r_r35, cpy_r_r36, cpy_r_r37);
    CPy_DECREF(cpy_r_r34);
    if (unlikely(cpy_r_r38 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 2, CPyStatic_globals);
        goto CPyL115;
    }
CPyL12: ;
    cpy_r_r39 = CPyStatics[34]; /* 'UserDict' */
    cpy_r_r40 = CPyDict_SetItem(cpy_r_r28, cpy_r_r39, cpy_r_r38);
    CPy_DECREF(cpy_r_r38);
    cpy_r_r41 = cpy_r_r40 >= 0;
    if (unlikely(!cpy_r_r41)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 2, CPyStatic_globals);
        goto CPyL115;
    }
CPyL13: ;
    cpy_r_r42 = CPyStatic_globals;
    cpy_r_r43 = CPyStatics[36]; /* 'Awaitable' */
    cpy_r_r44 = CPyStatics[37]; /* 'Callable' */
    cpy_r_r45 = CPyStatics[38]; /* 'Iterable' */
    cpy_r_r46 = CPyStatics[39]; /* 'Iterator' */
    cpy_r_r47 = PyList_New(4);
    if (unlikely(cpy_r_r47 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 3, CPyStatic_globals);
        goto CPyL115;
    }
CPyL14: ;
    cpy_r_r48 = (CPyPtr)&((PyListObject *)cpy_r_r47)->ob_item;
    cpy_r_r49 = *(CPyPtr *)cpy_r_r48;
    CPy_INCREF(cpy_r_r43);
    *(PyObject * *)cpy_r_r49 = cpy_r_r43;
    cpy_r_r50 = cpy_r_r49 + 8;
    CPy_INCREF(cpy_r_r44);
    *(PyObject * *)cpy_r_r50 = cpy_r_r44;
    cpy_r_r51 = cpy_r_r49 + 16;
    CPy_INCREF(cpy_r_r45);
    *(PyObject * *)cpy_r_r51 = cpy_r_r45;
    cpy_r_r52 = cpy_r_r49 + 24;
    CPy_INCREF(cpy_r_r46);
    *(PyObject * *)cpy_r_r52 = cpy_r_r46;
    cpy_r_r53 = CPyStatics[40]; /* 'collections.abc' */
    cpy_r_r54 = PyImport_ImportModuleLevelObject(cpy_r_r53, cpy_r_r42, 0, cpy_r_r47, 0);
    CPy_DECREF(cpy_r_r47);
    if (unlikely(cpy_r_r54 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 3, CPyStatic_globals);
        goto CPyL115;
    }
CPyL15: ;
    CPyModule_collections___abc = cpy_r_r54;
    CPy_INCREF(CPyModule_collections___abc);
    cpy_r_r55 = CPyStatics[40]; /* 'collections.abc' */
    cpy_r_r56 = CPyStatics[36]; /* 'Awaitable' */
    cpy_r_r57 = CPyStatics[36]; /* 'Awaitable' */
    cpy_r_r58 = CPyImport_ImportFrom(cpy_r_r54, cpy_r_r55, cpy_r_r56, cpy_r_r57);
    if (unlikely(cpy_r_r58 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 3, CPyStatic_globals);
        goto CPyL117;
    }
CPyL16: ;
    cpy_r_r59 = CPyStatics[36]; /* 'Awaitable' */
    cpy_r_r60 = CPyDict_SetItem(cpy_r_r42, cpy_r_r59, cpy_r_r58);
    CPy_DECREF(cpy_r_r58);
    cpy_r_r61 = cpy_r_r60 >= 0;
    if (unlikely(!cpy_r_r61)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 3, CPyStatic_globals);
        goto CPyL117;
    }
CPyL17: ;
    cpy_r_r62 = CPyStatics[40]; /* 'collections.abc' */
    cpy_r_r63 = CPyStatics[37]; /* 'Callable' */
    cpy_r_r64 = CPyStatics[37]; /* 'Callable' */
    cpy_r_r65 = CPyImport_ImportFrom(cpy_r_r54, cpy_r_r62, cpy_r_r63, cpy_r_r64);
    if (unlikely(cpy_r_r65 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 3, CPyStatic_globals);
        goto CPyL117;
    }
CPyL18: ;
    cpy_r_r66 = CPyStatics[37]; /* 'Callable' */
    cpy_r_r67 = CPyDict_SetItem(cpy_r_r42, cpy_r_r66, cpy_r_r65);
    CPy_DECREF(cpy_r_r65);
    cpy_r_r68 = cpy_r_r67 >= 0;
    if (unlikely(!cpy_r_r68)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 3, CPyStatic_globals);
        goto CPyL117;
    }
CPyL19: ;
    cpy_r_r69 = CPyStatics[40]; /* 'collections.abc' */
    cpy_r_r70 = CPyStatics[38]; /* 'Iterable' */
    cpy_r_r71 = CPyStatics[38]; /* 'Iterable' */
    cpy_r_r72 = CPyImport_ImportFrom(cpy_r_r54, cpy_r_r69, cpy_r_r70, cpy_r_r71);
    if (unlikely(cpy_r_r72 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 3, CPyStatic_globals);
        goto CPyL117;
    }
CPyL20: ;
    cpy_r_r73 = CPyStatics[38]; /* 'Iterable' */
    cpy_r_r74 = CPyDict_SetItem(cpy_r_r42, cpy_r_r73, cpy_r_r72);
    CPy_DECREF(cpy_r_r72);
    cpy_r_r75 = cpy_r_r74 >= 0;
    if (unlikely(!cpy_r_r75)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 3, CPyStatic_globals);
        goto CPyL117;
    }
CPyL21: ;
    cpy_r_r76 = CPyStatics[40]; /* 'collections.abc' */
    cpy_r_r77 = CPyStatics[39]; /* 'Iterator' */
    cpy_r_r78 = CPyStatics[39]; /* 'Iterator' */
    cpy_r_r79 = CPyImport_ImportFrom(cpy_r_r54, cpy_r_r76, cpy_r_r77, cpy_r_r78);
    CPy_DECREF(cpy_r_r54);
    if (unlikely(cpy_r_r79 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 3, CPyStatic_globals);
        goto CPyL115;
    }
CPyL22: ;
    cpy_r_r80 = CPyStatics[39]; /* 'Iterator' */
    cpy_r_r81 = CPyDict_SetItem(cpy_r_r42, cpy_r_r80, cpy_r_r79);
    CPy_DECREF(cpy_r_r79);
    cpy_r_r82 = cpy_r_r81 >= 0;
    if (unlikely(!cpy_r_r82)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 3, CPyStatic_globals);
        goto CPyL115;
    }
CPyL23: ;
    cpy_r_r83 = CPyStatic_globals;
    cpy_r_r84 = CPyStatics[41]; /* 'contextmanager' */
    cpy_r_r85 = PyList_New(1);
    if (unlikely(cpy_r_r85 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 4, CPyStatic_globals);
        goto CPyL115;
    }
CPyL24: ;
    cpy_r_r86 = (CPyPtr)&((PyListObject *)cpy_r_r85)->ob_item;
    cpy_r_r87 = *(CPyPtr *)cpy_r_r86;
    CPy_INCREF(cpy_r_r84);
    *(PyObject * *)cpy_r_r87 = cpy_r_r84;
    cpy_r_r88 = CPyStatics[42]; /* 'contextlib' */
    cpy_r_r89 = PyImport_ImportModuleLevelObject(cpy_r_r88, cpy_r_r83, 0, cpy_r_r85, 0);
    CPy_DECREF(cpy_r_r85);
    if (unlikely(cpy_r_r89 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 4, CPyStatic_globals);
        goto CPyL115;
    }
CPyL25: ;
    CPyModule_contextlib = cpy_r_r89;
    CPy_INCREF(CPyModule_contextlib);
    cpy_r_r90 = CPyStatics[42]; /* 'contextlib' */
    cpy_r_r91 = CPyStatics[41]; /* 'contextmanager' */
    cpy_r_r92 = CPyStatics[41]; /* 'contextmanager' */
    cpy_r_r93 = CPyImport_ImportFrom(cpy_r_r89, cpy_r_r90, cpy_r_r91, cpy_r_r92);
    CPy_DECREF(cpy_r_r89);
    if (unlikely(cpy_r_r93 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 4, CPyStatic_globals);
        goto CPyL115;
    }
CPyL26: ;
    cpy_r_r94 = CPyStatics[41]; /* 'contextmanager' */
    cpy_r_r95 = CPyDict_SetItem(cpy_r_r83, cpy_r_r94, cpy_r_r93);
    CPy_DECREF(cpy_r_r93);
    cpy_r_r96 = cpy_r_r95 >= 0;
    if (unlikely(!cpy_r_r96)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 4, CPyStatic_globals);
        goto CPyL115;
    }
CPyL27: ;
    cpy_r_r97 = CPyStatic_globals;
    cpy_r_r98 = CPyStatics[43]; /* 'ContextVar' */
    cpy_r_r99 = PyList_New(1);
    if (unlikely(cpy_r_r99 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 5, CPyStatic_globals);
        goto CPyL115;
    }
CPyL28: ;
    cpy_r_r100 = (CPyPtr)&((PyListObject *)cpy_r_r99)->ob_item;
    cpy_r_r101 = *(CPyPtr *)cpy_r_r100;
    CPy_INCREF(cpy_r_r98);
    *(PyObject * *)cpy_r_r101 = cpy_r_r98;
    cpy_r_r102 = CPyStatics[44]; /* 'contextvars' */
    cpy_r_r103 = PyImport_ImportModuleLevelObject(cpy_r_r102, cpy_r_r97, 0, cpy_r_r99, 0);
    CPy_DECREF(cpy_r_r99);
    if (unlikely(cpy_r_r103 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 5, CPyStatic_globals);
        goto CPyL115;
    }
CPyL29: ;
    CPyModule_contextvars = cpy_r_r103;
    CPy_INCREF(CPyModule_contextvars);
    cpy_r_r104 = CPyStatics[44]; /* 'contextvars' */
    cpy_r_r105 = CPyStatics[43]; /* 'ContextVar' */
    cpy_r_r106 = CPyStatics[43]; /* 'ContextVar' */
    cpy_r_r107 = CPyImport_ImportFrom(cpy_r_r103, cpy_r_r104, cpy_r_r105, cpy_r_r106);
    CPy_DECREF(cpy_r_r103);
    if (unlikely(cpy_r_r107 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 5, CPyStatic_globals);
        goto CPyL115;
    }
CPyL30: ;
    cpy_r_r108 = CPyStatics[43]; /* 'ContextVar' */
    cpy_r_r109 = CPyDict_SetItem(cpy_r_r97, cpy_r_r108, cpy_r_r107);
    CPy_DECREF(cpy_r_r107);
    cpy_r_r110 = cpy_r_r109 >= 0;
    if (unlikely(!cpy_r_r110)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 5, CPyStatic_globals);
        goto CPyL115;
    }
CPyL31: ;
    cpy_r_r111 = CPyStatic_globals;
    cpy_r_r112 = CPyStatics[28]; /* 'cached_property' */
    cpy_r_r113 = PyList_New(1);
    if (unlikely(cpy_r_r113 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 6, CPyStatic_globals);
        goto CPyL115;
    }
CPyL32: ;
    cpy_r_r114 = (CPyPtr)&((PyListObject *)cpy_r_r113)->ob_item;
    cpy_r_r115 = *(CPyPtr *)cpy_r_r114;
    CPy_INCREF(cpy_r_r112);
    *(PyObject * *)cpy_r_r115 = cpy_r_r112;
    cpy_r_r116 = CPyStatics[45]; /* 'functools' */
    cpy_r_r117 = PyImport_ImportModuleLevelObject(cpy_r_r116, cpy_r_r111, 0, cpy_r_r113, 0);
    CPy_DECREF(cpy_r_r113);
    if (unlikely(cpy_r_r117 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 6, CPyStatic_globals);
        goto CPyL115;
    }
CPyL33: ;
    CPyModule_functools = cpy_r_r117;
    CPy_INCREF(CPyModule_functools);
    cpy_r_r118 = CPyStatics[45]; /* 'functools' */
    cpy_r_r119 = CPyStatics[28]; /* 'cached_property' */
    cpy_r_r120 = CPyStatics[28]; /* 'cached_property' */
    cpy_r_r121 = CPyImport_ImportFrom(cpy_r_r117, cpy_r_r118, cpy_r_r119, cpy_r_r120);
    CPy_DECREF(cpy_r_r117);
    if (unlikely(cpy_r_r121 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 6, CPyStatic_globals);
        goto CPyL115;
    }
CPyL34: ;
    cpy_r_r122 = CPyStatics[28]; /* 'cached_property' */
    cpy_r_r123 = CPyDict_SetItem(cpy_r_r111, cpy_r_r122, cpy_r_r121);
    CPy_DECREF(cpy_r_r121);
    cpy_r_r124 = cpy_r_r123 >= 0;
    if (unlikely(!cpy_r_r124)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 6, CPyStatic_globals);
        goto CPyL115;
    }
CPyL35: ;
    cpy_r_r125 = CPyStatic_globals;
    cpy_r_r126 = CPyStatics[46]; /* 'TypeAlias' */
    cpy_r_r127 = PyList_New(1);
    if (unlikely(cpy_r_r127 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 7, CPyStatic_globals);
        goto CPyL115;
    }
CPyL36: ;
    cpy_r_r128 = (CPyPtr)&((PyListObject *)cpy_r_r127)->ob_item;
    cpy_r_r129 = *(CPyPtr *)cpy_r_r128;
    CPy_INCREF(cpy_r_r126);
    *(PyObject * *)cpy_r_r129 = cpy_r_r126;
    cpy_r_r130 = CPyStatics[47]; /* 'typing' */
    cpy_r_r131 = PyImport_ImportModuleLevelObject(cpy_r_r130, cpy_r_r125, 0, cpy_r_r127, 0);
    CPy_DECREF(cpy_r_r127);
    if (unlikely(cpy_r_r131 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 7, CPyStatic_globals);
        goto CPyL115;
    }
CPyL37: ;
    CPyModule_typing = cpy_r_r131;
    CPy_INCREF(CPyModule_typing);
    cpy_r_r132 = CPyStatics[47]; /* 'typing' */
    cpy_r_r133 = CPyStatics[46]; /* 'TypeAlias' */
    cpy_r_r134 = CPyStatics[46]; /* 'TypeAlias' */
    cpy_r_r135 = CPyImport_ImportFrom(cpy_r_r131, cpy_r_r132, cpy_r_r133, cpy_r_r134);
    CPy_DECREF(cpy_r_r131);
    if (unlikely(cpy_r_r135 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 7, CPyStatic_globals);
        goto CPyL115;
    }
CPyL38: ;
    cpy_r_r136 = CPyStatics[46]; /* 'TypeAlias' */
    cpy_r_r137 = CPyDict_SetItem(cpy_r_r125, cpy_r_r136, cpy_r_r135);
    CPy_DECREF(cpy_r_r135);
    cpy_r_r138 = cpy_r_r137 >= 0;
    if (unlikely(!cpy_r_r138)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 7, CPyStatic_globals);
        goto CPyL115;
    }
CPyL39: ;
    cpy_r_r139 = (PyObject *)&PyDict_Type;
    cpy_r_r140 = CPyStatic_globals;
    cpy_r_r141 = CPyStatics[48]; /* 'Scope' */
    cpy_r_r142 = CPyDict_SetItem(cpy_r_r140, cpy_r_r141, cpy_r_r139);
    cpy_r_r143 = cpy_r_r142 >= 0;
    if (unlikely(!cpy_r_r143)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 9, CPyStatic_globals);
        goto CPyL115;
    }
CPyL40: ;
    cpy_r_r144 = CPyStatic_globals;
    cpy_r_r145 = CPyStatics[37]; /* 'Callable' */
    cpy_r_r146 = CPyDict_GetItem(cpy_r_r144, cpy_r_r145);
    if (unlikely(cpy_r_r146 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 10, CPyStatic_globals);
        goto CPyL115;
    }
CPyL41: ;
    cpy_r_r147 = Py_None;
    cpy_r_r148 = PyList_New(1);
    if (unlikely(cpy_r_r148 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 10, CPyStatic_globals);
        goto CPyL118;
    }
CPyL42: ;
    cpy_r_r149 = (CPyPtr)&((PyListObject *)cpy_r_r148)->ob_item;
    cpy_r_r150 = *(CPyPtr *)cpy_r_r149;
    CPy_INCREF(cpy_r_r147);
    *(PyObject * *)cpy_r_r150 = cpy_r_r147;
    cpy_r_r151 = CPyStatic_globals;
    cpy_r_r152 = CPyStatics[36]; /* 'Awaitable' */
    cpy_r_r153 = CPyDict_GetItem(cpy_r_r151, cpy_r_r152);
    if (unlikely(cpy_r_r153 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 10, CPyStatic_globals);
        goto CPyL119;
    }
CPyL43: ;
    cpy_r_r154 = (PyObject *)&PyDict_Type;
    cpy_r_r155 = PyObject_GetItem(cpy_r_r153, cpy_r_r154);
    CPy_DECREF(cpy_r_r153);
    if (unlikely(cpy_r_r155 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 10, CPyStatic_globals);
        goto CPyL119;
    }
CPyL44: ;
    cpy_r_r156.f0 = cpy_r_r148;
    cpy_r_r156.f1 = cpy_r_r155;
    CPy_INCREF(cpy_r_r156.f0);
    CPy_INCREF(cpy_r_r156.f1);
    CPy_DECREF(cpy_r_r148);
    CPy_DECREF(cpy_r_r155);
    cpy_r_r157 = PyTuple_New(2);
    if (unlikely(cpy_r_r157 == NULL))
        CPyError_OutOfMemory();
    PyObject *__tmp11 = cpy_r_r156.f0;
    PyTuple_SET_ITEM(cpy_r_r157, 0, __tmp11);
    PyObject *__tmp12 = cpy_r_r156.f1;
    PyTuple_SET_ITEM(cpy_r_r157, 1, __tmp12);
    cpy_r_r158 = PyObject_GetItem(cpy_r_r146, cpy_r_r157);
    CPy_DECREF(cpy_r_r146);
    CPy_DECREF(cpy_r_r157);
    if (unlikely(cpy_r_r158 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 10, CPyStatic_globals);
        goto CPyL115;
    }
CPyL45: ;
    cpy_r_r159 = CPyStatic_globals;
    cpy_r_r160 = CPyStatics[49]; /* 'Receive' */
    cpy_r_r161 = CPyDict_SetItem(cpy_r_r159, cpy_r_r160, cpy_r_r158);
    CPy_DECREF(cpy_r_r158);
    cpy_r_r162 = cpy_r_r161 >= 0;
    if (unlikely(!cpy_r_r162)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 10, CPyStatic_globals);
        goto CPyL115;
    }
CPyL46: ;
    cpy_r_r163 = CPyStatic_globals;
    cpy_r_r164 = CPyStatics[37]; /* 'Callable' */
    cpy_r_r165 = CPyDict_GetItem(cpy_r_r163, cpy_r_r164);
    if (unlikely(cpy_r_r165 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 11, CPyStatic_globals);
        goto CPyL115;
    }
CPyL47: ;
    cpy_r_r166 = (PyObject *)&PyDict_Type;
    cpy_r_r167 = PyList_New(1);
    if (unlikely(cpy_r_r167 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 11, CPyStatic_globals);
        goto CPyL120;
    }
CPyL48: ;
    cpy_r_r168 = (CPyPtr)&((PyListObject *)cpy_r_r167)->ob_item;
    cpy_r_r169 = *(CPyPtr *)cpy_r_r168;
    CPy_INCREF(cpy_r_r166);
    *(PyObject * *)cpy_r_r169 = cpy_r_r166;
    cpy_r_r170 = CPyStatic_globals;
    cpy_r_r171 = CPyStatics[36]; /* 'Awaitable' */
    cpy_r_r172 = CPyDict_GetItem(cpy_r_r170, cpy_r_r171);
    if (unlikely(cpy_r_r172 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 11, CPyStatic_globals);
        goto CPyL121;
    }
CPyL49: ;
    cpy_r_r173 = Py_None;
    cpy_r_r174 = PyObject_GetItem(cpy_r_r172, cpy_r_r173);
    CPy_DECREF(cpy_r_r172);
    if (unlikely(cpy_r_r174 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 11, CPyStatic_globals);
        goto CPyL121;
    }
CPyL50: ;
    cpy_r_r175.f0 = cpy_r_r167;
    cpy_r_r175.f1 = cpy_r_r174;
    CPy_INCREF(cpy_r_r175.f0);
    CPy_INCREF(cpy_r_r175.f1);
    CPy_DECREF(cpy_r_r167);
    CPy_DECREF(cpy_r_r174);
    cpy_r_r176 = PyTuple_New(2);
    if (unlikely(cpy_r_r176 == NULL))
        CPyError_OutOfMemory();
    PyObject *__tmp13 = cpy_r_r175.f0;
    PyTuple_SET_ITEM(cpy_r_r176, 0, __tmp13);
    PyObject *__tmp14 = cpy_r_r175.f1;
    PyTuple_SET_ITEM(cpy_r_r176, 1, __tmp14);
    cpy_r_r177 = PyObject_GetItem(cpy_r_r165, cpy_r_r176);
    CPy_DECREF(cpy_r_r165);
    CPy_DECREF(cpy_r_r176);
    if (unlikely(cpy_r_r177 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 11, CPyStatic_globals);
        goto CPyL115;
    }
CPyL51: ;
    cpy_r_r178 = CPyStatic_globals;
    cpy_r_r179 = CPyStatics[50]; /* 'Send' */
    cpy_r_r180 = CPyDict_SetItem(cpy_r_r178, cpy_r_r179, cpy_r_r177);
    CPy_DECREF(cpy_r_r177);
    cpy_r_r181 = cpy_r_r180 >= 0;
    if (unlikely(!cpy_r_r181)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 11, CPyStatic_globals);
        goto CPyL115;
    }
CPyL52: ;
    cpy_r_r182 = CPyStatic_globals;
    cpy_r_r183 = CPyStatics[37]; /* 'Callable' */
    cpy_r_r184 = CPyDict_GetItem(cpy_r_r182, cpy_r_r183);
    if (unlikely(cpy_r_r184 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 12, CPyStatic_globals);
        goto CPyL115;
    }
CPyL53: ;
    cpy_r_r185 = CPyStatic_globals;
    cpy_r_r186 = CPyStatics[48]; /* 'Scope' */
    cpy_r_r187 = CPyDict_GetItem(cpy_r_r185, cpy_r_r186);
    if (unlikely(cpy_r_r187 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 12, CPyStatic_globals);
        goto CPyL122;
    }
CPyL54: ;
    cpy_r_r188 = CPyStatic_globals;
    cpy_r_r189 = CPyStatics[49]; /* 'Receive' */
    cpy_r_r190 = CPyDict_GetItem(cpy_r_r188, cpy_r_r189);
    if (unlikely(cpy_r_r190 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 12, CPyStatic_globals);
        goto CPyL123;
    }
CPyL55: ;
    cpy_r_r191 = CPyStatic_globals;
    cpy_r_r192 = CPyStatics[50]; /* 'Send' */
    cpy_r_r193 = CPyDict_GetItem(cpy_r_r191, cpy_r_r192);
    if (unlikely(cpy_r_r193 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 12, CPyStatic_globals);
        goto CPyL124;
    }
CPyL56: ;
    cpy_r_r194 = PyList_New(3);
    if (unlikely(cpy_r_r194 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 12, CPyStatic_globals);
        goto CPyL125;
    }
CPyL57: ;
    cpy_r_r195 = (CPyPtr)&((PyListObject *)cpy_r_r194)->ob_item;
    cpy_r_r196 = *(CPyPtr *)cpy_r_r195;
    *(PyObject * *)cpy_r_r196 = cpy_r_r187;
    cpy_r_r197 = cpy_r_r196 + 8;
    *(PyObject * *)cpy_r_r197 = cpy_r_r190;
    cpy_r_r198 = cpy_r_r196 + 16;
    *(PyObject * *)cpy_r_r198 = cpy_r_r193;
    cpy_r_r199 = CPyStatic_globals;
    cpy_r_r200 = CPyStatics[36]; /* 'Awaitable' */
    cpy_r_r201 = CPyDict_GetItem(cpy_r_r199, cpy_r_r200);
    if (unlikely(cpy_r_r201 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 12, CPyStatic_globals);
        goto CPyL126;
    }
CPyL58: ;
    cpy_r_r202 = Py_None;
    cpy_r_r203 = PyObject_GetItem(cpy_r_r201, cpy_r_r202);
    CPy_DECREF(cpy_r_r201);
    if (unlikely(cpy_r_r203 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 12, CPyStatic_globals);
        goto CPyL126;
    }
CPyL59: ;
    cpy_r_r204.f0 = cpy_r_r194;
    cpy_r_r204.f1 = cpy_r_r203;
    CPy_INCREF(cpy_r_r204.f0);
    CPy_INCREF(cpy_r_r204.f1);
    CPy_DECREF(cpy_r_r194);
    CPy_DECREF(cpy_r_r203);
    cpy_r_r205 = PyTuple_New(2);
    if (unlikely(cpy_r_r205 == NULL))
        CPyError_OutOfMemory();
    PyObject *__tmp15 = cpy_r_r204.f0;
    PyTuple_SET_ITEM(cpy_r_r205, 0, __tmp15);
    PyObject *__tmp16 = cpy_r_r204.f1;
    PyTuple_SET_ITEM(cpy_r_r205, 1, __tmp16);
    cpy_r_r206 = PyObject_GetItem(cpy_r_r184, cpy_r_r205);
    CPy_DECREF(cpy_r_r184);
    CPy_DECREF(cpy_r_r205);
    if (unlikely(cpy_r_r206 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 12, CPyStatic_globals);
        goto CPyL115;
    }
CPyL60: ;
    cpy_r_r207 = CPyStatic_globals;
    cpy_r_r208 = CPyStatics[51]; /* 'ASGIApp' */
    cpy_r_r209 = CPyDict_SetItem(cpy_r_r207, cpy_r_r208, cpy_r_r206);
    CPy_DECREF(cpy_r_r206);
    cpy_r_r210 = cpy_r_r209 >= 0;
    if (unlikely(!cpy_r_r210)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 12, CPyStatic_globals);
        goto CPyL115;
    }
CPyL61: ;
    cpy_r_r211 = (PyObject *)&PyUnicode_Type;
    cpy_r_r212 = CPyStatic_globals;
    cpy_r_r213 = CPyStatics[52]; /* 'HeaderName' */
    cpy_r_r214 = CPyDict_SetItem(cpy_r_r212, cpy_r_r213, cpy_r_r211);
    cpy_r_r215 = cpy_r_r214 >= 0;
    if (unlikely(!cpy_r_r215)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 14, CPyStatic_globals);
        goto CPyL115;
    }
CPyL62: ;
    cpy_r_r216 = (PyObject *)&PyUnicode_Type;
    cpy_r_r217 = CPyStatic_globals;
    cpy_r_r218 = CPyStatics[53]; /* 'HeaderValue' */
    cpy_r_r219 = CPyDict_SetItem(cpy_r_r217, cpy_r_r218, cpy_r_r216);
    cpy_r_r220 = cpy_r_r219 >= 0;
    if (unlikely(!cpy_r_r220)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 15, CPyStatic_globals);
        goto CPyL115;
    }
CPyL63: ;
    cpy_r_r221 = CPyStatic_globals;
    cpy_r_r222 = CPyStatics[37]; /* 'Callable' */
    cpy_r_r223 = CPyDict_GetItem(cpy_r_r221, cpy_r_r222);
    if (unlikely(cpy_r_r223 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 17, CPyStatic_globals);
        goto CPyL115;
    }
CPyL64: ;
    cpy_r_r224 = CPyStatic_globals;
    cpy_r_r225 = CPyStatics[53]; /* 'HeaderValue' */
    cpy_r_r226 = CPyDict_GetItem(cpy_r_r224, cpy_r_r225);
    if (unlikely(cpy_r_r226 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 17, CPyStatic_globals);
        goto CPyL127;
    }
CPyL65: ;
    cpy_r_r227 = PyList_New(1);
    if (unlikely(cpy_r_r227 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 17, CPyStatic_globals);
        goto CPyL128;
    }
CPyL66: ;
    cpy_r_r228 = (CPyPtr)&((PyListObject *)cpy_r_r227)->ob_item;
    cpy_r_r229 = *(CPyPtr *)cpy_r_r228;
    *(PyObject * *)cpy_r_r229 = cpy_r_r226;
    cpy_r_r230 = (PyObject *)&PyBool_Type;
    cpy_r_r231.f0 = cpy_r_r227;
    cpy_r_r231.f1 = cpy_r_r230;
    CPy_INCREF(cpy_r_r231.f0);
    CPy_INCREF(cpy_r_r231.f1);
    CPy_DECREF(cpy_r_r227);
    cpy_r_r232 = PyTuple_New(2);
    if (unlikely(cpy_r_r232 == NULL))
        CPyError_OutOfMemory();
    PyObject *__tmp17 = cpy_r_r231.f0;
    PyTuple_SET_ITEM(cpy_r_r232, 0, __tmp17);
    PyObject *__tmp18 = cpy_r_r231.f1;
    PyTuple_SET_ITEM(cpy_r_r232, 1, __tmp18);
    cpy_r_r233 = PyObject_GetItem(cpy_r_r223, cpy_r_r232);
    CPy_DECREF(cpy_r_r223);
    CPy_DECREF(cpy_r_r232);
    if (unlikely(cpy_r_r233 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 17, CPyStatic_globals);
        goto CPyL115;
    }
CPyL67: ;
    cpy_r_r234 = CPyStatic_globals;
    cpy_r_r235 = CPyStatics[54]; /* 'Validator' */
    cpy_r_r236 = CPyDict_SetItem(cpy_r_r234, cpy_r_r235, cpy_r_r233);
    CPy_DECREF(cpy_r_r233);
    cpy_r_r237 = cpy_r_r236 >= 0;
    if (unlikely(!cpy_r_r237)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 17, CPyStatic_globals);
        goto CPyL115;
    }
CPyL68: ;
    cpy_r_r238 = CPyStatics[55]; /* 'ctx' */
    cpy_r_r239 = CPyStatic_globals;
    cpy_r_r240 = CPyStatics[43]; /* 'ContextVar' */
    cpy_r_r241 = CPyDict_GetItem(cpy_r_r239, cpy_r_r240);
    if (unlikely(cpy_r_r241 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 20, CPyStatic_globals);
        goto CPyL115;
    }
CPyL69: ;
    PyObject *cpy_r_r242[1] = {cpy_r_r238};
    cpy_r_r243 = (PyObject **)&cpy_r_r242;
    cpy_r_r244 = _PyObject_Vectorcall(cpy_r_r241, cpy_r_r243, 1, 0);
    CPy_DECREF(cpy_r_r241);
    if (unlikely(cpy_r_r244 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 20, CPyStatic_globals);
        goto CPyL115;
    }
CPyL70: ;
    cpy_r_r245 = CPyStatic_globals;
    cpy_r_r246 = CPyStatics[3]; /* '_http_request_context' */
    cpy_r_r247 = CPyDict_SetItem(cpy_r_r245, cpy_r_r246, cpy_r_r244);
    CPy_DECREF(cpy_r_r244);
    cpy_r_r248 = cpy_r_r247 >= 0;
    if (unlikely(!cpy_r_r248)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 20, CPyStatic_globals);
        goto CPyL115;
    }
CPyL71: ;
    cpy_r_r249 = CPyModule_builtins;
    cpy_r_r250 = CPyStatics[56]; /* 'Exception' */
    cpy_r_r251 = CPyObject_GetAttr(cpy_r_r249, cpy_r_r250);
    if (unlikely(cpy_r_r251 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 23, CPyStatic_globals);
        goto CPyL115;
    }
CPyL72: ;
    cpy_r_r252 = PyTuple_Pack(1, cpy_r_r251);
    CPy_DECREF(cpy_r_r251);
    if (unlikely(cpy_r_r252 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 23, CPyStatic_globals);
        goto CPyL115;
    }
CPyL73: ;
    cpy_r_r253 = CPyStatics[57]; /* 'asgi_context' */
    cpy_r_r254 = (PyObject *)CPyType_RequestContextException_template;
    cpy_r_r255 = CPyType_FromTemplate(cpy_r_r254, cpy_r_r252, cpy_r_r253);
    CPy_DECREF(cpy_r_r252);
    if (unlikely(cpy_r_r255 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 23, CPyStatic_globals);
        goto CPyL115;
    }
CPyL74: ;
    cpy_r_r256 = CPyStatics[58]; /* '__mypyc_attrs__' */
    cpy_r_r257 = CPyStatics[59]; /* '__dict__' */
    cpy_r_r258 = PyTuple_Pack(1, cpy_r_r257);
    if (unlikely(cpy_r_r258 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 23, CPyStatic_globals);
        goto CPyL129;
    }
CPyL75: ;
    cpy_r_r259 = PyObject_SetAttr(cpy_r_r255, cpy_r_r256, cpy_r_r258);
    CPy_DECREF(cpy_r_r258);
    cpy_r_r260 = cpy_r_r259 >= 0;
    if (unlikely(!cpy_r_r260)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 23, CPyStatic_globals);
        goto CPyL129;
    }
CPyL76: ;
    CPyType_RequestContextException = (PyTypeObject *)cpy_r_r255;
    CPy_INCREF(CPyType_RequestContextException);
    cpy_r_r261 = CPyStatic_globals;
    cpy_r_r262 = CPyStatics[60]; /* 'RequestContextException' */
    cpy_r_r263 = CPyDict_SetItem(cpy_r_r261, cpy_r_r262, cpy_r_r255);
    CPy_DECREF(cpy_r_r255);
    cpy_r_r264 = cpy_r_r263 >= 0;
    if (unlikely(!cpy_r_r264)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 23, CPyStatic_globals);
        goto CPyL115;
    }
CPyL77: ;
    cpy_r_r265 = CPyModule_builtins;
    cpy_r_r266 = CPyStatics[56]; /* 'Exception' */
    cpy_r_r267 = CPyObject_GetAttr(cpy_r_r265, cpy_r_r266);
    if (unlikely(cpy_r_r267 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 27, CPyStatic_globals);
        goto CPyL115;
    }
CPyL78: ;
    cpy_r_r268 = PyTuple_Pack(1, cpy_r_r267);
    CPy_DECREF(cpy_r_r267);
    if (unlikely(cpy_r_r268 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 27, CPyStatic_globals);
        goto CPyL115;
    }
CPyL79: ;
    cpy_r_r269 = CPyStatics[57]; /* 'asgi_context' */
    cpy_r_r270 = (PyObject *)CPyType_HeaderValidationException_template;
    cpy_r_r271 = CPyType_FromTemplate(cpy_r_r270, cpy_r_r268, cpy_r_r269);
    CPy_DECREF(cpy_r_r268);
    if (unlikely(cpy_r_r271 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 27, CPyStatic_globals);
        goto CPyL115;
    }
CPyL80: ;
    cpy_r_r272 = CPyStatics[58]; /* '__mypyc_attrs__' */
    cpy_r_r273 = CPyStatics[59]; /* '__dict__' */
    cpy_r_r274 = PyTuple_Pack(1, cpy_r_r273);
    if (unlikely(cpy_r_r274 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 27, CPyStatic_globals);
        goto CPyL130;
    }
CPyL81: ;
    cpy_r_r275 = PyObject_SetAttr(cpy_r_r271, cpy_r_r272, cpy_r_r274);
    CPy_DECREF(cpy_r_r274);
    cpy_r_r276 = cpy_r_r275 >= 0;
    if (unlikely(!cpy_r_r276)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 27, CPyStatic_globals);
        goto CPyL130;
    }
CPyL82: ;
    CPyType_HeaderValidationException = (PyTypeObject *)cpy_r_r271;
    CPy_INCREF(CPyType_HeaderValidationException);
    cpy_r_r277 = CPyStatic_globals;
    cpy_r_r278 = CPyStatics[61]; /* 'HeaderValidationException' */
    cpy_r_r279 = CPyDict_SetItem(cpy_r_r277, cpy_r_r278, cpy_r_r271);
    CPy_DECREF(cpy_r_r271);
    cpy_r_r280 = cpy_r_r279 >= 0;
    if (unlikely(!cpy_r_r280)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 27, CPyStatic_globals);
        goto CPyL115;
    }
CPyL83: ;
    cpy_r_r281 = CPyStatic_globals;
    cpy_r_r282 = CPyStatics[34]; /* 'UserDict' */
    cpy_r_r283 = CPyDict_GetItem(cpy_r_r281, cpy_r_r282);
    if (unlikely(cpy_r_r283 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 31, CPyStatic_globals);
        goto CPyL115;
    }
CPyL84: ;
    cpy_r_r284 = PyTuple_Pack(1, cpy_r_r283);
    CPy_DECREF(cpy_r_r283);
    if (unlikely(cpy_r_r284 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 31, CPyStatic_globals);
        goto CPyL115;
    }
CPyL85: ;
    cpy_r_r285 = CPyStatics[57]; /* 'asgi_context' */
    cpy_r_r286 = (PyObject *)CPyType_Context_template;
    cpy_r_r287 = CPyType_FromTemplate(cpy_r_r286, cpy_r_r284, cpy_r_r285);
    CPy_DECREF(cpy_r_r284);
    if (unlikely(cpy_r_r287 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 31, CPyStatic_globals);
        goto CPyL115;
    }
CPyL86: ;
    cpy_r_r288 = CPyDef_Context_trait_vtable_setup();
    if (unlikely(cpy_r_r288 == 2)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", -1, CPyStatic_globals);
        goto CPyL131;
    }
CPyL87: ;
    cpy_r_r289 = CPyStatics[58]; /* '__mypyc_attrs__' */
    cpy_r_r290 = CPyStatics[59]; /* '__dict__' */
    cpy_r_r291 = PyTuple_Pack(1, cpy_r_r290);
    if (unlikely(cpy_r_r291 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 31, CPyStatic_globals);
        goto CPyL131;
    }
CPyL88: ;
    cpy_r_r292 = PyObject_SetAttr(cpy_r_r287, cpy_r_r289, cpy_r_r291);
    CPy_DECREF(cpy_r_r291);
    cpy_r_r293 = cpy_r_r292 >= 0;
    if (unlikely(!cpy_r_r293)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 31, CPyStatic_globals);
        goto CPyL131;
    }
CPyL89: ;
    CPyType_Context = (PyTypeObject *)cpy_r_r287;
    CPy_INCREF(CPyType_Context);
    cpy_r_r294 = CPyStatic_globals;
    cpy_r_r295 = CPyStatics[62]; /* 'Context' */
    cpy_r_r296 = CPyDict_SetItem(cpy_r_r294, cpy_r_r295, cpy_r_r287);
    CPy_DECREF(cpy_r_r287);
    cpy_r_r297 = cpy_r_r296 >= 0;
    if (unlikely(!cpy_r_r297)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 31, CPyStatic_globals);
        goto CPyL115;
    }
CPyL90: ;
    cpy_r_r298 = CPyStatic_globals;
    cpy_r_r299 = CPyStatics[13]; /* 'new_context' */
    cpy_r_r300 = CPyDict_GetItem(cpy_r_r298, cpy_r_r299);
    if (unlikely(cpy_r_r300 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 47, CPyStatic_globals);
        goto CPyL115;
    }
CPyL91: ;
    cpy_r_r301 = CPyStatic_globals;
    cpy_r_r302 = CPyStatics[41]; /* 'contextmanager' */
    cpy_r_r303 = CPyDict_GetItem(cpy_r_r301, cpy_r_r302);
    if (unlikely(cpy_r_r303 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 47, CPyStatic_globals);
        goto CPyL132;
    }
CPyL92: ;
    PyObject *cpy_r_r304[1] = {cpy_r_r300};
    cpy_r_r305 = (PyObject **)&cpy_r_r304;
    cpy_r_r306 = _PyObject_Vectorcall(cpy_r_r303, cpy_r_r305, 1, 0);
    CPy_DECREF(cpy_r_r303);
    if (unlikely(cpy_r_r306 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 47, CPyStatic_globals);
        goto CPyL132;
    }
CPyL93: ;
    CPy_DECREF(cpy_r_r300);
    cpy_r_r307 = CPyStatic_globals;
    cpy_r_r308 = CPyStatics[13]; /* 'new_context' */
    cpy_r_r309 = CPyDict_SetItem(cpy_r_r307, cpy_r_r308, cpy_r_r306);
    CPy_DECREF(cpy_r_r306);
    cpy_r_r310 = cpy_r_r309 >= 0;
    if (unlikely(!cpy_r_r310)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 47, CPyStatic_globals);
        goto CPyL115;
    }
CPyL94: ;
    cpy_r_r311 = NULL;
    cpy_r_r312 = CPyStatics[57]; /* 'asgi_context' */
    cpy_r_r313 = (PyObject *)CPyType_ContextMiddleware_template;
    cpy_r_r314 = CPyType_FromTemplate(cpy_r_r313, cpy_r_r311, cpy_r_r312);
    if (unlikely(cpy_r_r314 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 56, CPyStatic_globals);
        goto CPyL115;
    }
CPyL95: ;
    cpy_r_r315 = CPyDef_ContextMiddleware_trait_vtable_setup();
    if (unlikely(cpy_r_r315 == 2)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", -1, CPyStatic_globals);
        goto CPyL133;
    }
CPyL96: ;
    cpy_r_r316 = CPyStatics[58]; /* '__mypyc_attrs__' */
    cpy_r_r317 = CPyStatics[63]; /* 'app' */
    cpy_r_r318 = PyTuple_Pack(1, cpy_r_r317);
    if (unlikely(cpy_r_r318 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 56, CPyStatic_globals);
        goto CPyL133;
    }
CPyL97: ;
    cpy_r_r319 = PyObject_SetAttr(cpy_r_r314, cpy_r_r316, cpy_r_r318);
    CPy_DECREF(cpy_r_r318);
    cpy_r_r320 = cpy_r_r319 >= 0;
    if (unlikely(!cpy_r_r320)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 56, CPyStatic_globals);
        goto CPyL133;
    }
CPyL98: ;
    CPyType_ContextMiddleware = (PyTypeObject *)cpy_r_r314;
    CPy_INCREF(CPyType_ContextMiddleware);
    cpy_r_r321 = CPyStatic_globals;
    cpy_r_r322 = CPyStatics[64]; /* 'ContextMiddleware' */
    cpy_r_r323 = CPyDict_SetItem(cpy_r_r321, cpy_r_r322, cpy_r_r314);
    CPy_DECREF(cpy_r_r314);
    cpy_r_r324 = cpy_r_r323 >= 0;
    if (unlikely(!cpy_r_r324)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 56, CPyStatic_globals);
        goto CPyL115;
    }
CPyL99: ;
    cpy_r_r325 = CPyStatic_globals;
    cpy_r_r326 = CPyStatics[31]; /* 'ABC' */
    cpy_r_r327 = CPyDict_GetItem(cpy_r_r325, cpy_r_r326);
    if (unlikely(cpy_r_r327 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 72, CPyStatic_globals);
        goto CPyL115;
    }
CPyL100: ;
    cpy_r_r328 = PyTuple_Pack(1, cpy_r_r327);
    CPy_DECREF(cpy_r_r327);
    if (unlikely(cpy_r_r328 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 72, CPyStatic_globals);
        goto CPyL115;
    }
CPyL101: ;
    cpy_r_r329 = CPyStatics[57]; /* 'asgi_context' */
    cpy_r_r330 = (PyObject *)CPyType_AbstractHeadersExtractorMiddleware_template;
    cpy_r_r331 = CPyType_FromTemplate(cpy_r_r330, cpy_r_r328, cpy_r_r329);
    CPy_DECREF(cpy_r_r328);
    if (unlikely(cpy_r_r331 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 72, CPyStatic_globals);
        goto CPyL115;
    }
CPyL102: ;
    cpy_r_r332 = CPyDef_AbstractHeadersExtractorMiddleware_trait_vtable_setup();
    if (unlikely(cpy_r_r332 == 2)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", -1, CPyStatic_globals);
        goto CPyL134;
    }
CPyL103: ;
    cpy_r_r333 = CPyStatics[58]; /* '__mypyc_attrs__' */
    cpy_r_r334 = CPyStatics[63]; /* 'app' */
    cpy_r_r335 = CPyStatics[59]; /* '__dict__' */
    cpy_r_r336 = PyTuple_Pack(2, cpy_r_r334, cpy_r_r335);
    if (unlikely(cpy_r_r336 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 72, CPyStatic_globals);
        goto CPyL134;
    }
CPyL104: ;
    cpy_r_r337 = PyObject_SetAttr(cpy_r_r331, cpy_r_r333, cpy_r_r336);
    CPy_DECREF(cpy_r_r336);
    cpy_r_r338 = cpy_r_r337 >= 0;
    if (unlikely(!cpy_r_r338)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 72, CPyStatic_globals);
        goto CPyL134;
    }
CPyL105: ;
    CPyType_AbstractHeadersExtractorMiddleware = (PyTypeObject *)cpy_r_r331;
    CPy_INCREF(CPyType_AbstractHeadersExtractorMiddleware);
    cpy_r_r339 = CPyStatic_globals;
    cpy_r_r340 = CPyStatics[65]; /* 'AbstractHeadersExtractorMiddleware' */
    cpy_r_r341 = CPyDict_SetItem(cpy_r_r339, cpy_r_r340, cpy_r_r331);
    CPy_DECREF(cpy_r_r331);
    cpy_r_r342 = cpy_r_r341 >= 0;
    if (unlikely(!cpy_r_r342)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 72, CPyStatic_globals);
        goto CPyL115;
    }
CPyL106: ;
    cpy_r_r343 = NULL;
    cpy_r_r344 = CPyStatics[57]; /* 'asgi_context' */
    cpy_r_r345 = (PyObject *)CPyType_HeadersExtractorMiddlewareFactory_template;
    cpy_r_r346 = CPyType_FromTemplate(cpy_r_r345, cpy_r_r343, cpy_r_r344);
    if (unlikely(cpy_r_r346 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 108, CPyStatic_globals);
        goto CPyL115;
    }
CPyL107: ;
    cpy_r_r347 = CPyDef_HeadersExtractorMiddlewareFactory_trait_vtable_setup();
    if (unlikely(cpy_r_r347 == 2)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", -1, CPyStatic_globals);
        goto CPyL135;
    }
CPyL108: ;
    cpy_r_r348 = CPyStatics[58]; /* '__mypyc_attrs__' */
    cpy_r_r349 = PyTuple_Pack(0);
    if (unlikely(cpy_r_r349 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 108, CPyStatic_globals);
        goto CPyL135;
    }
CPyL109: ;
    cpy_r_r350 = PyObject_SetAttr(cpy_r_r346, cpy_r_r348, cpy_r_r349);
    CPy_DECREF(cpy_r_r349);
    cpy_r_r351 = cpy_r_r350 >= 0;
    if (unlikely(!cpy_r_r351)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 108, CPyStatic_globals);
        goto CPyL135;
    }
CPyL110: ;
    CPyType_HeadersExtractorMiddlewareFactory = (PyTypeObject *)cpy_r_r346;
    CPy_INCREF(CPyType_HeadersExtractorMiddlewareFactory);
    cpy_r_r352 = CPyStatic_globals;
    cpy_r_r353 = CPyStatics[66]; /* 'HeadersExtractorMiddlewareFactory' */
    cpy_r_r354 = CPyDict_SetItem(cpy_r_r352, cpy_r_r353, cpy_r_r346);
    CPy_DECREF(cpy_r_r346);
    cpy_r_r355 = cpy_r_r354 >= 0;
    if (unlikely(!cpy_r_r355)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 108, CPyStatic_globals);
        goto CPyL115;
    }
CPyL111: ;
    cpy_r_r356 = CPyDef_Context();
    if (unlikely(cpy_r_r356 == NULL)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 130, CPyStatic_globals);
        goto CPyL115;
    }
CPyL112: ;
    cpy_r_r357 = CPyStatic_globals;
    cpy_r_r358 = CPyStatics[21]; /* 'http_request_context' */
    cpy_r_r359 = CPyDict_SetItem(cpy_r_r357, cpy_r_r358, cpy_r_r356);
    CPy_DECREF(cpy_r_r356);
    cpy_r_r360 = cpy_r_r359 >= 0;
    if (unlikely(!cpy_r_r360)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 130, CPyStatic_globals);
        goto CPyL115;
    }
CPyL113: ;
    cpy_r_r361 = CPyStatics[21]; /* 'http_request_context' */
    cpy_r_r362 = CPyStatics[64]; /* 'ContextMiddleware' */
    cpy_r_r363 = CPyStatics[66]; /* 'HeadersExtractorMiddlewareFactory' */
    cpy_r_r364 = CPyStatics[60]; /* 'RequestContextException' */
    cpy_r_r365 = CPyStatics[61]; /* 'HeaderValidationException' */
    cpy_r_r366.f0 = cpy_r_r361;
    cpy_r_r366.f1 = cpy_r_r362;
    cpy_r_r366.f2 = cpy_r_r363;
    cpy_r_r366.f3 = cpy_r_r364;
    cpy_r_r366.f4 = cpy_r_r365;
    CPy_INCREF(cpy_r_r366.f0);
    CPy_INCREF(cpy_r_r366.f1);
    CPy_INCREF(cpy_r_r366.f2);
    CPy_INCREF(cpy_r_r366.f3);
    CPy_INCREF(cpy_r_r366.f4);
    cpy_r_r367 = CPyStatic_globals;
    cpy_r_r368 = CPyStatics[67]; /* '__all__' */
    cpy_r_r369 = PyTuple_New(5);
    if (unlikely(cpy_r_r369 == NULL))
        CPyError_OutOfMemory();
    PyObject *__tmp19 = cpy_r_r366.f0;
    PyTuple_SET_ITEM(cpy_r_r369, 0, __tmp19);
    PyObject *__tmp20 = cpy_r_r366.f1;
    PyTuple_SET_ITEM(cpy_r_r369, 1, __tmp20);
    PyObject *__tmp21 = cpy_r_r366.f2;
    PyTuple_SET_ITEM(cpy_r_r369, 2, __tmp21);
    PyObject *__tmp22 = cpy_r_r366.f3;
    PyTuple_SET_ITEM(cpy_r_r369, 3, __tmp22);
    PyObject *__tmp23 = cpy_r_r366.f4;
    PyTuple_SET_ITEM(cpy_r_r369, 4, __tmp23);
    cpy_r_r370 = CPyDict_SetItem(cpy_r_r367, cpy_r_r368, cpy_r_r369);
    CPy_DECREF(cpy_r_r369);
    cpy_r_r371 = cpy_r_r370 >= 0;
    if (unlikely(!cpy_r_r371)) {
        CPy_AddTraceback("asgi_context/__init__.py", "<module>", 133, CPyStatic_globals);
        goto CPyL115;
    }
CPyL114: ;
    return 1;
CPyL115: ;
    cpy_r_r372 = 2;
    return cpy_r_r372;
CPyL116: ;
    CPy_DecRef(cpy_r_r13);
    goto CPyL115;
CPyL117: ;
    CPy_DecRef(cpy_r_r54);
    goto CPyL115;
CPyL118: ;
    CPy_DecRef(cpy_r_r146);
    goto CPyL115;
CPyL119: ;
    CPy_DecRef(cpy_r_r146);
    CPy_DecRef(cpy_r_r148);
    goto CPyL115;
CPyL120: ;
    CPy_DecRef(cpy_r_r165);
    goto CPyL115;
CPyL121: ;
    CPy_DecRef(cpy_r_r165);
    CPy_DecRef(cpy_r_r167);
    goto CPyL115;
CPyL122: ;
    CPy_DecRef(cpy_r_r184);
    goto CPyL115;
CPyL123: ;
    CPy_DecRef(cpy_r_r184);
    CPy_DecRef(cpy_r_r187);
    goto CPyL115;
CPyL124: ;
    CPy_DecRef(cpy_r_r184);
    CPy_DecRef(cpy_r_r187);
    CPy_DecRef(cpy_r_r190);
    goto CPyL115;
CPyL125: ;
    CPy_DecRef(cpy_r_r184);
    CPy_DecRef(cpy_r_r187);
    CPy_DecRef(cpy_r_r190);
    CPy_DecRef(cpy_r_r193);
    goto CPyL115;
CPyL126: ;
    CPy_DecRef(cpy_r_r184);
    CPy_DecRef(cpy_r_r194);
    goto CPyL115;
CPyL127: ;
    CPy_DecRef(cpy_r_r223);
    goto CPyL115;
CPyL128: ;
    CPy_DecRef(cpy_r_r223);
    CPy_DecRef(cpy_r_r226);
    goto CPyL115;
CPyL129: ;
    CPy_DecRef(cpy_r_r255);
    goto CPyL115;
CPyL130: ;
    CPy_DecRef(cpy_r_r271);
    goto CPyL115;
CPyL131: ;
    CPy_DecRef(cpy_r_r287);
    goto CPyL115;
CPyL132: ;
    CPy_DecRef(cpy_r_r300);
    goto CPyL115;
CPyL133: ;
    CPy_DecRef(cpy_r_r314);
    goto CPyL115;
CPyL134: ;
    CPy_DecRef(cpy_r_r331);
    goto CPyL115;
CPyL135: ;
    CPy_DecRef(cpy_r_r346);
    goto CPyL115;
}

int CPyGlobalsInit(void)
{
    static int is_initialized = 0;
    if (is_initialized) return 0;
    
    CPy_Init();
    CPyModule_asgi_context = Py_None;
    CPyModule_builtins = Py_None;
    CPyModule_abc = Py_None;
    CPyModule_collections = Py_None;
    CPyModule_collections___abc = Py_None;
    CPyModule_contextlib = Py_None;
    CPyModule_contextvars = Py_None;
    CPyModule_functools = Py_None;
    CPyModule_typing = Py_None;
    if (CPyStatics_Initialize(CPyStatics, CPyLit_Str, CPyLit_Bytes, CPyLit_Int, CPyLit_Float, CPyLit_Complex, CPyLit_Tuple, CPyLit_FrozenSet) < 0) {
        return -1;
    }
    is_initialized = 1;
    return 0;
}

PyObject *CPyStatics[68];
const char * const CPyLit_Str[] = {
    "\003\025_http_request_context\003get\vLookupError",
    "\001\201fNo request context available - make sure you are using the ContextMiddleware. In case you\'re using Starlette based framework and using add_middleware method make sure to call it after any middleware that uses http_request_context.",
    "\b\003set\005reset\rGeneratorExit\rStopIteration\004type\004http\vnew_context\b__exit__",
    "\006\t__enter__\aheaders\006decode\005lower\aHeader \022 failed validation",
    "\006\024http_request_context\001 \001_\000\ncapitalize\032HeadersExtractorMiddleware",
    "\006\fheader_names\017cached_property\nvalidators\bbuiltins\003ABC\016abstractmethod",
    "\a\003abc\bUserDict\vcollections\tAwaitable\bCallable\bIterable\bIterator",
    "\005\017collections.abc\016contextmanager\ncontextlib\nContextVar\vcontextvars",
    "\b\tfunctools\tTypeAlias\006typing\005Scope\aReceive\004Send\aASGIApp\nHeaderName",
    "\006\vHeaderValue\tValidator\003ctx\tException\fasgi_context\017__mypyc_attrs__",
    "\004\b__dict__\027RequestContextException\031HeaderValidationException\aContext",
    "\003\003app\021ContextMiddleware\"AbstractHeadersExtractorMiddleware",
    "\002!HeadersExtractorMiddlewareFactory\a__all__",
    "",
};
const char * const CPyLit_Bytes[] = {
    "",
};
const char * const CPyLit_Int[] = {
    "",
};
const double CPyLit_Float[] = {0};
const double CPyLit_Complex[] = {0};
const int CPyLit_Tuple[] = {0};
const int CPyLit_FrozenSet[] = {0};
CPyModule *CPyModule_asgi_context_internal = NULL;
CPyModule *CPyModule_asgi_context;
PyObject *CPyStatic_globals;
CPyModule *CPyModule_builtins_internal = NULL;
CPyModule *CPyModule_builtins;
CPyModule *CPyModule_abc_internal = NULL;
CPyModule *CPyModule_abc;
CPyModule *CPyModule_collections_internal = NULL;
CPyModule *CPyModule_collections;
CPyModule *CPyModule_collections___abc_internal = NULL;
CPyModule *CPyModule_collections___abc;
CPyModule *CPyModule_contextlib_internal = NULL;
CPyModule *CPyModule_contextlib;
CPyModule *CPyModule_contextvars_internal = NULL;
CPyModule *CPyModule_contextvars;
CPyModule *CPyModule_functools_internal = NULL;
CPyModule *CPyModule_functools;
CPyModule *CPyModule_typing_internal = NULL;
CPyModule *CPyModule_typing;
PyTypeObject *CPyType_RequestContextException;
PyTypeObject *CPyType_HeaderValidationException;
PyTypeObject *CPyType_Context;
PyObject *CPyDef_Context(void);
PyTypeObject *CPyType_ContextMiddleware;
PyObject *CPyDef_ContextMiddleware(PyObject *cpy_r_app);
PyTypeObject *CPyType_AbstractHeadersExtractorMiddleware;
PyObject *CPyDef_AbstractHeadersExtractorMiddleware(PyObject *cpy_r_app);
PyTypeObject *CPyType_HeadersExtractorMiddlewareFactory;
PyObject *CPyDef_HeadersExtractorMiddlewareFactory(void);
PyTypeObject *CPyType_new_context_env;
PyObject *CPyDef_new_context_env(void);
PyTypeObject *CPyType_new_context_gen;
PyObject *CPyDef_new_context_gen(void);
PyTypeObject *CPyType___call___3_ContextMiddleware_env;
PyObject *CPyDef___call___3_ContextMiddleware_env(void);
PyTypeObject *CPyType___call___3_ContextMiddleware_gen;
PyObject *CPyDef___call___3_ContextMiddleware_gen(void);
PyTypeObject *CPyType___call___3_AbstractHeadersExtractorMiddleware_env;
PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_env(void);
PyTypeObject *CPyType___call___3_AbstractHeadersExtractorMiddleware_gen;
PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen(void);
PyTypeObject *CPyType_build_HeadersExtractorMiddlewareFactory_env;
PyObject *CPyDef_build_HeadersExtractorMiddlewareFactory_env(void);
PyTypeObject *CPyType___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj;
PyObject *CPyDef___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj(void);
PyTypeObject *CPyType___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj;
PyObject *CPyDef___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj(void);
char CPyDef_Context_____init__(PyObject *cpy_r_self);
PyObject *CPyPy_Context_____init__(PyObject *self, PyObject *args, PyObject *kw);
PyObject *CPyDef_Context___data(PyObject *cpy_r_self);
PyObject *CPyPy_Context___data(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef_new_context_gen_____mypyc_generator_helper__(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_type, PyObject *cpy_r_value, PyObject *cpy_r_traceback, PyObject *cpy_r_arg);
PyObject *CPyPy_new_context_gen_____mypyc_generator_helper__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef_new_context_gen_____next__(PyObject *cpy_r___mypyc_self__);
PyObject *CPyPy_new_context_gen_____next__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef_new_context_gen___send(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_arg);
PyObject *CPyPy_new_context_gen___send(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef_new_context_gen_____iter__(PyObject *cpy_r___mypyc_self__);
PyObject *CPyPy_new_context_gen_____iter__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef_new_context_gen___throw(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_type, PyObject *cpy_r_value, PyObject *cpy_r_traceback);
PyObject *CPyPy_new_context_gen___throw(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef_new_context_gen___close(PyObject *cpy_r___mypyc_self__);
PyObject *CPyPy_new_context_gen___close(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef_new_context(void);
PyObject *CPyPy_new_context(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_ContextMiddleware_____init__(PyObject *cpy_r_self, PyObject *cpy_r_app);
PyObject *CPyPy_ContextMiddleware_____init__(PyObject *self, PyObject *args, PyObject *kw);
PyObject *CPyDef___call___3_ContextMiddleware_gen_____mypyc_generator_helper__(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_type, PyObject *cpy_r_value, PyObject *cpy_r_traceback, PyObject *cpy_r_arg);
PyObject *CPyPy___call___3_ContextMiddleware_gen_____mypyc_generator_helper__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef___call___3_ContextMiddleware_gen_____next__(PyObject *cpy_r___mypyc_self__);
PyObject *CPyPy___call___3_ContextMiddleware_gen_____next__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef___call___3_ContextMiddleware_gen___send(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_arg);
PyObject *CPyPy___call___3_ContextMiddleware_gen___send(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef___call___3_ContextMiddleware_gen_____iter__(PyObject *cpy_r___mypyc_self__);
PyObject *CPyPy___call___3_ContextMiddleware_gen_____iter__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef___call___3_ContextMiddleware_gen___throw(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_type, PyObject *cpy_r_value, PyObject *cpy_r_traceback);
PyObject *CPyPy___call___3_ContextMiddleware_gen___throw(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef___call___3_ContextMiddleware_gen___close(PyObject *cpy_r___mypyc_self__);
PyObject *CPyPy___call___3_ContextMiddleware_gen___close(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef___call___3_ContextMiddleware_gen_____await__(PyObject *cpy_r___mypyc_self__);
PyObject *CPyPy___call___3_ContextMiddleware_gen_____await__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef_ContextMiddleware_____call__(PyObject *cpy_r_self, PyObject *cpy_r_scope, PyObject *cpy_r_receive, PyObject *cpy_r_send);
PyObject *CPyPy_ContextMiddleware_____call__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef_AbstractHeadersExtractorMiddleware_____init__(PyObject *cpy_r_self, PyObject *cpy_r_app);
PyObject *CPyPy_AbstractHeadersExtractorMiddleware_____init__(PyObject *self, PyObject *args, PyObject *kw);
PyObject *CPyDef_AbstractHeadersExtractorMiddleware___header_names(PyObject *cpy_r_self);
PyObject *CPyPy_AbstractHeadersExtractorMiddleware___header_names(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef_AbstractHeadersExtractorMiddleware___validators(PyObject *cpy_r_self);
PyObject *CPyPy_AbstractHeadersExtractorMiddleware___validators(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____mypyc_generator_helper__(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_type, PyObject *cpy_r_value, PyObject *cpy_r_traceback, PyObject *cpy_r_arg);
PyObject *CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen_____mypyc_generator_helper__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____next__(PyObject *cpy_r___mypyc_self__);
PyObject *CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen_____next__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen___send(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_arg);
PyObject *CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen___send(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____iter__(PyObject *cpy_r___mypyc_self__);
PyObject *CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen_____iter__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen___throw(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_type, PyObject *cpy_r_value, PyObject *cpy_r_traceback);
PyObject *CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen___throw(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen___close(PyObject *cpy_r___mypyc_self__);
PyObject *CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen___close(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef___call___3_AbstractHeadersExtractorMiddleware_gen_____await__(PyObject *cpy_r___mypyc_self__);
PyObject *CPyPy___call___3_AbstractHeadersExtractorMiddleware_gen_____await__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef_AbstractHeadersExtractorMiddleware_____call__(PyObject *cpy_r_self, PyObject *cpy_r_scope, PyObject *cpy_r_receive, PyObject *cpy_r_send);
PyObject *CPyPy_AbstractHeadersExtractorMiddleware_____call__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_____get__(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_instance, PyObject *cpy_r_owner);
PyObject *CPyPy___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_____get__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_____call__(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_self);
PyObject *CPyPy___mypyc_lambda__0_build_HeadersExtractorMiddlewareFactory_obj_____call__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_____get__(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_instance, PyObject *cpy_r_owner);
PyObject *CPyPy___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_____get__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_____call__(PyObject *cpy_r___mypyc_self__, PyObject *cpy_r_self);
PyObject *CPyPy___mypyc_lambda__1_build_HeadersExtractorMiddlewareFactory_obj_____call__(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
PyObject *CPyDef_HeadersExtractorMiddlewareFactory___build(PyObject *cpy_r_base_name, PyObject *cpy_r_header_names, PyObject *cpy_r_validators);
PyObject *CPyPy_HeadersExtractorMiddlewareFactory___build(PyObject *self, PyObject *const *args, size_t nargs, PyObject *kwnames);
char CPyDef___top_level__(void);
